From c1aec588f4bc428030480e807a9d8f22c500f749 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 21:42:10 +0200
Subject: [PATCH 001/308] libressl: update to 2.9.2.

---
 common/shlibs                        |  3 +++
 srcpkgs/{libcrypto44 => libcrypto45} |  0
 srcpkgs/libressl/template            | 17 ++++++++---------
 srcpkgs/{libssl46 => libssl47}       |  0
 srcpkgs/{libtls18 => libtls19}       |  0
 5 files changed, 11 insertions(+), 9 deletions(-)
 rename srcpkgs/{libcrypto44 => libcrypto45} (100%)
 rename srcpkgs/{libssl46 => libssl47} (100%)
 rename srcpkgs/{libtls18 => libtls19} (100%)

diff --git a/common/shlibs b/common/shlibs
index 55b12c69fbc..fdc6be8b35f 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3332,6 +3332,9 @@ libolm.so.3 olm-3.0.0_1
 libcrypto.so.44 libcrypto44-2.8.2_1
 libtls.so.18 libtls18-2.8.2_1
 libssl.so.46 libssl46-2.8.2_1
+libcrypto.so.45 libcrypto45-2.9.2_1
+libtls.so.19 libtls19-2.9.2_1
+libssl.so.47 libssl47-2.9.2_1
 libxmlb.so.1 libxmlb-0.1.3_1
 libvoikko.so.1 libvoikko-4.2_1
 libfstrcmp.so.0 libfstrcmp-0.7.D001_1
diff --git a/srcpkgs/libcrypto44 b/srcpkgs/libcrypto45
similarity index 100%
rename from srcpkgs/libcrypto44
rename to srcpkgs/libcrypto45
diff --git a/srcpkgs/libressl/template b/srcpkgs/libressl/template
index ccfa509ad1d..23ad5c3d986 100644
--- a/srcpkgs/libressl/template
+++ b/srcpkgs/libressl/template
@@ -1,8 +1,7 @@
 # Template file for 'libressl'
 pkgname=libressl
-reverts="2.9.1_1"
-version=2.8.3
-revision=2
+version=2.9.2
+revision=1
 bootstrap=yes
 build_style=gnu-configure
 short_desc="Version of the TLS/crypto stack forked from OpenSSL"
@@ -11,7 +10,7 @@ license="OpenSSL-License, SSLeay-License, ISC"
 #changelog="https://raw.githubusercontent.com/libressl-portable/portable/master/ChangeLog"
 homepage="http://www.libressl.org/"
 distfiles="http://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${pkgname}-${version}.tar.gz"
-checksum=9b640b13047182761a99ce3e4f000be9687566e0828b4a72709e9e6a3ef98477
+checksum=c4c78167fae325b47aebd8beb54b6041d6f6a56b3743f4bd5d79b15642f9d5d4
 provides="openssl-${version}_${revision}"
 replaces="openssl>=0"
 conf_files="/etc/ssl/openssl.cnf /etc/ssl/x509v3.cnf"
@@ -39,21 +38,21 @@ post_install() {
 	find ${DESTDIR}/usr/share/man/man1 -type f ! -name openssl.1 -delete
 }
 
-libcrypto44_package() {
+libcrypto45_package() {
 	short_desc+=" - crypto library"
 	pkg_install() {
 		vmove usr/lib/libcrypto.so.*
 	}
 }
 
-libssl46_package() {
+libssl47_package() {
 	short_desc+=" - SSL/TLS library"
 	pkg_install() {
 		vmove usr/lib/libssl.so.*
 	}
 }
 
-libtls18_package() {
+libtls19_package() {
 	short_desc+=" - new TLS library"
 	pkg_install() {
 		vmove usr/lib/libtls.so.*
@@ -62,8 +61,8 @@ libtls18_package() {
 
 libressl-devel_package() {
 	short_desc+=" - development files"
-	depends="libcrypto44-${version}_${revision} libssl46-${version}_${revision}
-	 libtls18-${version}_${revision}"
+	depends="libcrypto45-${version}_${revision} libssl47-${version}_${revision}
+	 libtls19-${version}_${revision}"
 	pkg_install() {
 		vmove usr/include
 		vmove "usr/lib/*.a"
diff --git a/srcpkgs/libssl46 b/srcpkgs/libssl47
similarity index 100%
rename from srcpkgs/libssl46
rename to srcpkgs/libssl47
diff --git a/srcpkgs/libtls18 b/srcpkgs/libtls19
similarity index 100%
rename from srcpkgs/libtls18
rename to srcpkgs/libtls19

From c590204f6a1bae2c26514606c38259a37bab7a5f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 22:15:24 +0200
Subject: [PATCH 002/308] xbps: rebuild for libressl-2.9.2.

---
 srcpkgs/xbps/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xbps/template b/srcpkgs/xbps/template
index 645ea39e147..23c8d900c4a 100644
--- a/srcpkgs/xbps/template
+++ b/srcpkgs/xbps/template
@@ -1,7 +1,7 @@
 # Template file for 'xbps'
 pkgname=xbps
 version=0.53
-revision=9
+revision=10
 bootstrap=yes
 build_style=configure
 short_desc="The XBPS package system utilities"

From 002116d0cd1f009483ce72e81907f87a0e52da6a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 22:16:36 +0200
Subject: [PATCH 003/308] curl: rebuild for libressl-2.9.2.

---
 srcpkgs/curl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/curl/template b/srcpkgs/curl/template
index 224437b524b..271147bca5c 100644
--- a/srcpkgs/curl/template
+++ b/srcpkgs/curl/template
@@ -1,7 +1,7 @@
 # Template file for 'curl'
 pkgname=curl
 version=7.65.1
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="ac_cv_sizeof_off_t=8 --enable-threaded-resolver --enable-ipv6
  $(vopt_with rtmp) $(vopt_with gssapi) $(vopt_enable ldap) $(vopt_with gnuts)

From 7d7e4c27f1fd5603444905570c003b74e3fae43f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 22:18:36 +0200
Subject: [PATCH 004/308] wget: rebuild for libressl-2.9.2.

---
 srcpkgs/wget/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/wget/template b/srcpkgs/wget/template
index 6639379503b..e429284486a 100644
--- a/srcpkgs/wget/template
+++ b/srcpkgs/wget/template
@@ -1,7 +1,7 @@
 # Template file for 'wget'
 pkgname=wget
 version=1.20.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="$(vopt_if ssl '--with-ssl=openssl') $(vopt_if gnutls '--with-ssl=gnutls')"
 conf_files="/etc/wgetrc"

From f173345c7cf04d54809a694e34d70560a3a5d50b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 22:21:22 +0200
Subject: [PATCH 005/308] libssh: rebuild for libressl-2.9.2.

---
 srcpkgs/libssh/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libssh/template b/srcpkgs/libssh/template
index bb099f695c8..0748b5d791b 100644
--- a/srcpkgs/libssh/template
+++ b/srcpkgs/libssh/template
@@ -1,7 +1,7 @@
 # Template file for 'libssh'
 pkgname=libssh
 version=0.8.7
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DUNIT_TESTING=ON"
 hostmakedepends="pkg-config python3"

From 060068976719869e2817028bc24bee007e8116f8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 22:22:06 +0200
Subject: [PATCH 006/308] libssh2: rebuild for libressl-2.9.2.

---
 srcpkgs/libssh2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libssh2/template b/srcpkgs/libssh2/template
index b6a1eb46ad5..89de6daba29 100644
--- a/srcpkgs/libssh2/template
+++ b/srcpkgs/libssh2/template
@@ -1,7 +1,7 @@
 # Template file for 'libssh2'
 pkgname=libssh2
 version=1.8.2
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-libssl-prefix=${XBPS_CROSS_BASE}/usr"
 makedepends="zlib-devel libressl-devel"

From 8abd412a83f302984b9d0afb30784f3acb87c636 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 00:45:53 +0200
Subject: [PATCH 007/308] wpa_supplicant: rebuild for libressl-2.9.2.

---
 srcpkgs/wpa_supplicant/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/wpa_supplicant/template b/srcpkgs/wpa_supplicant/template
index 5bcc08eaf36..bba596a95f2 100644
--- a/srcpkgs/wpa_supplicant/template
+++ b/srcpkgs/wpa_supplicant/template
@@ -1,7 +1,7 @@
 # Template file for 'wpa_supplicant'
 pkgname=wpa_supplicant
 version=2.8
-revision=1
+revision=2
 build_wrksrc="$pkgname"
 short_desc="WPA/WPA2/IEEE 802.1X Supplicant"
 maintainer="Juan RP <xtraeme@voidlinux.org>"

From 0b6f00911a05b110ddccddd7491e417a2dfa990c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 00:49:55 +0200
Subject: [PATCH 008/308] git: rebuild for libressl-2.9.2.

---
 srcpkgs/git/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/git/template b/srcpkgs/git/template
index 1ae564818e7..938516fe7a0 100644
--- a/srcpkgs/git/template
+++ b/srcpkgs/git/template
@@ -1,7 +1,7 @@
 # Template file for 'git'
 pkgname=git
 version=2.22.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-curl --with-expat --with-tcltk --with-libpcre2
  ac_cv_snprintf_returns_bogus=no"

From 19914936528a32d3a9118772d7a3303bf505b506 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 00:52:20 +0200
Subject: [PATCH 009/308] lftp: rebuild for libressl-2.9.2.

---
 srcpkgs/lftp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lftp/template b/srcpkgs/lftp/template
index e50d652c4e2..8b72c5cd65e 100644
--- a/srcpkgs/lftp/template
+++ b/srcpkgs/lftp/template
@@ -1,7 +1,7 @@
 # Template file for 'lftp'
 pkgname=lftp
 version=4.8.4
-revision=3
+revision=4
 lib32disabled=yes
 build_style=gnu-configure
 configure_args="--with-modules --disable-rpath --without-included-regex

From d0ee2143f585959d9d5efbfd75f7e2c94bf90c0d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 01:00:30 +0200
Subject: [PATCH 010/308] apache: rebuild for libressl-2.9.2.

---
 srcpkgs/apache/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/apache/template b/srcpkgs/apache/template
index b09a3ea68d8..a24361a0612 100644
--- a/srcpkgs/apache/template
+++ b/srcpkgs/apache/template
@@ -1,7 +1,7 @@
 # Template file for 'apache'
 pkgname=apache
 version=2.4.39
-revision=1
+revision=2
 wrksrc="httpd-${version}"
 build_style=gnu-configure
 configure_args="--prefix= --sbindir=/usr/bin --enable-pie --enable-modules=all

From 6fd934883cdd68e797d927fb56dec1f4344ced3f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 01:06:52 +0200
Subject: [PATCH 011/308] bind: rebuild for libressl-2.9.2.

---
 srcpkgs/bind/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bind/template b/srcpkgs/bind/template
index db9180dbb66..20c797e28dc 100644
--- a/srcpkgs/bind/template
+++ b/srcpkgs/bind/template
@@ -2,7 +2,7 @@
 pkgname=bind
 reverts="9.13.6_1"
 version=9.11.7
-revision=1
+revision=2
 _fullver="${version}${_patchver:+-${_patchver}}"
 wrksrc="${pkgname}-${_fullver}"
 build_style=gnu-configure

From 219cc2454e3270fbf16e0435a18c291b7e98480c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 01:07:03 +0200
Subject: [PATCH 012/308] opensmtpd: rebuild for libressl-2.9.2.

---
 srcpkgs/opensmtpd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opensmtpd/template b/srcpkgs/opensmtpd/template
index 1e971ac9c6a..a2c9dec55d7 100644
--- a/srcpkgs/opensmtpd/template
+++ b/srcpkgs/opensmtpd/template
@@ -1,7 +1,7 @@
 # Template file for 'opensmtpd'
 pkgname=opensmtpd
 version=6.4.1p2
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--sysconfdir=/etc/smtpd --sbindir=/usr/bin
  --with-path-socket=/run --with-path-pidfile=/run

From 1160a3287e861ea3ccf4e4727a329f01b54f6fd1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 01:08:26 +0200
Subject: [PATCH 013/308] dovecot: rebuild for libressl-2.9.2.

---
 srcpkgs/dovecot/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/dovecot/template b/srcpkgs/dovecot/template
index c14115229b2..6faaa9ee0bf 100644
--- a/srcpkgs/dovecot/template
+++ b/srcpkgs/dovecot/template
@@ -2,7 +2,7 @@
 # revbump dovecot-plugin-pigeonhole when updating dovecot!
 pkgname=dovecot
 version=2.3.6
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-moduledir=/usr/lib/dovecot/modules --with-sql=plugin
  --disable-static --with-pam --with-mysql --with-pgsql --with-lucene

From d5d10b6af71049dc7524dda7b21982fb113668c7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 01:35:07 +0200
Subject: [PATCH 014/308] Ice: rebuild for libressl-2.9.2.

---
 srcpkgs/Ice/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/Ice/template b/srcpkgs/Ice/template
index b75229a39f4..e860b57f481 100644
--- a/srcpkgs/Ice/template
+++ b/srcpkgs/Ice/template
@@ -1,7 +1,7 @@
 # Template file for 'Ice'
 pkgname=Ice
 version=3.5.1
-revision=20
+revision=21
 build_wrksrc=cpp
 # XXX: other language bindings
 makedepends="zlib-devel bzip2-devel mcpp-devel db-devel expat-devel libressl-devel"

From bdc0c944e67e39fc8c78e53e9383705b6212f3a2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 09:52:54 +0200
Subject: [PATCH 015/308] openssh: rebuild for libressl-2.9.2.

---
 srcpkgs/openssh/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/openssh/template b/srcpkgs/openssh/template
index 3e1fc0a2bca..a44c209a5eb 100644
--- a/srcpkgs/openssh/template
+++ b/srcpkgs/openssh/template
@@ -1,7 +1,7 @@
 # Template file for 'openssh'
 pkgname=openssh
 version=8.0p1
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--datadir=/usr/share/openssh
  --sysconfdir=/etc/ssh --without-selinux --with-privsep-user=nobody

From 187ccffb11ae8dbcc31c61a1d42fa27b21a2ba5d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 09:55:36 +0200
Subject: [PATCH 016/308] qt5: rebuild for libressl-2.9.2.

---
 srcpkgs/qt5/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qt5/template b/srcpkgs/qt5/template
index 5c9d3eff576..bfd8712e7af 100644
--- a/srcpkgs/qt5/template
+++ b/srcpkgs/qt5/template
@@ -1,7 +1,7 @@
 # Template file for 'qt5'
 pkgname=qt5
 version=5.11.3
-revision=6
+revision=7
 wrksrc="qt-everywhere-src-${version}"
 build_style=gnu-configure
 hostmakedepends="cmake clang flex git glib-devel gperf ninja pkg-config

From 48723d5d1739117922f3a56a46e734c83aaaebdf Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 11:46:34 +0200
Subject: [PATCH 017/308] qt: rebuild for libressl-2.9.2.

---
 srcpkgs/qt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qt/template b/srcpkgs/qt/template
index 2c5b38999bc..a391551396b 100644
--- a/srcpkgs/qt/template
+++ b/srcpkgs/qt/template
@@ -1,7 +1,7 @@
 # Template file for 'qt'
 pkgname=qt
 version=4.8.7
-revision=27
+revision=28
 _distname=qt-everywhere-opensource-src
 patch_args="-Np1"
 wrksrc=${_distname}-${version}

From 17b1849d60cbeed9ddacad0fea677898a9b39bcc Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 26 Apr 2019 01:00:23 +0200
Subject: [PATCH 018/308] openvpn: rebuild for libressl-2.9.2.

---
 srcpkgs/openvpn/patches/libressl.patch | 9 ---------
 srcpkgs/openvpn/template               | 2 +-
 2 files changed, 1 insertion(+), 10 deletions(-)

diff --git a/srcpkgs/openvpn/patches/libressl.patch b/srcpkgs/openvpn/patches/libressl.patch
index e5eca2f0dd2..76fa6b256fd 100644
--- a/srcpkgs/openvpn/patches/libressl.patch
+++ b/srcpkgs/openvpn/patches/libressl.patch
@@ -18,12 +18,3 @@
      if (tls13)
      {
          SSL_CTX_set_min_proto_version(tls_ctx.ctx, TLS1_3_VERSION);
-@@ -1867,7 +1867,7 @@
-         crypto_msg(M_FATAL, "Cannot create SSL object");
-     }
- 
--#if (OPENSSL_VERSION_NUMBER < 0x1010000fL)
-+#if (OPENSSL_VERSION_NUMBER < 0x1010000fL || defined(LIBRESSL_VERSION_NUMBER))
-     STACK_OF(SSL_CIPHER) *sk = SSL_get_ciphers(ssl);
- #else
-     STACK_OF(SSL_CIPHER) *sk = SSL_get1_supported_ciphers(ssl);
diff --git a/srcpkgs/openvpn/template b/srcpkgs/openvpn/template
index cd7c6474feb..9c07d62f95d 100644
--- a/srcpkgs/openvpn/template
+++ b/srcpkgs/openvpn/template
@@ -1,7 +1,7 @@
 # Template file for 'openvpn'
 pkgname=openvpn
 version=2.4.7
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-pkcs11 --enable-iproute2 --disable-systemd"
 hostmakedepends="iproute2 pkg-config"

From a68fa73ef095e7b1a9e26b2459c14d4841569f55 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 26 Apr 2019 01:26:41 +0200
Subject: [PATCH 019/308] libsasl: rebuild for libressl-2.9.1.

---
 .../patches/{libressl.patch => time_t.patch}  | 38 +------------------
 srcpkgs/libsasl/template                      |  2 +-
 2 files changed, 2 insertions(+), 38 deletions(-)
 rename srcpkgs/libsasl/patches/{libressl.patch => time_t.patch} (55%)

diff --git a/srcpkgs/libsasl/patches/libressl.patch b/srcpkgs/libsasl/patches/time_t.patch
similarity index 55%
rename from srcpkgs/libsasl/patches/libressl.patch
rename to srcpkgs/libsasl/patches/time_t.patch
index b82503636b5..5dbd296348f 100644
--- a/srcpkgs/libsasl/patches/libressl.patch
+++ b/srcpkgs/libsasl/patches/time_t.patch
@@ -1,13 +1,10 @@
 Source: https://cvsweb.openbsd.org/cgi-bin/cvsweb/ports/security/cyrus-sasl2/patches/patch-saslauthd_lak_c
 Upstream: No
-Reason: LibreSSL compatibility
 
-$OpenBSD: patch-saslauthd_lak_c,v 1.1 2018/11/19 08:24:23 ajacoutot Exp $
+$OpenBSD: patch-saslauthd_lak_c,v 1.2 2019/01/20 23:00:32 ajacoutot Exp $
 
 64-bit time_t
 
-Fix for LibreSSL
-
 Index: saslauthd/lak.c
 --- a/saslauthd/lak.c.orig
 +++ b/saslauthd/lak.c
@@ -26,36 +23,3 @@ Index: saslauthd/lak.c
  	}
  
  	rc = ldap_set_option(lak->ld, LDAP_OPT_TIMELIMIT, &(lak->conf->time_limit));
-@@ -1749,28 +1749,28 @@ static int lak_base64_decode(
- 
- 	int rc, i, tlen = 0;
- 	char *text;
--	EVP_ENCODE_CTX *enc_ctx = EVP_ENCODE_CTX_new();
-+	EVP_ENCODE_CTX *enc_ctx = calloc(1, sizeof(EVP_ENCODE_CTX));
- 
- 	if (enc_ctx == NULL)
- 		return LAK_NOMEM;
- 
- 	text = (char *)malloc(((strlen(src)+3)/4 * 3) + 1);
- 	if (text == NULL) {
--		EVP_ENCODE_CTX_free(enc_ctx);
-+		free(enc_ctx);
- 		return LAK_NOMEM;
- 	}
- 
- 	EVP_DecodeInit(enc_ctx);
- 	rc = EVP_DecodeUpdate(enc_ctx, (unsigned char *) text, &i, (const unsigned char *)src, strlen(src));
- 	if (rc < 0) {
--		EVP_ENCODE_CTX_free(enc_ctx);
-+		free(enc_ctx);
- 		free(text);
- 		return LAK_FAIL;
- 	}
- 	tlen += i;
- 	EVP_DecodeFinal(enc_ctx, (unsigned char *) text, &i);
- 
--	EVP_ENCODE_CTX_free(enc_ctx);
-+	free(enc_ctx);
- 
- 	*ret = text;
- 	if (rlen != NULL)
diff --git a/srcpkgs/libsasl/template b/srcpkgs/libsasl/template
index c61d13a4541..f1616d9d8ec 100644
--- a/srcpkgs/libsasl/template
+++ b/srcpkgs/libsasl/template
@@ -1,7 +1,7 @@
 # Template file for 'libsasl'
 pkgname=libsasl
 version=2.1.27
-revision=1
+revision=2
 wrksrc="cyrus-sasl-${version}"
 build_style=gnu-configure
 configure_args="--enable-cram --enable-digest --enable-auth-sasldb

From 49bb306aa420860117120ff1b8ce24c9e47b0a97 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 27 Apr 2019 16:52:17 +0200
Subject: [PATCH 020/308] FreeRADIUS: rebuild for libressl-2.9.2.

---
 srcpkgs/FreeRADIUS/patches/libressl.patch | 11 +++++++++++
 srcpkgs/FreeRADIUS/template               |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/FreeRADIUS/patches/libressl.patch

diff --git a/srcpkgs/FreeRADIUS/patches/libressl.patch b/srcpkgs/FreeRADIUS/patches/libressl.patch
new file mode 100644
index 00000000000..7c5760beed3
--- /dev/null
+++ b/srcpkgs/FreeRADIUS/patches/libressl.patch
@@ -0,0 +1,11 @@
+--- src/modules/rlm_eap/types/rlm_eap_fast/eap_fast.c	2018-04-17 19:12:27.000000000 +0200
++++ src/modules/rlm_eap/types/rlm_eap_fast/eap_fast.c	2019-04-27 16:56:01.628410415 +0200
+@@ -44,7 +44,7 @@
+ {
+ 	const EVP_CIPHER *c;
+ 	const EVP_MD *h;
+-#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
++#if OPENSSL_VERSION_NUMBER < 0x10100000L || (defined(LIBRESSL_VERSION_NUMBER) && LIBRESSL_VERSION_NUMBER < 0x2090000fL)
+ 	int md_size;
+ 
+ 	if (ssl->enc_read_ctx == NULL || ssl->enc_read_ctx->cipher == NULL ||
diff --git a/srcpkgs/FreeRADIUS/template b/srcpkgs/FreeRADIUS/template
index 525d5959ee4..ff85a2ad689 100644
--- a/srcpkgs/FreeRADIUS/template
+++ b/srcpkgs/FreeRADIUS/template
@@ -1,7 +1,7 @@
 # Template file for 'FreeRADIUS'
 pkgname=FreeRADIUS
 version=3.0.17
-revision=3
+revision=4
 wrksrc=freeradius-server-${version}
 build_style=gnu-configure
 nocross=yes # Not supported by upstream

From 238ff799ac2f1ec4dbf3f4b3d3c67b5d49d16d3d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:14:22 +0200
Subject: [PATCH 021/308] LGOGDownloader: rebuild for libressl-2.9.2.

---
 srcpkgs/LGOGDownloader/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/LGOGDownloader/template b/srcpkgs/LGOGDownloader/template
index 58e9b488caf..3a4db86529e 100644
--- a/srcpkgs/LGOGDownloader/template
+++ b/srcpkgs/LGOGDownloader/template
@@ -1,7 +1,7 @@
 # Template file for 'LGOGDownloader'
 pkgname=LGOGDownloader
 version=3.5
-revision=1
+revision=2
 wrksrc="lgogdownloader-${version}"
 build_style=cmake
 hostmakedepends="pkg-config"

From fe1dd116e015ba5e950d12a044bccf9851a9bb25 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:17:53 +0200
Subject: [PATCH 022/308] MEGAsdk: rebuild for libressl-2.9.2.

---
 srcpkgs/MEGAsdk/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/MEGAsdk/template b/srcpkgs/MEGAsdk/template
index b1f90e7c70e..2e6b07556f8 100644
--- a/srcpkgs/MEGAsdk/template
+++ b/srcpkgs/MEGAsdk/template
@@ -1,7 +1,7 @@
 # Template file for 'MEGAsdk'
 pkgname=MEGAsdk
 version=3.4.8
-revision=1
+revision=2
 wrksrc="sdk-${version}"
 build_style=gnu-configure
 configure_args="--enable-chat --disable-examples $(vopt_with libuv)"

From 43196b3e66911e13df44c3c04461b46583ed5edb Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:18:09 +0200
Subject: [PATCH 023/308] VirtualGL: rebuild for libressl-2.9.2.

---
 srcpkgs/VirtualGL/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/VirtualGL/template b/srcpkgs/VirtualGL/template
index b23310cc294..2165bc2ae46 100644
--- a/srcpkgs/VirtualGL/template
+++ b/srcpkgs/VirtualGL/template
@@ -1,7 +1,7 @@
 # Template file for 'VirtualGL'
 pkgname=VirtualGL
 version=2.6.1
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DTJPEG_INCLUDE_DIR=/usr/include -DVGL_SYSTEMGLX=ON
  -DTJPEG_LIBRARY=/usr/lib/libturbojpeg.so -DCMAKE_INSTALL_LIBDIR=/usr/lib

From b5a9b9d7717d023484d19b26804192da61c15bd0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:19:02 +0200
Subject: [PATCH 024/308] acme-client: rebuild for libressl-2.9.2.

---
 srcpkgs/acme-client/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/acme-client/template b/srcpkgs/acme-client/template
index d4783341bdd..3bf86341ff0 100644
--- a/srcpkgs/acme-client/template
+++ b/srcpkgs/acme-client/template
@@ -1,7 +1,7 @@
 # Template file for 'acme-client'
 pkgname=acme-client
 version=0.1.16
-revision=3
+revision=4
 _distver=VERSION_${version//./_}
 wrksrc=acme-client-portable-${_distver}
 build_style=gnu-makefile

From c9641fe58523d1aeb0c9a9c243bdcbf2f25aacf8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:19:30 +0200
Subject: [PATCH 025/308] aircrack-ng: rebuild for libressl-2.9.2.

---
 srcpkgs/aircrack-ng/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/aircrack-ng/template b/srcpkgs/aircrack-ng/template
index f73705356b3..3ff8a99a871 100644
--- a/srcpkgs/aircrack-ng/template
+++ b/srcpkgs/aircrack-ng/template
@@ -1,7 +1,7 @@
 # Template file for 'aircrack-ng'
 pkgname=aircrack-ng
 version=1.5.2
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config"
 makedepends="libnl3-devel libressl-devel sqlite-devel zlib-devel"

From f1d822e6acfe63cfb685c9d4ca65667ef635e062 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:20:28 +0200
Subject: [PATCH 026/308] alpine: rebuild for libressl-2.9.2.

---
 srcpkgs/alpine/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/alpine/template b/srcpkgs/alpine/template
index a54793b4fce..dd5c6ea4145 100644
--- a/srcpkgs/alpine/template
+++ b/srcpkgs/alpine/template
@@ -1,7 +1,7 @@
 # Template file for 'alpine'
 pkgname=alpine
 version=2.21.9999
-revision=2
+revision=3
 _githash=d3e6f3932f2af9deca8eed09e30a55e9bd524362
 _gitshort="${_githash:0:7}"
 wrksrc="${pkgname}-${_gitshort}"

From 56e4653026f65145f17289fe9c4d4e89c8daa712 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:21:45 +0200
Subject: [PATCH 027/308] apk-tools: rebuild for libressl-2.9.2.

---
 srcpkgs/apk-tools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/apk-tools/template b/srcpkgs/apk-tools/template
index 421ca21b989..8d3d50156c4 100644
--- a/srcpkgs/apk-tools/template
+++ b/srcpkgs/apk-tools/template
@@ -1,7 +1,7 @@
 # Template file for 'apk-tools'
 pkgname=apk-tools
 version=2.10.4
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="LUAAPK="
 hostmakedepends="pkg-config"

From ccb7f12ceb0a3ffae3234f4c31e98ad839b0176b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:22:38 +0200
Subject: [PATCH 028/308] apr-util: rebuild for libressl-2.9.2.

---
 srcpkgs/apr-util/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/apr-util/template b/srcpkgs/apr-util/template
index 8a30a392803..46e92aec736 100644
--- a/srcpkgs/apr-util/template
+++ b/srcpkgs/apr-util/template
@@ -1,7 +1,7 @@
 # Template file for 'apr-util'
 pkgname=apr-util
 version=1.6.1
-revision=6
+revision=7
 build_style=gnu-configure
 configure_args="
  --with-apr=${XBPS_CROSS_BASE}/usr/bin/apr-1-config --with-pgsql --with-ldap

From e01d6ccc7b2758f4bf327cb73812113e45330a71 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:23:44 +0200
Subject: [PATCH 029/308] argyllcms: rebuild for libressl-2.9.2.

---
 srcpkgs/argyllcms/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/argyllcms/template b/srcpkgs/argyllcms/template
index 106be466542..511eff1e48a 100644
--- a/srcpkgs/argyllcms/template
+++ b/srcpkgs/argyllcms/template
@@ -1,7 +1,7 @@
 # Template file for 'argyllcms'
 pkgname=argyllcms
 version=2.1.0
-revision=1
+revision=2
 wrksrc="Argyll_V${version}"
 hostmakedepends="ftjam zip unzip"
 makedepends="zlib-devel libjpeg-turbo-devel libXinerama-devel libressl-devel

From 4ca672f8d621b57ed8f9cdeee54ec5a2b3d1616c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:26:53 +0200
Subject: [PATCH 030/308] aria2: rebuild for libressl-2.9.2.

---
 srcpkgs/aria2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/aria2/template b/srcpkgs/aria2/template
index c9d58d72042..d618b3e9bf7 100644
--- a/srcpkgs/aria2/template
+++ b/srcpkgs/aria2/template
@@ -1,7 +1,7 @@
 # Template file for 'aria2'
 pkgname=aria2
 version=1.34.0
-revision=4
+revision=5
 build_style=gnu-configure
 configure_args="--with-openssl --with-libexpat --without-gnutls
  --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt

From fa6b822c720d08642cc2a8c857cb12a086ff76be Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:31:01 +0200
Subject: [PATCH 031/308] attic: rebuild for libressl-2.9.2.

---
 srcpkgs/attic/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/attic/template b/srcpkgs/attic/template
index e37bb36a60c..533ef7377bc 100644
--- a/srcpkgs/attic/template
+++ b/srcpkgs/attic/template
@@ -1,7 +1,7 @@
 # Template file for 'attic'
 pkgname=attic
 version=0.16
-revision=13
+revision=14
 wrksrc="Attic-$version"
 build_style=python3-module
 hostmakedepends="python3-setuptools python3-devel libressl-devel python3-Sphinx"

From 02bce3f480ddb660dfe75aeb9e14488c6bf880f0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:31:57 +0200
Subject: [PATCH 032/308] axel: rebuild for libressl-2.9.2.

---
 srcpkgs/axel/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/axel/template b/srcpkgs/axel/template
index 41bfefb27a9..58b955b4a3a 100644
--- a/srcpkgs/axel/template
+++ b/srcpkgs/axel/template
@@ -1,7 +1,7 @@
 # Template file for 'axel'
 pkgname=axel
 version=2.17.3
-revision=1
+revision=2
 build_style=gnu-configure
 conf_files="/etc/axelrc"
 hostmakedepends="gettext-devel pkg-config"

From f5bd0dd621cdf8c8d73f7142ab73c46ca314fc7a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:41:13 +0200
Subject: [PATCH 033/308] bacula-common: rebuild for libressl-2.9.2.

---
 srcpkgs/bacula-common/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bacula-common/template b/srcpkgs/bacula-common/template
index 55c309b3ce3..01c7bb1ef51 100644
--- a/srcpkgs/bacula-common/template
+++ b/srcpkgs/bacula-common/template
@@ -1,7 +1,7 @@
 # Template file for 'bacula-common'
 pkgname=bacula-common
 version=9.4.2
-revision=1
+revision=2
 wrksrc="${pkgname%-*}-${version}"
 build_style=gnu-configure
 configure_args="--with-openssl --with-sqlite3 --with-mysql --with-postgresql

From 7b281ddfa937ccf19401c510748522e81d597175 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:42:59 +0200
Subject: [PATCH 034/308] badvpn: rebuild for libressl-2.9.2.

---
 srcpkgs/badvpn/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/badvpn/template b/srcpkgs/badvpn/template
index fd1f65594fd..b62d13f208f 100644
--- a/srcpkgs/badvpn/template
+++ b/srcpkgs/badvpn/template
@@ -1,7 +1,7 @@
 # Template file for 'badvpn'
 pkgname=badvpn
 version=1.999.130
-revision=10
+revision=11
 build_style=cmake
 hostmakedepends="pkg-config"
 makedepends="libressl-devel nspr-devel nss-devel"

From 1f6985675a03a4f088816f4dafe1031723fff77d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 13:41:40 +0200
Subject: [PATCH 035/308] balsa: rebuild for libressl-2.9.2.

---
 srcpkgs/balsa/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/balsa/template b/srcpkgs/balsa/template
index cfda58f527f..cb94d1eefbb 100644
--- a/srcpkgs/balsa/template
+++ b/srcpkgs/balsa/template
@@ -1,7 +1,7 @@
 # Template file for 'balsa'.
 pkgname=balsa
 version=2.5.7
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--without-gnome --with-libsecret --with-gpgme --with-sqlite
  --with-html-widget=webkit2"

From 5b6e3406fe0aaa137afca4645ba6e890f4ab9711 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 13:48:24 +0200
Subject: [PATCH 036/308] baresip: rebuild for libressl-2.9.2.

---
 srcpkgs/baresip/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/baresip/template b/srcpkgs/baresip/template
index 1f4c0dedd61..8aa56b2cffb 100644
--- a/srcpkgs/baresip/template
+++ b/srcpkgs/baresip/template
@@ -1,7 +1,7 @@
 # Template file for 'baresip'
 pkgname=baresip
 version=0.6.2
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="LIBRE_MK=${XBPS_CROSS_BASE}/usr/share/re/re.mk
  SYSROOT=${XBPS_CROSS_BASE}/usr  LIBRE_INC=${XBPS_CROSS_BASE}/usr/include/re

From a7460bb8dc6d71be9e482f551a6d99540c44c468 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 13:50:47 +0200
Subject: [PATCH 037/308] barrier: rebuild for libressl-2.9.2.

---
 srcpkgs/barrier/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/barrier/template b/srcpkgs/barrier/template
index 3c1fbdcda01..386cac2abfb 100644
--- a/srcpkgs/barrier/template
+++ b/srcpkgs/barrier/template
@@ -1,7 +1,7 @@
 # Template file for 'barrier'
 pkgname=barrier
 version=2.1.2
-revision=2
+revision=3
 build_style=cmake
 configure_args="-DBARRIER_REVISION=00000000 -DBARRIER_VERSION_STAGE=RELEASE"
 hostmakedepends="pkg-config qt5-qmake qt5-host-tools"

From 987d99670f8ff8fd17912c7abd7f66ae5adc25f8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 13:52:13 +0200
Subject: [PATCH 038/308] bitchx: rebuild for libressl-2.9.2.

---
 srcpkgs/bitchx/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bitchx/template b/srcpkgs/bitchx/template
index 830b6d28a8c..87cb1f4d2da 100644
--- a/srcpkgs/bitchx/template
+++ b/srcpkgs/bitchx/template
@@ -1,7 +1,7 @@
 # Template file for 'bitchx'
 pkgname=bitchx
 version=1.2.1
-revision=13
+revision=14
 build_style=gnu-configure
 configure_args="--with-ssl --with-ipv6 --with-plugins"
 makedepends="libressl-devel ncurses-devel"

From 685e35cd853d17ecc5bf984537d3cd7b9eadac08 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 13:54:52 +0200
Subject: [PATCH 039/308] bitcoin: rebuild for libressl-2.9.2.

---
 srcpkgs/bitcoin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bitcoin/template b/srcpkgs/bitcoin/template
index 040dadbb0b2..035ef9cc657 100644
--- a/srcpkgs/bitcoin/template
+++ b/srcpkgs/bitcoin/template
@@ -1,7 +1,7 @@
 # Template file for 'bitcoin'
 pkgname=bitcoin
 version=0.18.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-incompatible-bdb --disable-ccache --disable-static
  --enable-hardening --with-boost=${XBPS_CROSS_BASE}/usr"

From 5a6dcd4347f00c6e7bf42bfb87b55b51b8d3d4b2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:01:30 +0200
Subject: [PATCH 040/308] bitlbee: rebuild for libressl-2.9.2.

---
 srcpkgs/bitlbee/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bitlbee/template b/srcpkgs/bitlbee/template
index eaa5f35ed5a..6f29365cce9 100644
--- a/srcpkgs/bitlbee/template
+++ b/srcpkgs/bitlbee/template
@@ -1,7 +1,7 @@
 # Template file for 'bitlbee'
 pkgname=bitlbee
 version=3.6
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--etcdir=/etc/bitlbee --pidfile=/run/${pkgname}/${pkgname}.pid
  --ipcsocket=/run/${pkgname}/${pkgname}.sock

From 73bcba5107e014ba41cef43cd367df59e3b3bae4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:03:20 +0200
Subject: [PATCH 041/308] boinc: rebuild for libressl-2.9.2.

---
 srcpkgs/boinc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/boinc/template b/srcpkgs/boinc/template
index 6dbb03c5ae6..85315678f0e 100644
--- a/srcpkgs/boinc/template
+++ b/srcpkgs/boinc/template
@@ -1,7 +1,7 @@
 # Template file for 'boinc'
 pkgname=boinc
 version=7.14.2
-revision=2
+revision=3
 _majorver=${version%.*}
 wrksrc=boinc-client_release-${_majorver}-${version}
 build_style=gnu-configure

From b0232f14bc6e14fa14f1213316a6e7c707a60089 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:07:43 +0200
Subject: [PATCH 042/308] borg: rebuild for libressl-2.9.2.

---
 srcpkgs/borg/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/borg/template b/srcpkgs/borg/template
index 3420578b5c1..520b1b2f65a 100644
--- a/srcpkgs/borg/template
+++ b/srcpkgs/borg/template
@@ -1,7 +1,7 @@
 # Template file for 'borg'
 pkgname=borg
 version=1.1.10
-revision=1
+revision=2
 wrksrc="borgbackup-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools python3-devel libressl-devel"

From c4204de177f874af1a014d2df5db46b5b2fe6c36 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:11:08 +0200
Subject: [PATCH 043/308] botan: rebuild for libressl-2.9.2.

---
 srcpkgs/botan/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/botan/template b/srcpkgs/botan/template
index 7dfdffe2f64..0d2f0021391 100644
--- a/srcpkgs/botan/template
+++ b/srcpkgs/botan/template
@@ -1,7 +1,7 @@
 # Template file for 'botan'
 pkgname=botan
 version=2.10.0
-revision=1
+revision=2
 wrksrc="${pkgname^}-${version}"
 build_style=gnu-makefile
 pycompile_module="botan.py"

From c726b2909901ff1a995ce965eee264058dba8224 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:30:56 +0200
Subject: [PATCH 044/308] bro: rebuild for libressl-2.9.2.

---
 srcpkgs/bro/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bro/template b/srcpkgs/bro/template
index a8a4dac2ad1..7f0066f13e2 100644
--- a/srcpkgs/bro/template
+++ b/srcpkgs/bro/template
@@ -1,7 +1,7 @@
 # Template file for 'bro'
 pkgname=bro
 version=2.6.2
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="flex pkg-config python3"
 makedepends="bind-devel geoip-devel libpcap-devel libressl-devel jemalloc-devel"

From f014ff4a6be9e267e31a6661dae1c1dff3b924cf Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:41:52 +0200
Subject: [PATCH 045/308] burp-server: rebuild for libressl-2.9.2.

---
 srcpkgs/burp-server/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/burp-server/template b/srcpkgs/burp-server/template
index bc2bb37cda1..dbd40dbd540 100644
--- a/srcpkgs/burp-server/template
+++ b/srcpkgs/burp-server/template
@@ -3,7 +3,7 @@ _desc="A network-based backup and restore program"
 
 pkgname=burp-server
 version=1.4.40
-revision=10
+revision=11
 short_desc="${_desc} - Server"
 maintainer="Pierre Bourgin <pierre.bourgin@free.fr>"
 license="AGPL-3.0-only, BSD-3-Clause, GPL-2.0-or-later"

From 952e97c909bcba512719db9769d5be7831e55923 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:48:35 +0200
Subject: [PATCH 046/308] burp2-server: rebuild for libressl-2.9.2.

---
 srcpkgs/burp2-server/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/burp2-server/template b/srcpkgs/burp2-server/template
index 16dd3afc7ce..729f07dccdb 100644
--- a/srcpkgs/burp2-server/template
+++ b/srcpkgs/burp2-server/template
@@ -3,7 +3,7 @@ _desc="Network-based backup and restore program"
 
 pkgname=burp2-server
 version=2.2.18
-revision=1
+revision=2
 wrksrc="burp-${version}"
 build_style=gnu-configure
 make_install_target=install-all

From c61a4af9a27b713347e8520793c4e30163884e79 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:50:22 +0200
Subject: [PATCH 047/308] calibre: rebuild for libressl-2.9.2.

---
 srcpkgs/calibre/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/calibre/template b/srcpkgs/calibre/template
index d9adac86c10..45c4b835c63 100644
--- a/srcpkgs/calibre/template
+++ b/srcpkgs/calibre/template
@@ -1,7 +1,7 @@
 # Template file for 'calibre'
 pkgname=calibre
 version=3.44.0
-revision=1
+revision=2
 build_style=python2-module
 pycompile_dirs="/usr/lib/calibre/"
 make_build_args="gui"

From aa8a05294760481546781c4d1a8a9caf25d8f4e6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:53:34 +0200
Subject: [PATCH 048/308] chatterino2: rebuild for libressl-2.9.2.

---
 srcpkgs/chatterino2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/chatterino2/template b/srcpkgs/chatterino2/template
index 3b08256d381..d513cc34438 100644
--- a/srcpkgs/chatterino2/template
+++ b/srcpkgs/chatterino2/template
@@ -1,7 +1,7 @@
 # Template file for 'chatterino2'
 pkgname=chatterino2
 version=2.0.4
-revision=1
+revision=2
 _signals_commit=3f6645c615ff7bf412c05fe322e589cbdd34ff9b
 _settings_commit=ad31b38866d80a17ced902476ed06da69edce3a0
 _humanize_commit=4e00a03623966723f23ca3034c1ad944009cd7be

From 2bc67555b7886168a90025985eae24c65f4bb803 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:59:08 +0200
Subject: [PATCH 049/308] clamav: rebuild for libressl-2.9.2.

---
 srcpkgs/clamav/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/clamav/template b/srcpkgs/clamav/template
index 29ae43805ef..3473ad85679 100644
--- a/srcpkgs/clamav/template
+++ b/srcpkgs/clamav/template
@@ -1,7 +1,7 @@
 # Template file for 'clamav'
 pkgname=clamav
 version=0.101.2
-revision=1
+revision=2
 build_style=gnu-configure
 # XXX: system llvm is too new (< 3.7 required)
 # Shipped llvm does not build with gcc6

From ee804160a33bbba558ae210876ee12cc7b875fb7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:59:22 +0200
Subject: [PATCH 050/308] claws-mail: rebuild for libressl-2.9.2.

---
 srcpkgs/claws-mail/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/claws-mail/template b/srcpkgs/claws-mail/template
index 7b1f4a51875..642091fde5d 100644
--- a/srcpkgs/claws-mail/template
+++ b/srcpkgs/claws-mail/template
@@ -1,7 +1,7 @@
 # Template file for 'claws-mail'
 pkgname=claws-mail
 version=3.17.3
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--disable-static --disable-python-plugin --disable-perl-plugin
  --enable-enchant --enable-gnutls"

From 9d22c2fa40049f00fc2ce5b7e1fa6623ce2e2ff7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:03:16 +0200
Subject: [PATCH 051/308] cloudfuse: rebuild for libressl-2.9.2.

---
 srcpkgs/cloudfuse/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/cloudfuse/template b/srcpkgs/cloudfuse/template
index 891028efe14..c5d930f1c02 100644
--- a/srcpkgs/cloudfuse/template
+++ b/srcpkgs/cloudfuse/template
@@ -1,7 +1,7 @@
 # Template file for 'cloudfuse'
 pkgname=cloudfuse
 version=1.0
-revision=2
+revision=3
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="libxml2-devel libcurl-devel fuse-devel"

From 9c58c0a257f700f215cca15e0dff86eace00eb83 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:06:53 +0200
Subject: [PATCH 052/308] cmusfm: rebuild for libressl-2.9.2.

---
 srcpkgs/cmusfm/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/cmusfm/template b/srcpkgs/cmusfm/template
index e08c0779892..950a7575c26 100644
--- a/srcpkgs/cmusfm/template
+++ b/srcpkgs/cmusfm/template
@@ -1,7 +1,7 @@
 # Template file for 'cmusfm'
 pkgname=cmusfm
 version=0.3.3
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="--enable-libnotify"
 hostmakedepends="automake pkg-config"

From 5e26fb0e7f7158da3bd91fe5c3828b0c5f64f88e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:12:52 +0200
Subject: [PATCH 053/308] coWPAtty: rebuild for libressl-2.9.2.

---
 srcpkgs/coWPAtty/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/coWPAtty/template b/srcpkgs/coWPAtty/template
index f0edced1b41..317ad862a8d 100644
--- a/srcpkgs/coWPAtty/template
+++ b/srcpkgs/coWPAtty/template
@@ -2,7 +2,7 @@
 pkgname=coWPAtty
 _pkgname=cowpatty
 version=4.8
-revision=1
+revision=2
 wrksrc="${_pkgname}-${version}"
 build_style=gnu-makefile
 make_use_env=1

From 7f662c7ecf3245164914991c585ea3ba16cdf2c4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:18:08 +0200
Subject: [PATCH 054/308] coturn: rebuild for libressl-2.9.2.

---
 srcpkgs/coturn/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/coturn/template b/srcpkgs/coturn/template
index 1de10fabd05..92de4f60168 100644
--- a/srcpkgs/coturn/template
+++ b/srcpkgs/coturn/template
@@ -1,7 +1,7 @@
 # Template file for 'coturn'
 pkgname=coturn
 version=4.5.1.1
-revision=1
+revision=2
 build_style=gnu-configure
 conf_files="/etc/turnserver.conf"
 makedepends="libressl-devel libevent-devel hiredis-devel sqlite-devel

From 575b8ac2a584e02cfb88d3564bd641d30aaadd46 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:21:54 +0200
Subject: [PATCH 055/308] cryptsetup: rebuild for libressl-2.9.2.

---
 srcpkgs/cryptsetup/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/cryptsetup/template b/srcpkgs/cryptsetup/template
index 034cd9873c9..5bcef6b8634 100644
--- a/srcpkgs/cryptsetup/template
+++ b/srcpkgs/cryptsetup/template
@@ -1,7 +1,7 @@
 # Template file for 'cryptsetup'
 pkgname=cryptsetup
 version=2.1.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-crypto_backend=openssl $(vopt_enable pwquality)
  --enable-cryptsetup-reencrypt --enable-libargon2"

From acd28f4f06bde7737bf05745fe9203331ef684b7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:26:01 +0200
Subject: [PATCH 056/308] cyrus-sasl: rebuild for libressl-2.9.2.

---
 srcpkgs/cyrus-sasl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/cyrus-sasl/template b/srcpkgs/cyrus-sasl/template
index 28eb69b2ee2..d071e4a4277 100644
--- a/srcpkgs/cyrus-sasl/template
+++ b/srcpkgs/cyrus-sasl/template
@@ -1,7 +1,7 @@
 # Template file for 'cyrus-sasl'
 pkgname=cyrus-sasl
 version=2.1.27
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--disable-static --enable-shared --enable-checkapop
  --enable-cram --enable-digest --disable-otp --disable-srp

From b6845ed24eec5b035708e33384ff8ba24f60f878 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:41:03 +0200
Subject: [PATCH 057/308] dillo: rebuild for libressl-2.9.2.

---
 srcpkgs/dillo/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/dillo/template b/srcpkgs/dillo/template
index 3de14fc89f4..32506e2a12a 100644
--- a/srcpkgs/dillo/template
+++ b/srcpkgs/dillo/template
@@ -1,7 +1,7 @@
 # Template file for 'dillo'
 pkgname=dillo
 version=3.0.5
-revision=9
+revision=10
 build_style=gnu-configure
 configure_args="--enable-ssl --enable-ipv6 --enable-threaded-dns"
 conf_files="/etc/dillo/dillorc

From 463d5f23d7dea4a6e6c034e57d997bc7b0f9a6ac Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:41:42 +0200
Subject: [PATCH 058/308] dma: rebuild for libressl-2.9.2.

---
 srcpkgs/dma/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/dma/template b/srcpkgs/dma/template
index 4b49ea58c9e..eeae971c688 100644
--- a/srcpkgs/dma/template
+++ b/srcpkgs/dma/template
@@ -1,7 +1,7 @@
 # Template file for 'dma'
 pkgname=dma
 version=0.11
-revision=9
+revision=10
 conf_files="/etc/dma/*.conf"
 make_dirs="/var/spool/dma 2775 root mail"
 hostmakedepends="flex"

From 7198cac41f627f9bfcf24b3ec1c8ff8c3aa38ce2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:42:16 +0200
Subject: [PATCH 059/308] dmg2img: rebuild for libressl-2.9.2.

---
 srcpkgs/dmg2img/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/dmg2img/template b/srcpkgs/dmg2img/template
index 22a62d11ec8..549b1370298 100644
--- a/srcpkgs/dmg2img/template
+++ b/srcpkgs/dmg2img/template
@@ -1,7 +1,7 @@
 # Template file for 'dmg2img'
 pkgname=dmg2img
 version=1.6.7
-revision=2
+revision=3
 build_style=gnu-makefile
 makedepends="zlib-devel bzip2-devel libressl-devel"
 short_desc="Convert Apple's compressed dmg to standard image disks"

From 4dd9227172936fd8ef72defaca8846d583ae04c6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:43:11 +0200
Subject: [PATCH 060/308] ecryptfs-utils: rebuild for libressl-2.9.2.

---
 srcpkgs/ecryptfs-utils/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ecryptfs-utils/template b/srcpkgs/ecryptfs-utils/template
index 1bffd7d7c18..3fc712f9fcd 100644
--- a/srcpkgs/ecryptfs-utils/template
+++ b/srcpkgs/ecryptfs-utils/template
@@ -1,7 +1,7 @@
 # Template file for 'ecryptfs-utils'
 pkgname=ecryptfs-utils
 version=111
-revision=6
+revision=7
 lib32disabled=yes
 build_style=gnu-configure
 configure_args="--sbindir=/usr/bin

From 372389e5cfd900ae6b1c1c9d3adb50bb226626f1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:48:27 +0200
Subject: [PATCH 061/308] efitools: rebuild for libressl-2.9.2.

---
 srcpkgs/efitools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/efitools/template b/srcpkgs/efitools/template
index af1a187bb96..0a7e88f7ce8 100644
--- a/srcpkgs/efitools/template
+++ b/srcpkgs/efitools/template
@@ -1,7 +1,7 @@
 # Template file for 'efitools'
 pkgname=efitools
 version=1.9.2
-revision=1
+revision=2
 archs="x86_64* i686* arm* aarch64*"
 build_style=gnu-makefile
 hostmakedepends="perl-File-Slurp"

From 5ed2cb56fd7039dd7f2de301a338a443a984c6dd Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:48:56 +0200
Subject: [PATCH 062/308] efl: rebuild for libressl-2.9.2.

---
 srcpkgs/efl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/efl/template b/srcpkgs/efl/template
index 6f0fa1a28f4..712e39f2a27 100644
--- a/srcpkgs/efl/template
+++ b/srcpkgs/efl/template
@@ -1,7 +1,7 @@
 # Template file for 'efl'
 pkgname=efl
 version=1.22.2
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="CXX= --disable-systemd --enable-liblz4
  --enable-multisense --enable-image-loader-webp

From 2a250a2219b343a9103a12213b271c7cab62e021 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:55:51 +0200
Subject: [PATCH 063/308] eid-mw: rebuild for libressl-2.9.2.

---
 srcpkgs/eid-mw/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/eid-mw/template b/srcpkgs/eid-mw/template
index 826fb27e6b7..48fadb06ade 100644
--- a/srcpkgs/eid-mw/template
+++ b/srcpkgs/eid-mw/template
@@ -1,7 +1,7 @@
 # Template file for 'eid-mw'
 pkgname=eid-mw
 version=4.4.16
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config automake gettext-devel libtool glib-devel"
 makedepends="gtk+3-devel libcurl-devel libressl-devel libproxy-devel pcsclite-devel"

From eaef6a441e1706648fa1ce02d57fb6276f4074a5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:57:18 +0200
Subject: [PATCH 064/308] eiskaltdcpp-qt: rebuild for libressl-2.9.2.

---
 srcpkgs/eiskaltdcpp-qt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/eiskaltdcpp-qt/template b/srcpkgs/eiskaltdcpp-qt/template
index 2378d6202e3..2100fa71c65 100644
--- a/srcpkgs/eiskaltdcpp-qt/template
+++ b/srcpkgs/eiskaltdcpp-qt/template
@@ -1,7 +1,7 @@
 # Template file for 'eiskaltdcpp-qt'
 pkgname=eiskaltdcpp-qt
 version=2.2.10
-revision=9
+revision=10
 wrksrc="eiskaltdcpp-${version}"
 build_style=cmake
 configure_args="-DUSE_MINIUPNP=ON -DUSE_QT5=ON -DUSE_QT=OFF"

From 5af1a986d6667ab77886c1ab85c06a4cc3e0cda0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 16:00:24 +0200
Subject: [PATCH 065/308] ejabberd: rebuild for libressl-2.9.2.

---
 srcpkgs/ejabberd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ejabberd/template b/srcpkgs/ejabberd/template
index ee79e3665d6..9df3eca4373 100644
--- a/srcpkgs/ejabberd/template
+++ b/srcpkgs/ejabberd/template
@@ -1,7 +1,7 @@
 # Template file for 'ejabberd'
 pkgname=ejabberd
 version=19.02
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-odbc --enable-mysql --enable-pgsql --enable-pam
  --enable-redis --enable-elixir $(vopt_enable sqlite)"

From c4bd14a163247dce1aa3abc43aa5f657194a4968 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 16:05:35 +0200
Subject: [PATCH 066/308] elinks: rebuild for libressl-2.9.2.

---
 srcpkgs/elinks/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/elinks/template b/srcpkgs/elinks/template
index 6222f994b95..81efa03f68e 100644
--- a/srcpkgs/elinks/template
+++ b/srcpkgs/elinks/template
@@ -1,7 +1,7 @@
 # Template file for 'elinks'
 pkgname=elinks
 version=0.12pre6
-revision=20
+revision=21
 build_style=gnu-configure
 configure_args="--enable-true-color --enable-fastmem"
 hostmakedepends="automake libtool pkg-config"

From b35c7604aca146619098709bfcd22701f4ce128c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 16:07:05 +0200
Subject: [PATCH 067/308] elog: rebuild for libressl-2.9.2.

---
 srcpkgs/elog/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/elog/template b/srcpkgs/elog/template
index 333a103af12..8f10f32972d 100644
--- a/srcpkgs/elog/template
+++ b/srcpkgs/elog/template
@@ -1,7 +1,7 @@
 # Template file for 'elog'
 pkgname=elog
 version=3.1.4.1
-revision=1
+revision=2
 _distver="${version:0:-2}-${version:(-1)}"
 wrksrc="$pkgname-${version%.*}"
 build_style=gnu-makefile

From e09eb2c0914be036a9d9a93a5f23c5058274c89d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 16:07:54 +0200
Subject: [PATCH 068/308] encfs: rebuild for libressl-2.9.2.

---
 srcpkgs/encfs/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/encfs/template b/srcpkgs/encfs/template
index 39ed4563dfe..411f4bab0bf 100644
--- a/srcpkgs/encfs/template
+++ b/srcpkgs/encfs/template
@@ -1,7 +1,7 @@
 # Template file for 'encfs'
 pkgname=encfs
 version=1.9.5
-revision=2
+revision=3
 build_style=cmake
 hostmakedepends="pkg-config perl"
 makedepends="fuse-devel libressl-devel gettext-devel"

From ac6221cea096ba41df7447f7fabcd7db7aceaf02 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 16:09:41 +0200
Subject: [PATCH 069/308] erlang: rebuild for libressl-2.9.2.

---
 srcpkgs/erlang/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/erlang/template b/srcpkgs/erlang/template
index a657dfb19a0..ffa552e1cae 100644
--- a/srcpkgs/erlang/template
+++ b/srcpkgs/erlang/template
@@ -1,7 +1,7 @@
 # Template file for 'erlang'
 pkgname=erlang
 version=22.0.2
-revision=1
+revision=2
 create_wrksrc=yes
 build_wrksrc="otp-OTP-${version}"
 build_style=gnu-configure

From 01062e7c272dee5a4019f6ab585a60ae02b647b2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 17:08:53 +0200
Subject: [PATCH 070/308] ettercap: rebuild for libressl-2.9.2.

---
 srcpkgs/ettercap/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ettercap/template b/srcpkgs/ettercap/template
index 61268f6eb25..48fb8516521 100644
--- a/srcpkgs/ettercap/template
+++ b/srcpkgs/ettercap/template
@@ -1,7 +1,7 @@
 # Template file for 'ettercap'
 pkgname=ettercap
 version=0.8.2
-revision=11
+revision=12
 lib32disabled=yes
 build_style=cmake
 configure_args="-DENABLE_GTK=OFF"

From fda5077bf629d426a0fe0c91d975128684961dc8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 17:09:43 +0200
Subject: [PATCH 071/308] facter: rebuild for libressl-2.9.2.

---
 srcpkgs/facter/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/facter/template b/srcpkgs/facter/template
index 3db63bfe8c0..2ccd477b368 100644
--- a/srcpkgs/facter/template
+++ b/srcpkgs/facter/template
@@ -1,7 +1,7 @@
 # Template file for 'facter'
 pkgname=facter
 version=3.13.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DRUBY_CONFIG_INCLUDE_DIR=${XBPS_CROSS_BASE}/usr/include
  -DENABLE_CXX_WERROR=OFF"

From d24c92f896640edbf99bee0e24d439c88e5fb1e0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 17:11:53 +0200
Subject: [PATCH 072/308] falkon: rebuild for libressl-2.9.2.

---
 srcpkgs/falkon/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/falkon/template b/srcpkgs/falkon/template
index eb3994458f3..1cc4c46eaf9 100644
--- a/srcpkgs/falkon/template
+++ b/srcpkgs/falkon/template
@@ -1,7 +1,7 @@
 # Template file for 'falkon'
 pkgname=falkon
 version=3.1.0
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="extra-cmake-modules pkg-config qt5-qmake qt5-host-tools python3"
 makedepends="qt5-devel qt5-plugin-mysql qt5-plugin-odbc qt5-plugin-pgsql

From 1d49211506273eaed3b4946ea73658f0f9436ef1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 19:00:29 +0200
Subject: [PATCH 073/308] fdm: rebuild for libressl-2.9.2.

---
 srcpkgs/fdm/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/fdm/template b/srcpkgs/fdm/template
index 221dbfca3d3..f086c0d8331 100644
--- a/srcpkgs/fdm/template
+++ b/srcpkgs/fdm/template
@@ -1,7 +1,7 @@
 # Template file for 'fdm'
 pkgname=fdm
 version=2.0
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="ac_cv_func_strlcpy=no ac_cv_func_strlcat=no --enable-pcre"
 hostmakedepends="automake bison"

From 9183280fbb0c442c989d700a2a082eb64dfa0d2f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 19:02:33 +0200
Subject: [PATCH 074/308] fetchmail: rebuild for libressl-2.9.2.

---
 srcpkgs/fetchmail/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/fetchmail/template b/srcpkgs/fetchmail/template
index cfbea3df0fb..7e225b58f59 100644
--- a/srcpkgs/fetchmail/template
+++ b/srcpkgs/fetchmail/template
@@ -1,7 +1,7 @@
 # Template file for 'fetchmail'
 pkgname=fetchmail
 version=6.3.26
-revision=14
+revision=15
 build_style=gnu-configure
 configure_args="--with-ssl=${XBPS_CROSS_BASE}/usr"
 hostmakedepends="python-devel"

From 42c251b1c48577940460155e5c2d81b512de601e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 21:09:41 +0200
Subject: [PATCH 075/308] fossil: rebuild for libressl-2.9.2.

---
 srcpkgs/fossil/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/fossil/template b/srcpkgs/fossil/template
index da7fe65dcfe..c46e7298296 100644
--- a/srcpkgs/fossil/template
+++ b/srcpkgs/fossil/template
@@ -1,7 +1,7 @@
 # Template file for 'fossil'
 pkgname=fossil
 version=2.8
-revision=1
+revision=2
 build_style=configure
 configure_args="--disable-internal-sqlite --prefix=/usr"
 hostmakedepends="tcl"

From 09841fa4775978fb1913a597b75afaaf7792a11d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 01:59:48 +0200
Subject: [PATCH 076/308] freerdp: rebuild for libressl-2.9.2.

---
 srcpkgs/freerdp/patches/libressl.patch | 15 +++++++++++++++
 srcpkgs/freerdp/template               |  2 +-
 2 files changed, 16 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/freerdp/patches/libressl.patch

diff --git a/srcpkgs/freerdp/patches/libressl.patch b/srcpkgs/freerdp/patches/libressl.patch
new file mode 100644
index 00000000000..0ef982d9486
--- /dev/null
+++ b/srcpkgs/freerdp/patches/libressl.patch
@@ -0,0 +1,15 @@
+source: $OpenBSD: patch-libfreerdp_crypto_tls_c,v 1.3 2018/10/24 17:10:22 jsing Exp $
+
+Stop reaching into libssl internals to send TLS alerts.
+
+--- libfreerdp/crypto/tls.c	2018-11-20 11:43:51.000000000 +0100
++++ libfreerdp/crypto/tls.c	2019-05-10 01:49:19.466050550 +0200
+@@ -1026,7 +1026,7 @@
+ 	 * FIXME: The following code does not work on OpenSSL > 1.1.0 because the
+ 	 *        SSL struct is opaqe now
+ 	 */
+-#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
++#if OPENSSL_VERSION_NUMBER < 0x10100000L || (defined(LIBRESSL_VERSION_NUMBER) && LIBRESSL_VERSION_NUMBER < 0x2080000fL)
+ 
+ 	if (tls->alertDescription != TLS_ALERT_DESCRIPTION_CLOSE_NOTIFY)
+ 	{
diff --git a/srcpkgs/freerdp/template b/srcpkgs/freerdp/template
index ef4f443d9db..09c64f6a81a 100644
--- a/srcpkgs/freerdp/template
+++ b/srcpkgs/freerdp/template
@@ -1,7 +1,7 @@
 # Template file for 'freerdp'
 pkgname=freerdp
 version=2.0.0rc4
-revision=1
+revision=2
 wrksrc="FreeRDP-${version/r/-r}"
 build_style=cmake
 configure_args="-DWITH_ALSA=ON -DWITH_CUPS=OFF -DWITH_FFMPEG=ON

From b09c7dab9568fdf680865f4de8b02d220ef91dab Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:02:24 +0200
Subject: [PATCH 077/308] freshplayerplugin: rebuild for libressl-2.9.2.

---
 srcpkgs/freshplayerplugin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/freshplayerplugin/template b/srcpkgs/freshplayerplugin/template
index dbb16471ed0..1bd2be3cdbf 100644
--- a/srcpkgs/freshplayerplugin/template
+++ b/srcpkgs/freshplayerplugin/template
@@ -1,7 +1,7 @@
 # Template file for 'freshplayerplugin'
 pkgname=freshplayerplugin
 version=0.3.9
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="pkg-config ragel"
 makedepends="libevent-devel libXcursor-devel alsa-lib-devel libXrandr-devel gtk+-devel

From 0e64cc6c06e4cc040b764aff9964bd7cb8d26076 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:05:09 +0200
Subject: [PATCH 078/308] gambit: rebuild for libressl-2.9.2.

---
 srcpkgs/gambit/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gambit/template b/srcpkgs/gambit/template
index 6989d639467..fb3a382f47d 100644
--- a/srcpkgs/gambit/template
+++ b/srcpkgs/gambit/template
@@ -1,7 +1,7 @@
 # Template file for 'gambit'
 pkgname=gambit
 version=4.9.3
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="
  --libdir=/usr/lib/gambit --docdir=/usr/share/doc/gambit

From 4493922873e3df70a7d8514556481cd94de73cd7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:12:26 +0200
Subject: [PATCH 079/308] gatling: rebuild for libressl-2.9.2.

---
 srcpkgs/gatling/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gatling/template b/srcpkgs/gatling/template
index fc8a49b8d87..ea214a6edba 100644
--- a/srcpkgs/gatling/template
+++ b/srcpkgs/gatling/template
@@ -1,7 +1,7 @@
 # Template file for 'gatling'
 pkgname=gatling
 version=0.15
-revision=7
+revision=8
 build_style=gnu-makefile
 makedepends="libowfat libressl-devel zlib-devel"
 short_desc="High performance web server"

From e72de5850e7eff0554ff7d364db31a1fe34a306a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:14:12 +0200
Subject: [PATCH 080/308] getdns: rebuild for libressl-2.9.2.

---
 srcpkgs/getdns/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/getdns/template b/srcpkgs/getdns/template
index 79f7fe106da..469348b67ce 100644
--- a/srcpkgs/getdns/template
+++ b/srcpkgs/getdns/template
@@ -1,7 +1,7 @@
 # Template file for 'getdns'
 pkgname=getdns
 version=1.5.1
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--with-libev --with-libevent --with-libuv
  --with-ssl=${XBPS_CROSS_BASE}/usr"

From ecebcd2ee58d94cf086013bddc9197ac7cda7f2c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:15:05 +0200
Subject: [PATCH 081/308] gftp: rebuild for libressl-2.9.2.

---
 srcpkgs/gftp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gftp/template b/srcpkgs/gftp/template
index b40045cf6db..91f1da3a925 100644
--- a/srcpkgs/gftp/template
+++ b/srcpkgs/gftp/template
@@ -1,7 +1,7 @@
 # Template file for 'gftp'
 pkgname=gftp
 version=2.0.19
-revision=5
+revision=6
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="gtk+-devel libressl-devel"

From 96996a0d819662a769783ee3e9fda81432eade55 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:15:57 +0200
Subject: [PATCH 082/308] git-crypt: rebuild for libressl-2.9.2.

---
 srcpkgs/git-crypt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/git-crypt/template b/srcpkgs/git-crypt/template
index ecf80601749..f563c56e1c1 100644
--- a/srcpkgs/git-crypt/template
+++ b/srcpkgs/git-crypt/template
@@ -1,7 +1,7 @@
 # Template file for 'git-crypt'
 pkgname=git-crypt
 version=0.6.0
-revision=4
+revision=5
 build_style=gnu-makefile
 make_use_env=yes
 makedepends="libressl-devel"

From 71f703b6971b1698128e2d9dbb6fc54f5e4fe709 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:16:41 +0200
Subject: [PATCH 083/308] gkrellm: rebuild for libressl-2.9.2.

---
 srcpkgs/gkrellm/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gkrellm/template b/srcpkgs/gkrellm/template
index 387b3bfad15..faa74bec31e 100644
--- a/srcpkgs/gkrellm/template
+++ b/srcpkgs/gkrellm/template
@@ -1,7 +1,7 @@
 # Template file for 'gkrellm'
 pkgname=gkrellm
 version=2.3.10
-revision=6
+revision=7
 build_style=gnu-makefile
 hostmakedepends="pkg-config"
 makedepends="libressl-devel libSM-devel gtk+-devel libsensors-devel"

From 03862314dc97c445140b0f9a09592e4e8fef0a93 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:17:30 +0200
Subject: [PATCH 084/308] grub-customizer: rebuild for libressl-2.9.2.

---
 srcpkgs/grub-customizer/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/grub-customizer/template b/srcpkgs/grub-customizer/template
index 0618183fda8..e3bd598f30d 100644
--- a/srcpkgs/grub-customizer/template
+++ b/srcpkgs/grub-customizer/template
@@ -1,7 +1,7 @@
 # Template file for 'grub-customizer'
 pkgname=grub-customizer
 version=5.1.0
-revision=2
+revision=3
 build_style=cmake
 hostmakedepends="pkg-config"
 makedepends="gtkmm-devel libressl-devel libarchive-devel"

From 7776bcb9c277de0dff93f9b5f741f16e9618848c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:23:17 +0200
Subject: [PATCH 085/308] gsoap: rebuild for libressl-2.9.2.

---
 srcpkgs/gsoap/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gsoap/template b/srcpkgs/gsoap/template
index c7deed852c6..14f2051e372 100644
--- a/srcpkgs/gsoap/template
+++ b/srcpkgs/gsoap/template
@@ -1,7 +1,7 @@
 # Template file for 'gsoap'
 pkgname=gsoap
 version=2.8.82
-revision=1
+revision=2
 wrksrc="gsoap-${version%.*}"
 build_style=gnu-configure
 configure_args="--enable-ipv6"

From 7d467736c81791cd036b7ebc700bb82feaa7b127 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:31:36 +0200
Subject: [PATCH 086/308] gst-plugins-bad1: rebuild for libressl-2.9.2.

---
 srcpkgs/gst-plugins-bad1/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gst-plugins-bad1/template b/srcpkgs/gst-plugins-bad1/template
index 7b361e44836..6157b5f926c 100644
--- a/srcpkgs/gst-plugins-bad1/template
+++ b/srcpkgs/gst-plugins-bad1/template
@@ -1,7 +1,7 @@
 # Template file for 'gst-plugins-bad1'
 pkgname=gst-plugins-bad1
 version=1.14.5
-revision=1
+revision=2
 wrksrc="${pkgname/1/}-${version}"
 build_style=gnu-configure
 configure_args="--enable-experimental --disable-static"

From e2d29925d514c6aa1799de924bbbe0dd2bbc5e58 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:35:37 +0200
Subject: [PATCH 087/308] gwenhywfar: rebuild for libressl-2.9.2.

---
 srcpkgs/gwenhywfar/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gwenhywfar/template b/srcpkgs/gwenhywfar/template
index 0973f95f1b2..2407ac90bcd 100644
--- a/srcpkgs/gwenhywfar/template
+++ b/srcpkgs/gwenhywfar/template
@@ -1,7 +1,7 @@
 # Template file for 'gwenhywfar'
 pkgname=gwenhywfar
 version=4.20.1
-revision=2
+revision=3
 hostmakedepends="automake pkg-config libgcrypt-devel libtool"
 makedepends="libgcrypt-devel gnutls-devel gtk+-devel qt5-devel gtk+3-devel"
 build_style=gnu-configure

From 7a3bd34e3048e490d07828fa53bafe06976b61da Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:31:08 +0200
Subject: [PATCH 088/308] h2o: rebuild for libressl-2.9.2.

---
 srcpkgs/h2o/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/h2o/template b/srcpkgs/h2o/template
index f14efcb0511..4446b84b03c 100644
--- a/srcpkgs/h2o/template
+++ b/srcpkgs/h2o/template
@@ -1,7 +1,7 @@
 # Template file for 'h2o'
 pkgname=h2o
 version=2.2.5
-revision=3
+revision=4
 build_style=cmake
 conf_files="/etc/h2o.conf"
 hostmakedepends="pkg-config"

From 3e1166a3769d0ddec5e5c988c19ab3ab6d5743b0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:40:51 +0200
Subject: [PATCH 089/308] haproxy: rebuild for libressl-2.9.2.

---
 srcpkgs/haproxy/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/haproxy/template b/srcpkgs/haproxy/template
index f14075402db..dd38a965c32 100644
--- a/srcpkgs/haproxy/template
+++ b/srcpkgs/haproxy/template
@@ -1,7 +1,7 @@
 # Template file for 'haproxy'
 pkgname=haproxy
 version=1.8.19
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="TARGET=linux2628 USE_PCRE=1 USE_PCRE_JIT=1 USE_ZLIB=1
  USE_OPENSSL=1 USE_LIBCRYPT=1 USE_GETADDRINFO=1 USE_LUA=1"

From 6e1dc1f59f320a5e4911088ff309fffa46aa0043 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:42:20 +0200
Subject: [PATCH 090/308] hexchat: rebuild for libressl-2.9.2.

---
 srcpkgs/hexchat/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/hexchat/template b/srcpkgs/hexchat/template
index 3f6876feb74..58631493a61 100644
--- a/srcpkgs/hexchat/template
+++ b/srcpkgs/hexchat/template
@@ -1,7 +1,7 @@
 # Template file for 'hexchat'
 pkgname=hexchat
 version=2.14.2
-revision=4
+revision=5
 build_style=meson
 configure_args="-Dwith-dbus=true -Dwith-ssl=true -Dwith-text=false
  -Dwith-perl=/usr/bin/perl -Dwith-python=python3

From ff180ba0a77d9a91fc883678e47b74b1b3037939 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:45:05 +0200
Subject: [PATCH 091/308] hitch: rebuild for libressl-2.9.2.

---
 srcpkgs/hitch/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/hitch/template b/srcpkgs/hitch/template
index f56cda14777..b349d38f19e 100644
--- a/srcpkgs/hitch/template
+++ b/srcpkgs/hitch/template
@@ -1,7 +1,7 @@
 # Template file for 'hitch'
 pkgname=hitch
 version=1.5.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="ac_cv_so_reuseport_works=yes"
 hostmakedepends="pkg-config"

From 76c0017bc3b5e8600ea37e3bb6337033b517c547 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:45:45 +0200
Subject: [PATCH 092/308] hostapd: rebuild for libressl-2.9.2.

---
 srcpkgs/hostapd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/hostapd/template b/srcpkgs/hostapd/template
index ee2b0fbb045..11f3c80c29e 100644
--- a/srcpkgs/hostapd/template
+++ b/srcpkgs/hostapd/template
@@ -1,7 +1,7 @@
 # Template file for 'hostapd'
 pkgname=hostapd
 version=2.7
-revision=1
+revision=2
 build_wrksrc="$pkgname"
 conf_files="/etc/hostapd/hostapd.conf"
 hostmakedepends="pkg-config"

From 692a4c42699402ed01487dc4d9dc7aeb7b7a49a4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:46:22 +0200
Subject: [PATCH 093/308] hplip: rebuild for libressl-2.9.2.

---
 srcpkgs/hplip/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/hplip/template b/srcpkgs/hplip/template
index e3699fef2b5..53f0a3771c2 100644
--- a/srcpkgs/hplip/template
+++ b/srcpkgs/hplip/template
@@ -1,7 +1,7 @@
 # Template file for 'hplip'
 pkgname=hplip
 version=3.19.5
-revision=1
+revision=2
 build_style=gnu-configure
 pycompile_dirs="usr/share/hplip"
 configure_args="

From 2792c7039b351f1e988605c6cd4c5558748a0593 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:56:18 +0200
Subject: [PATCH 094/308] httrack: rebuild for libressl-2.9.2.

---
 srcpkgs/httrack/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/httrack/template b/srcpkgs/httrack/template
index cf38cfb4460..3d6fe2b8f63 100644
--- a/srcpkgs/httrack/template
+++ b/srcpkgs/httrack/template
@@ -1,7 +1,7 @@
 # Template file for 'httrack'
 pkgname=httrack
 version=3.49.2
-revision=4
+revision=5
 build_style=gnu-configure
 configure_args="--disable-static --with-zlib=${XBPS_CROSS_BASE}/usr"
 short_desc="A free and easy-to-use offline browser utility"

From 21d49b5ef8eb0eb6f5b4ad2d8c00bdcc13a9a363 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:58:27 +0200
Subject: [PATCH 095/308] i2pd: rebuild for libressl-2.9.2.

---
 srcpkgs/i2pd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/i2pd/template b/srcpkgs/i2pd/template
index 98ff3d42755..6c01819b985 100644
--- a/srcpkgs/i2pd/template
+++ b/srcpkgs/i2pd/template
@@ -1,7 +1,7 @@
 # Template file for 'i2pd'
 pkgname=i2pd
 version=2.25.0
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="USE_UPNP=yes"
 makedepends="zlib-devel boost-devel libressl-devel miniupnpc-devel

From dc4bf4b5ea31a0e878483db15ce5287f956e33ba Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:04:44 +0200
Subject: [PATCH 096/308] icecast: rebuild for libressl-2.9.2.

---
 srcpkgs/icecast/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/icecast/template b/srcpkgs/icecast/template
index 5988bcc4e59..cb9e3ba114d 100644
--- a/srcpkgs/icecast/template
+++ b/srcpkgs/icecast/template
@@ -1,7 +1,7 @@
 # Template file for 'icecast'
 pkgname=icecast
 version=2.4.4
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config libxml2-devel"
 makedepends="libressl-devel libcurl-devel speex-devel

From 90d03c321c10267626e2fd84cc350684bc34de83 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:06:19 +0200
Subject: [PATCH 097/308] icinga2: rebuild for libressl-2.9.2.

---
 srcpkgs/icinga2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/icinga2/template b/srcpkgs/icinga2/template
index 8b21d1c78ff..25cea6577f6 100644
--- a/srcpkgs/icinga2/template
+++ b/srcpkgs/icinga2/template
@@ -1,7 +1,7 @@
 # Template file for 'icinga2'
 pkgname=icinga2
 version=2.9.2
-revision=5
+revision=6
 build_style=cmake
 configure_args="-DCMAKE_INSTALL_SYSCONFDIR=/etc
  -DCMAKE_INSTALL_LOCALSTATEDIR=/var -DICINGA2_RUNDIR=/run

From 6c7fc8592d71157ff4ce8c3374d844bf4475e8fb Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:17:11 +0200
Subject: [PATCH 098/308] imapfilter: rebuild for libressl-2.9.2.

---
 srcpkgs/imapfilter/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/imapfilter/template b/srcpkgs/imapfilter/template
index c4d0500ece4..98227dbde7d 100644
--- a/srcpkgs/imapfilter/template
+++ b/srcpkgs/imapfilter/template
@@ -1,7 +1,7 @@
 # Template file for 'imapfilter'
 pkgname=imapfilter
 version=2.6.12
-revision=2
+revision=3
 build_style=gnu-makefile
 make_build_args="DESTIDIR=${DESTDIR} PREFIX=/usr"
 hostmakedepends="lua-devel"

From 5ecb3c737495f9ee096ef35a8320e703676455b1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:55:16 +0200
Subject: [PATCH 099/308] inspircd: rebuild for libressl-2.9.2.

---
 srcpkgs/inspircd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/inspircd/template b/srcpkgs/inspircd/template
index 79cfa932e21..995c8d977a7 100644
--- a/srcpkgs/inspircd/template
+++ b/srcpkgs/inspircd/template
@@ -1,7 +1,7 @@
 # Template file for 'inspircd'
 pkgname=inspircd
 version=3.0.1
-revision=1
+revision=2
 build_style=gnu-makefile
 hostmakedepends="perl pkg-config"
 makedepends="geoip-devel libressl-devel sqlite-devel gnutls-devel"

From e588b4e1c6a07125e552d936252080000ccd5f57 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:56:47 +0200
Subject: [PATCH 100/308] ipmitool: rebuild for libressl-2.9.2.

---
 srcpkgs/ipmitool/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ipmitool/template b/srcpkgs/ipmitool/template
index 1947fe4fdd5..57b3d04f357 100644
--- a/srcpkgs/ipmitool/template
+++ b/srcpkgs/ipmitool/template
@@ -1,7 +1,7 @@
 # Template file for 'ipmitool'
 pkgname=ipmitool
 version=1.8.18
-revision=5
+revision=6
 build_style=gnu-configure
 makedepends="libressl-devel"
 short_desc="Command-line interface to IPMI-enabled devices"

From fb956f3fb833b4865cf013f7f0887ee5ebbf7c9d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:57:41 +0200
Subject: [PATCH 101/308] ipmiutil: rebuild for libressl-2.9.2.

---
 srcpkgs/ipmiutil/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ipmiutil/template b/srcpkgs/ipmiutil/template
index 965775ec8d2..6ada6681f93 100644
--- a/srcpkgs/ipmiutil/template
+++ b/srcpkgs/ipmiutil/template
@@ -1,7 +1,7 @@
 # Template file for 'ipmiutil'
 pkgname=ipmiutil
 version=3.1.3
-revision=1
+revision=2
 archs="i686* x86_64* ppc64le* ppc64-musl"
 build_style=gnu-configure
 configure_args="--disable-systemd --libdir=/usr/lib"

From cb4c5092832eb15efc10c04e81d2cdcbdb13f1b4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:00:21 +0200
Subject: [PATCH 102/308] iputils: rebuild for libressl-2.9.2.

---
 srcpkgs/iputils/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/iputils/template b/srcpkgs/iputils/template
index ce1bcd6473b..651067e31a5 100644
--- a/srcpkgs/iputils/template
+++ b/srcpkgs/iputils/template
@@ -1,7 +1,7 @@
 # Template file for 'iputils'
 pkgname=iputils
 version=20180629
-revision=2
+revision=3
 patch_args="-Np1"
 wrksrc="${pkgname}-s${version}"
 makedepends="libcap-devel libressl-devel"

From 2405afc6532f1ea7e2241ff8d178fa1b28dd58b5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:00:48 +0200
Subject: [PATCH 103/308] irssi: rebuild for libressl-2.9.2.

---
 srcpkgs/irssi/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/irssi/template b/srcpkgs/irssi/template
index c8f205faad3..9faba0f84ff 100644
--- a/srcpkgs/irssi/template
+++ b/srcpkgs/irssi/template
@@ -1,7 +1,7 @@
 # Template file for 'irssi'
 pkgname=irssi
 version=1.2.0
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--disable-static --with-proxy --enable-true-color --with-otr"
 hostmakedepends="pkg-config"

From bf02bc3c5d0f0559622e6e583a4d72ab584e7781 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:02:03 +0200
Subject: [PATCH 104/308] isync: rebuild for libressl-2.9.2.

---
 srcpkgs/isync/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/isync/template b/srcpkgs/isync/template
index a75057b2287..eef3cf3c078 100644
--- a/srcpkgs/isync/template
+++ b/srcpkgs/isync/template
@@ -1,7 +1,7 @@
 # Template file for 'isync'
 pkgname=isync
 version=1.3.1
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="perl pkg-config"
 makedepends="libressl-devel libsasl-devel db-devel zlib-devel"

From b17c1196b609a5201e02feda24e2dfc594f568d5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:10:27 +0200
Subject: [PATCH 105/308] john: rebuild for libressl-2.9.2.

---
 srcpkgs/john/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/john/template b/srcpkgs/john/template
index c4f14998ef3..cb8a16969f7 100644
--- a/srcpkgs/john/template
+++ b/srcpkgs/john/template
@@ -1,7 +1,7 @@
 # Template file for 'john'
 pkgname=john
 version=1.8.0
-revision=12
+revision=13
 _jumbover=1
 wrksrc="${pkgname}-${version}-jumbo-${_jumbover}"
 build_wrksrc="src"

From 2448b151152408103637d54f76897cd8c9d2d2a1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:17:25 +0200
Subject: [PATCH 106/308] git-series: rebuild for libressl-2.9.2.

---
 srcpkgs/git-series/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/git-series/template b/srcpkgs/git-series/template
index 6a531e33302..8d17715defa 100644
--- a/srcpkgs/git-series/template
+++ b/srcpkgs/git-series/template
@@ -1,7 +1,7 @@
 # Template file for 'git-series'
 pkgname=git-series
 version=0.9.1
-revision=10
+revision=11
 build_style=cargo
 hostmakedepends="cmake pkg-config perl"
 makedepends="libgit2-devel libcurl-devel"

From 9fca6f4e9c89ebc7aa77d691b81a5da9c7742c41 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:19:20 +0200
Subject: [PATCH 107/308] kea: rebuild for libressl-2.9.2.

---
 srcpkgs/kea/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kea/template b/srcpkgs/kea/template
index 2a72f39d885..c6a0a34f317 100644
--- a/srcpkgs/kea/template
+++ b/srcpkgs/kea/template
@@ -1,7 +1,7 @@
 # Template file for 'kea'
 pkgname=kea
 version=1.5.0
-revision=5
+revision=6
 build_style=gnu-configure
 configure_args="--enable-generate-docs --with-openssl=${XBPS_CROSS_BASE}/usr
  $(vopt_if mysql --with-dhcp-mysql)

From 51a66bf64c6bf8fbbd492e2033afefa0f7fa582e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:31:39 +0200
Subject: [PATCH 108/308] keepalived: rebuild for libressl-2.9.2.

---
 srcpkgs/keepalived/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/keepalived/template b/srcpkgs/keepalived/template
index c2e85b0a1fd..b3cc0902cc2 100644
--- a/srcpkgs/keepalived/template
+++ b/srcpkgs/keepalived/template
@@ -1,7 +1,7 @@
 # Template file for 'keepalived'
 pkgname=keepalived
 version=2.0.16
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-sha1"
 hostmakedepends="pkg-config"

From 26af4eb2e6d03060733db224ab0c04e10d388af3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:35:56 +0200
Subject: [PATCH 109/308] kicad: rebuild for libressl-2.9.2.

---
 srcpkgs/kicad/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kicad/template b/srcpkgs/kicad/template
index 1a6b282ee4b..24ae4f90c2c 100644
--- a/srcpkgs/kicad/template
+++ b/srcpkgs/kicad/template
@@ -1,7 +1,7 @@
 # Template file for 'kicad'
 pkgname=kicad
 version=5.0.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DKICAD_BUILD_VERSION=${version} -DKICAD_SCRIPTING=ON
  -DKICAD_SCRIPTING_MODULES=ON -DKICAD_SCRIPTING_WXPYTHON=ON

From 2799ff29b607ce20f78e3d2d892ba025d17be220 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:55:01 +0200
Subject: [PATCH 110/308] kore: rebuild for libressl-2.9.2.

---
 srcpkgs/kore/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kore/template b/srcpkgs/kore/template
index b6486f152be..70a20f31b1a 100644
--- a/srcpkgs/kore/template
+++ b/srcpkgs/kore/template
@@ -1,7 +1,7 @@
 # Template file for 'kore'
 pkgname=kore
 version=3.3.1
-revision=1
+revision=2
 build_style=gnu-makefile
 make_use_env=yes
 make_build_args="PREFIX=/usr"

From 6626637472b9b7b972b00c741ba96688cfba15f4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:55:30 +0200
Subject: [PATCH 111/308] kvirc: rebuild for libressl-2.9.2.

---
 srcpkgs/kvirc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kvirc/template b/srcpkgs/kvirc/template
index 0c8bc0b7395..022c1d46baf 100644
--- a/srcpkgs/kvirc/template
+++ b/srcpkgs/kvirc/template
@@ -1,7 +1,7 @@
 # Template file for 'kvirc'
 pkgname=kvirc
 version=5.0.0
-revision=1
+revision=2
 wrksrc="KVIrc-$version"
 build_style=cmake
 configure_args="-DWANT_ENV_FLAGS=1 -DWANT_KDE=0"

From 28cd04d66cfb34aed757b6087641f3a03c6f7afd Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:01:13 +0200
Subject: [PATCH 112/308] libgit2: rebuild for libressl-2.9.2.

---
 srcpkgs/libgit2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libgit2/template b/srcpkgs/libgit2/template
index 7a801560b8d..3ccc8a99f6f 100644
--- a/srcpkgs/libgit2/template
+++ b/srcpkgs/libgit2/template
@@ -1,7 +1,7 @@
 # Template file for 'libgit2'
 pkgname=libgit2
 version=0.28.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DTHREADSAFE=ON"
 hostmakedepends="python git pkg-config"

From fa22dfbb747cc0cab7fcc7cb6d2f8acb9ac2d502 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:15:13 +0200
Subject: [PATCH 113/308] lastpass-cli: rebuild for libressl-2.9.2.

---
 srcpkgs/lastpass-cli/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lastpass-cli/template b/srcpkgs/lastpass-cli/template
index 8395ad93abe..af29d878e9b 100644
--- a/srcpkgs/lastpass-cli/template
+++ b/srcpkgs/lastpass-cli/template
@@ -1,7 +1,7 @@
 # Template file for 'lastpass-cli'
 pkgname=lastpass-cli
 version=1.3.2
-revision=1
+revision=2
 build_style=cmake
 make_install_target="install install-doc"
 hostmakedepends="asciidoc pkg-config"

From 6196e5b2ba3f364b8f5ca2a40f8ded498eaf2061 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:16:19 +0200
Subject: [PATCH 114/308] ldapvi: rebuild for libressl-2.9.2.

---
 srcpkgs/ldapvi/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ldapvi/template b/srcpkgs/ldapvi/template
index 8fa0c75f271..67b08eb286e 100644
--- a/srcpkgs/ldapvi/template
+++ b/srcpkgs/ldapvi/template
@@ -1,7 +1,7 @@
 # Template file for 'ldapvi'
 pkgname=ldapvi
 version=1.7
-revision=8
+revision=9
 build_style=gnu-configure
 configure_args="--with-sha"
 maintainer="Leah Neukirchen <leah@vuxu.org>"

From 336ba28309a0684c877955fb72e377736b738c4d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:17:26 +0200
Subject: [PATCH 115/308] ldns: rebuild for libressl-2.9.2.

---
 srcpkgs/ldns/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ldns/template b/srcpkgs/ldns/template
index 36e63b825f6..815e12c2f0a 100644
--- a/srcpkgs/ldns/template
+++ b/srcpkgs/ldns/template
@@ -1,7 +1,7 @@
 # Template file for 'ldns'
 pkgname=ldns
 version=1.7.0
-revision=8
+revision=9
 patch_args="-Np1"
 build_style=gnu-configure
 configure_args="--with-drill --with-examples --disable-dane-ta-usage

From 213638208581570cfd71087e9e0707109ae0c9c1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:19:21 +0200
Subject: [PATCH 116/308] libarchive: rebuild for libressl-2.9.2.

---
 srcpkgs/libarchive/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libarchive/template b/srcpkgs/libarchive/template
index 52ff278ef0b..c35681f977e 100644
--- a/srcpkgs/libarchive/template
+++ b/srcpkgs/libarchive/template
@@ -1,7 +1,7 @@
 # Template file for 'libarchive'
 pkgname=libarchive
 version=3.3.3
-revision=3
+revision=4
 bootstrap=yes
 build_style=gnu-configure
 configure_args="$(vopt_enable acl) $(vopt_enable acl xattr)

From 8de5d3ea3a7e2bc2f60c3b98e3bad0b153d46498 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:24:22 +0200
Subject: [PATCH 117/308] libesmtp: rebuild for libressl-2.9.2.

---
 srcpkgs/libesmtp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libesmtp/template b/srcpkgs/libesmtp/template
index 59c90409510..ed359647221 100644
--- a/srcpkgs/libesmtp/template
+++ b/srcpkgs/libesmtp/template
@@ -1,7 +1,7 @@
 # Template file for 'libesmtp'
 pkgname=libesmtp
 version=1.0.6
-revision=18
+revision=19
 build_style=gnu-configure
 configure_args="--disable-static --with-openssl"
 makedepends="libressl-devel"

From 58c1595dd0a9301187b287014afd781e392b4734 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:26:01 +0200
Subject: [PATCH 118/308] libetpan: rebuild for libressl-2.9.2.

---
 srcpkgs/libetpan/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libetpan/template b/srcpkgs/libetpan/template
index 06280607237..d2bc2325434 100644
--- a/srcpkgs/libetpan/template
+++ b/srcpkgs/libetpan/template
@@ -1,7 +1,7 @@
 # Template file for 'libetpan'
 pkgname=libetpan
 version=1.9.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-ipv6 --with-curl --with-expat --with-openssl
  --with-zlib --with-sasl"

From 95a115b770aa80bd2f300141deccb9ec58e3bb7d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:28:23 +0200
Subject: [PATCH 119/308] libevent: rebuild for libressl-2.9.2.

---
 srcpkgs/libevent/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libevent/template b/srcpkgs/libevent/template
index 0e424c73831..dcc106d5e34 100644
--- a/srcpkgs/libevent/template
+++ b/srcpkgs/libevent/template
@@ -1,7 +1,7 @@
 # Template file for 'libevent'
 pkgname=libevent
 version=2.1.10
-revision=1
+revision=2
 wrksrc="${pkgname}-${version}-stable"
 build_style=gnu-configure
 makedepends="libressl-devel"

From 1ad6f6bd7043b2469f93ee0fb2e2d9bf05537b4f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:30:53 +0200
Subject: [PATCH 120/308] libfetch: rebuild for libressl-2.9.2.

---
 srcpkgs/libfetch/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libfetch/template b/srcpkgs/libfetch/template
index d6a0d445e5c..2e3aa4d07a5 100644
--- a/srcpkgs/libfetch/template
+++ b/srcpkgs/libfetch/template
@@ -1,7 +1,7 @@
 # Template file for 'libfetch'
 pkgname=libfetch
 version=2.34
-revision=19
+revision=20
 build_style=gnu-makefile
 makedepends="libressl-devel"
 short_desc="File Transfer Library for URLs"

From 4a07eeccfc5e0874d95af8ffdaa604dc8a184d55 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:47:30 +0200
Subject: [PATCH 121/308] libgit2-0.27: rebuild for libressl-2.9.2.

---
 srcpkgs/libgit2-0.27/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libgit2-0.27/template b/srcpkgs/libgit2-0.27/template
index 4c97c43a6ba..d2bcec3759c 100644
--- a/srcpkgs/libgit2-0.27/template
+++ b/srcpkgs/libgit2-0.27/template
@@ -1,7 +1,7 @@
 # Template file for 'libgit2-0.27'
 pkgname=libgit2-0.27
 version=0.27.8
-revision=1
+revision=2
 wrksrc="libgit2-${version}"
 build_style=cmake
 configure_args="-DTHREADSAFE=ON"

From 5514a3ea6c8458aa9e9406bce3412f09b79a744e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:49:41 +0200
Subject: [PATCH 122/308] libimobiledevice: rebuild for libressl-2.9.2.

---
 srcpkgs/libimobiledevice/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libimobiledevice/template b/srcpkgs/libimobiledevice/template
index a699e64a891..110a12bd5e6 100644
--- a/srcpkgs/libimobiledevice/template
+++ b/srcpkgs/libimobiledevice/template
@@ -1,7 +1,7 @@
 # Template file for 'libimobiledevice'
 pkgname=libimobiledevice
 version=1.2.0
-revision=12
+revision=13
 patch_args="-Np1"
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config python-devel"

From b60ca968274f935d7b3c724cd36e395a2f793552 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:54:42 +0200
Subject: [PATCH 123/308] libmowgli: rebuild for libressl-2.9.2.

---
 srcpkgs/libmowgli/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libmowgli/template b/srcpkgs/libmowgli/template
index 320ee7edf20..4305c9f1f44 100644
--- a/srcpkgs/libmowgli/template
+++ b/srcpkgs/libmowgli/template
@@ -1,7 +1,7 @@
 # Template file for 'libmowgli'
 pkgname=libmowgli
 version=2.1.3
-revision=5
+revision=6
 wrksrc="${pkgname}-2-${version}"
 build_style=gnu-configure
 hostmakedepends="pkg-config"

From bdce9a7c106de678a666af3bb5d5fc12790bd3ec Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:55:39 +0200
Subject: [PATCH 124/308] libnice: rebuild for libressl-2.9.2.

---
 srcpkgs/libnice/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libnice/template b/srcpkgs/libnice/template
index 9d86be93571..bd188007fc5 100644
--- a/srcpkgs/libnice/template
+++ b/srcpkgs/libnice/template
@@ -1,7 +1,7 @@
 # Template file for 'libnice'
 pkgname=libnice
 version=0.1.15
-revision=3
+revision=4
 build_style=meson
 build_helper="gir"
 configure_args="-Dcrypto-library=openssl -Dgtk_doc=disabled -Dtests=disabled

From 8d6f20a33b368b89d2ccc7681b54a83311016419 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:58:51 +0200
Subject: [PATCH 125/308] libostree: rebuild for libressl-2.9.2.

---
 srcpkgs/libostree/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libostree/template b/srcpkgs/libostree/template
index e13a84700bf..d4b5e667965 100644
--- a/srcpkgs/libostree/template
+++ b/srcpkgs/libostree/template
@@ -1,7 +1,7 @@
 # Template file for 'libostree'
 pkgname=libostree
 version=2019.2
-revision=2
+revision=3
 build_style=gnu-configure
 build_helper="gir"
 configure_args="--with-builtin-grub2-mkconfig --with-openssl

From f4a8cb833f725697dbdd03b781ce96d616fb1ae4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 16:01:18 +0200
Subject: [PATCH 126/308] librdkafka: rebuild for libressl-2.9.2.

---
 srcpkgs/librdkafka/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/librdkafka/template b/srcpkgs/librdkafka/template
index 26ec044f622..8b41583ee9e 100644
--- a/srcpkgs/librdkafka/template
+++ b/srcpkgs/librdkafka/template
@@ -1,7 +1,7 @@
 # Template file for 'librdkafka'
 pkgname=librdkafka
 version=1.0.0
-revision=1
+revision=2
 build_style=configure
 configure_args="--prefix=/usr"
 makedepends="zlib-devel libressl-devel libsasl-devel"

From d8c7886b273a07549edd1531de35f591b48da4fc Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 21:19:45 +0200
Subject: [PATCH 127/308] libstrophe: rebuild for libressl-2.9.2.

---
 srcpkgs/libstrophe/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libstrophe/template b/srcpkgs/libstrophe/template
index 88872833178..70f3756a35f 100644
--- a/srcpkgs/libstrophe/template
+++ b/srcpkgs/libstrophe/template
@@ -1,7 +1,7 @@
 # Template file for 'libstrophe'
 pkgname=libstrophe
 version=0.9.2
-revision=5
+revision=6
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config"
 makedepends="expat-devel libressl-devel zlib-devel"

From 56d493bb0216f9146b53671d1060e76905919d60 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 22:03:30 +0200
Subject: [PATCH 128/308] libtorrent: rebuild for libressl-2.9.2.

---
 srcpkgs/libtorrent/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libtorrent/template b/srcpkgs/libtorrent/template
index dd64eb30c28..8a4c96bbdb1 100644
--- a/srcpkgs/libtorrent/template
+++ b/srcpkgs/libtorrent/template
@@ -1,7 +1,7 @@
 # Template file for 'libtorrent'
 pkgname=libtorrent
 version=0.13.7
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="--enable-static --disable-debug --without-kqueue
  --enable-aligned --with-posix-fallocate"

From ae715ed97e6f8ca5c77699e16335b19dac7ec612 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 22:28:39 +0200
Subject: [PATCH 129/308] libtorrent-rasterbar: rebuild for libressl-2.9.2.

---
 srcpkgs/libtorrent-rasterbar/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libtorrent-rasterbar/template b/srcpkgs/libtorrent-rasterbar/template
index 45c970a2418..34614ee2ba5 100644
--- a/srcpkgs/libtorrent-rasterbar/template
+++ b/srcpkgs/libtorrent-rasterbar/template
@@ -1,7 +1,7 @@
 # Template file for 'libtorrent-rasterbar'
 pkgname=libtorrent-rasterbar
 version=1.1.13
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-examples --enable-python-binding --with-boost=${XBPS_CROSS_BASE}/usr"
 hostmakedepends="automake pkg-config intltool libtool python-devel"

From 4a7fa6f012f100377e55f3f27944969fa3bd9359 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:14:11 +0200
Subject: [PATCH 130/308] libu2f-host: rebuild for libressl-2.9.2.

---
 srcpkgs/libu2f-host/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libu2f-host/template b/srcpkgs/libu2f-host/template
index e2512f8ecdb..d7a3d3b801b 100644
--- a/srcpkgs/libu2f-host/template
+++ b/srcpkgs/libu2f-host/template
@@ -1,7 +1,7 @@
 # Template file for 'libu2f-host'
 pkgname=libu2f-host
 version=1.1.9
-revision=1
+revision=2
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-configure
 configure_args="--with-openssl=yes --with-udevrulesdir=/usr/lib/udev/rules.d"

From b4dfb7476769dd08739d5bc43ed0116e2bc2dc67 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:15:07 +0200
Subject: [PATCH 131/308] libu2f-server: rebuild for libressl-2.9.2.

---
 srcpkgs/libu2f-server/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libu2f-server/template b/srcpkgs/libu2f-server/template
index 7fe896d33f2..952b080fca5 100644
--- a/srcpkgs/libu2f-server/template
+++ b/srcpkgs/libu2f-server/template
@@ -1,7 +1,7 @@
 # Template file for 'libu2f-server'
 pkgname=libu2f-server
 version=1.1.0
-revision=5
+revision=6
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config gengetopt check"

From 640a67bd3b806ae7bfefa843162d8c5eba3993b7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:15:51 +0200
Subject: [PATCH 132/308] libucl: rebuild for libressl-2.9.2.

---
 srcpkgs/libucl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libucl/template b/srcpkgs/libucl/template
index de402c7d6b2..81e9ab62f2b 100644
--- a/srcpkgs/libucl/template
+++ b/srcpkgs/libucl/template
@@ -1,7 +1,7 @@
 # Template file for 'libucl'
 pkgname=libucl
 version=0.8.1
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="--enable-urls --enable-signatures"
 hostmakedepends="automake libtool pkg-config"

From abd777e73bcc7eaacb661bb55268b4f7f1c35569 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:16:33 +0200
Subject: [PATCH 133/308] libwebsockets: rebuild for libressl-2.9.2.

---
 srcpkgs/libwebsockets/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libwebsockets/template b/srcpkgs/libwebsockets/template
index f329ee06919..d5b0306b73d 100644
--- a/srcpkgs/libwebsockets/template
+++ b/srcpkgs/libwebsockets/template
@@ -1,7 +1,7 @@
 # Template file for 'libwebsockets'
 pkgname=libwebsockets
 version=3.1.0
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DLWS_WITH_LIBEV=ON -DLWS_WITH_HTTP2=ON -DLWS_IPV6=ON
  -DLWS_HAVE_LIBCAP=ON"

From 251bb3e3dc130529771091a89e6a78b2c2cef30f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:17:21 +0200
Subject: [PATCH 134/308] libzip: rebuild for libressl-2.9.2.

---
 srcpkgs/libzip/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libzip/template b/srcpkgs/libzip/template
index bcdb557c146..1bdca94a900 100644
--- a/srcpkgs/libzip/template
+++ b/srcpkgs/libzip/template
@@ -1,7 +1,7 @@
 # Template file for 'libzip'
 pkgname=libzip
 version=1.5.2
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="perl groff"
 makedepends="bzip2-devel libressl-devel zlib-devel"

From 0760f755441b29151a9e2bcb4f5b3c3567ca6882 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:18:07 +0200
Subject: [PATCH 135/308] lighttpd: rebuild for libressl-2.9.2.

---
 srcpkgs/lighttpd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lighttpd/template b/srcpkgs/lighttpd/template
index a1b57cb2367..eb9511e4f3e 100644
--- a/srcpkgs/lighttpd/template
+++ b/srcpkgs/lighttpd/template
@@ -1,7 +1,7 @@
 # Template file for 'lighttpd'
 pkgname=lighttpd
 version=1.4.53
-revision=1
+revision=2
 build_style=meson
 configure_args="-Dwith_bzip=true -Dwith_fam=false -Dwith_gdbm=true
  -Dwith_geoip=false -Dwith_krb5=true -Dwith_ldap=true -Dwith_libev=true

From e774bdb4bb97d1838564a3d93e05fdd47028f69e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:19:02 +0200
Subject: [PATCH 136/308] links: rebuild for libressl-2.9.2.

---
 srcpkgs/links/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/links/template b/srcpkgs/links/template
index 218c18af5e6..06e2249ac96 100644
--- a/srcpkgs/links/template
+++ b/srcpkgs/links/template
@@ -1,7 +1,7 @@
 # Template file for 'links'
 pkgname=links
 version=2.19
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-ssl --enable-graphics"
 hostmakedepends="pkg-config"

From 8dc5b1481f5368f5adcbe02e6734b10d957b3196 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:19:46 +0200
Subject: [PATCH 137/308] links-x11: rebuild for libressl-2.9.2.

---
 srcpkgs/links-x11/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/links-x11/template b/srcpkgs/links-x11/template
index 7db8523807e..aee66abbb0d 100644
--- a/srcpkgs/links-x11/template
+++ b/srcpkgs/links-x11/template
@@ -1,7 +1,7 @@
 # Template file for 'links-x11'
 pkgname=links-x11
 version=2.19
-revision=1
+revision=2
 wrksrc="${pkgname%-x11}-${version}"
 build_style=gnu-configure
 configure_args="--with-ssl --enable-graphics --enable-x"

From 40bd093ec075a604d1e31b4656801c1ede431f4f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:20:34 +0200
Subject: [PATCH 138/308] litecoin: rebuild for libressl-2.9.2.

---
 srcpkgs/litecoin/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/litecoin/template b/srcpkgs/litecoin/template
index cf607c0d72b..a23d54590c0 100644
--- a/srcpkgs/litecoin/template
+++ b/srcpkgs/litecoin/template
@@ -1,7 +1,7 @@
 # Template file for 'litecoin'
 pkgname=litecoin
 version=0.16.3
-revision=5
+revision=6
 build_style=gnu-configure
 configure_args="--with-incompatible-bdb --with-gui=qt5 --disable-static
  --disable-tests --with-libressl"
@@ -13,7 +13,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="MIT"
 homepage="http://www.litecoin.org/"
 distfiles="https://github.com/litecoin-project/litecoin/archive/v${version}.tar.gz"
-checksum=afdcf2fc8f343cef556ff3a930d363d9c714d03d7f13964e67f65194f82b37ad
+checksum=7788800eb4a433696a464563384cbdf83a47eebb8698325c75314171833227c8
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-host-tools protobuf"

From 8d77d03d8647aeee2d824778d04f6b8a30b955df Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:29:16 +0200
Subject: [PATCH 139/308] loudmouth: rebuild for libressl-2.9.2.

---
 srcpkgs/loudmouth/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/loudmouth/template b/srcpkgs/loudmouth/template
index 655f9a49d8c..f467adf2c75 100644
--- a/srcpkgs/loudmouth/template
+++ b/srcpkgs/loudmouth/template
@@ -1,7 +1,7 @@
 # Template file for 'loudmouth'
 pkgname=loudmouth
 version=1.5.3
-revision=8
+revision=9
 build_style=gnu-configure
 configure_args="--with-ssl=openssl --with-asyncns"
 hostmakedepends="pkg-config automake libtool glib-devel gtk-doc"

From 269ba70c0438ef172d4397154916d55c40b4f4f0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:30:45 +0200
Subject: [PATCH 140/308] lua51-luasec: rebuild for libressl-2.9.2.

---
 srcpkgs/lua51-luasec/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lua51-luasec/template b/srcpkgs/lua51-luasec/template
index d1279ab5975..0eba4df45d8 100644
--- a/srcpkgs/lua51-luasec/template
+++ b/srcpkgs/lua51-luasec/template
@@ -2,7 +2,7 @@
 pkgname=lua51-luasec
 reverts=0.6_1
 version=0.5.1
-revision=9
+revision=10
 wrksrc=${pkgname#*-}-${pkgname#*-}-${version}
 build_style=gnu-makefile
 hostmakedepends="lua51"

From f604c3b6c205c3d15d593685bd8f7d503fa45ea5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:31:10 +0200
Subject: [PATCH 141/308] lua52-luasec: rebuild for libressl-2.9.2.

---
 srcpkgs/lua52-luasec/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lua52-luasec/template b/srcpkgs/lua52-luasec/template
index 825fadc870d..242ca5f9fe1 100644
--- a/srcpkgs/lua52-luasec/template
+++ b/srcpkgs/lua52-luasec/template
@@ -1,7 +1,7 @@
 # Template file for 'lua52-luasec'
 pkgname=lua52-luasec
 version=0.6
-revision=8
+revision=9
 wrksrc=${pkgname#*-}-${pkgname#*-}-${version}
 build_style=gnu-makefile
 hostmakedepends="lua52"

From 5da43d83f1b71cc199e3c812fce3ad6c6af12805 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:31:32 +0200
Subject: [PATCH 142/308] luasec: rebuild for libressl-2.9.2.

---
 srcpkgs/luasec/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/luasec/template b/srcpkgs/luasec/template
index 49463628e0f..7349119a192 100644
--- a/srcpkgs/luasec/template
+++ b/srcpkgs/luasec/template
@@ -1,7 +1,7 @@
 # Template file for 'luasec'
 pkgname=luasec
 version=0.7
-revision=1
+revision=2
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-makefile
 hostmakedepends="lua"

From 62ea2dda73f43065bc3c71db90e8b5bd639b0e6c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:32:12 +0200
Subject: [PATCH 143/308] lynx: rebuild for libressl-2.9.2.

---
 srcpkgs/lynx/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lynx/template b/srcpkgs/lynx/template
index 7a45cfe7a16..e5a66408590 100644
--- a/srcpkgs/lynx/template
+++ b/srcpkgs/lynx/template
@@ -3,7 +3,7 @@ pkgname=lynx
 _distver=2.8.9
 _patchver=1
 version="${_distver}.${_patchver}"
-revision=2
+revision=3
 wrksrc="lynx${_distver}rel.${_patchver}"
 build_style=gnu-configure
 configure_args="--enable-widec --with-zlib --with-bzlib --with-ssl --enable-ipv6"

From fcb46357a5fe113043bdab78b6705d3386557b14 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:45:58 +0200
Subject: [PATCH 144/308] mailx: rebuild for libressl-2.9.2.

---
 srcpkgs/mailx/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mailx/template b/srcpkgs/mailx/template
index 06165e0ad95..d623a993ada 100644
--- a/srcpkgs/mailx/template
+++ b/srcpkgs/mailx/template
@@ -1,7 +1,7 @@
 # Template file for 'mailx'
 pkgname=mailx
 version=12.5
-revision=21
+revision=22
 patch_args="-Np1"
 wrksrc="mailx-${version}"
 makedepends="libressl-devel mit-krb5-devel"

From 38e5c03bcde97eaa998caf755c2fa7237996f5aa Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:46:43 +0200
Subject: [PATCH 145/308] mairix: rebuild for libressl-2.9.2.

---
 srcpkgs/mairix/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mairix/template b/srcpkgs/mairix/template
index 8efeaf61579..5b090b18b73 100644
--- a/srcpkgs/mairix/template
+++ b/srcpkgs/mairix/template
@@ -1,7 +1,7 @@
 # Template file for 'mairix'
 pkgname=mairix
 version=0.24
-revision=5
+revision=6
 build_style=configure
 configure_args="--prefix=/usr --mandir=/usr/share/man"
 hostmakedepends="flex bison"

From c380827b042f3eeae01857970d059f8982771616 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:47:12 +0200
Subject: [PATCH 146/308] mariadb: rebuild for libressl-2.9.2.

---
 srcpkgs/mariadb/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mariadb/template b/srcpkgs/mariadb/template
index d9badd5a188..1200c6f4f85 100644
--- a/srcpkgs/mariadb/template
+++ b/srcpkgs/mariadb/template
@@ -1,7 +1,7 @@
 # Template file for 'mariadb'
 pkgname=mariadb
 version=10.1.30
-revision=5
+revision=6
 build_style=cmake
 configure_args="-DMYSQL_DATADIR=/var/lib/mysql
  -DMYSQL_UNIX_ADDR=/run/mysqld/mysqld.sock -DDEFAULT_CHARSET=utf8

From 8bc09032b6654b2cb28211856c8f33afae651c77 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 00:36:45 +0200
Subject: [PATCH 147/308] mbuffer: rebuild for libressl-2.9.2.

---
 srcpkgs/mbuffer/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mbuffer/template b/srcpkgs/mbuffer/template
index 71cd91a2af3..6cf9c689399 100644
--- a/srcpkgs/mbuffer/template
+++ b/srcpkgs/mbuffer/template
@@ -1,7 +1,7 @@
 # Template file for 'mbuffer'
 pkgname=mbuffer
 version=20190127
-revision=1
+revision=2
 build_style=gnu-configure
 makedepends="libressl-devel"
 short_desc="Buffer data streams with many additional functions"

From af9ca24a54211c6f7c4f3b6bff4b786f1722b829 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 00:37:09 +0200
Subject: [PATCH 148/308] megatools: rebuild for libressl-2.9.2.

---
 srcpkgs/megatools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/megatools/template b/srcpkgs/megatools/template
index 2d7cb7c2aaf..b872bde130f 100644
--- a/srcpkgs/megatools/template
+++ b/srcpkgs/megatools/template
@@ -1,7 +1,7 @@
 # Template file for 'megatools'
 pkgname=megatools
 version=1.10.2
-revision=2
+revision=3
 build_style=gnu-configure
 hostmakedepends="pkg-config asciidoc"
 makedepends="glib-networking gobject-introspection libressl-devel libcurl-devel fuse-devel libsodium-devel glib-devel"

From 4914cd332b7a31e518b16124cf1e15d28315509f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 00:40:40 +0200
Subject: [PATCH 149/308] mit-krb5: rebuild for libressl-2.9.2.

---
 srcpkgs/mit-krb5/patches/libressl.patch | 32 ++++++++++++++++---------
 srcpkgs/mit-krb5/template               |  2 +-
 2 files changed, 22 insertions(+), 12 deletions(-)

diff --git a/srcpkgs/mit-krb5/patches/libressl.patch b/srcpkgs/mit-krb5/patches/libressl.patch
index dcd76d38523..1c0c5cab095 100644
--- a/srcpkgs/mit-krb5/patches/libressl.patch
+++ b/srcpkgs/mit-krb5/patches/libressl.patch
@@ -1,6 +1,6 @@
---- src/plugins/preauth/pkinit/pkinit_crypto_openssl.c.orig
-+++ src/plugins/preauth/pkinit/pkinit_crypto_openssl.c
-@@ -191,7 +191,7 @@
+--- src/plugins/preauth/pkinit/pkinit_crypto_openssl.c	2019-01-08 17:02:37.000000000 +0100
++++ src/plugins/preauth/pkinit/pkinit_crypto_openssl.c	2019-05-11 16:29:37.001458084 +0200
+@@ -189,7 +189,7 @@
      (*_x509_pp) = PKCS7_cert_from_signer_info(_p7,_si)
  #endif
  
@@ -9,20 +9,30 @@
  
  /* 1.1 standardizes constructor and destructor names, renaming
   * EVP_MD_CTX_{create,destroy} and deprecating ASN1_STRING_data. */
-@@ -3059,7 +3059,7 @@
+@@ -3053,7 +3053,7 @@
      return retval;
  }
  
 -#if OPENSSL_VERSION_NUMBER >= 0x10100000L
-+#if OPENSSL_VERSION_NUMBER >= 0x10100000L && !defined(LIBRESSL_VERSION_NUMBER)
++#if OPENSSL_VERSION_NUMBER >= 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
  
  /*
   * We need to decode DomainParameters from RFC 3279 section 2.3.3.  We would
-@@ -3122,6 +3122,7 @@
+@@ -3079,7 +3079,7 @@
+ ASN1_SEQUENCE(DHvparams) = {
+     ASN1_SIMPLE(int_dhvparams, seed, ASN1_BIT_STRING),
+     ASN1_SIMPLE(int_dhvparams, counter, BIGNUM)
+-} static_ASN1_SEQUENCE_END_name(int_dhvparams, DHvparams)
++} ASN1_SEQUENCE_END_name(int_dhvparams, DHvparams)
  
- #else /* OPENSSL_VERSION_NUMBER < 0x10100000L */
+ ASN1_SEQUENCE(DHxparams) = {
+     ASN1_SIMPLE(int_dhx942_dh, p, BIGNUM),
+@@ -3087,7 +3087,7 @@
+     ASN1_OPT(int_dhx942_dh, q, BIGNUM),
+     ASN1_OPT(int_dhx942_dh, j, BIGNUM),
+     ASN1_OPT(int_dhx942_dh, vparams, DHvparams),
+-} static_ASN1_SEQUENCE_END_name(int_dhx942_dh, DHxparams)
++} ASN1_SEQUENCE_END_name(int_dhx942_dh, DHxparams)
  
-+#include <openssl/asn1_mac.h>
- /*
-  * Do the same decoding (except without decoding j and vparams or checking the
-  * sequence length) using the pre-OpenSSL-1.1 asn1_mac.h.  Define an internal
+ static DH *
+ decode_dh_params(const uint8_t *p, unsigned int len)
diff --git a/srcpkgs/mit-krb5/template b/srcpkgs/mit-krb5/template
index ffa856e06a4..2ee2038f921 100644
--- a/srcpkgs/mit-krb5/template
+++ b/srcpkgs/mit-krb5/template
@@ -1,7 +1,7 @@
 # Template file for 'mit-krb5'
 pkgname=mit-krb5
 version=1.17
-revision=2
+revision=3
 wrksrc="krb5-${version}"
 build_style=gnu-configure
 hostmakedepends="e2fsprogs-devel flex perl pkg-config"

From 5f6d1bdd8ba1d5a949d8f64aa9f4166e98918bf4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:35:39 +0200
Subject: [PATCH 150/308] monero: rebuild for libressl-2.9.2.

---
 srcpkgs/monero/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/monero/template b/srcpkgs/monero/template
index 678aaee9f3d..4f90a580599 100644
--- a/srcpkgs/monero/template
+++ b/srcpkgs/monero/template
@@ -1,7 +1,7 @@
 # Template file for 'monero'
 pkgname=monero
 version=0.14.0.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_GUI_DEPS=ON -DHAVE_LIBRESSL=1"
 conf_files="/etc/monerod.conf"

From b6586db7811ee9f9f9fa5d73965ad3a765c8f127 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:35:43 +0200
Subject: [PATCH 151/308] monero-gui: rebuild for libressl-2.9.2.

---
 srcpkgs/monero-gui/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/monero-gui/template b/srcpkgs/monero-gui/template
index 417c25c04ad..17b1e05b7cd 100644
--- a/srcpkgs/monero-gui/template
+++ b/srcpkgs/monero-gui/template
@@ -1,7 +1,7 @@
 # Template file for 'monero-gui'
 pkgname=monero-gui
 version=0.14.0.0
-revision=1
+revision=2
 build_style=qmake
 hostmakedepends="pkg-config qt5-tools qt5-qmake qt5-quickcontrols qt5-declarative-devel"
 makedepends="boost-devel libatomic-devel libunwind-devel miniupnpc-devel monero-devel

From 293c2f5efca788446bf7ee8a19db4b17df7a3930 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:55:16 +0200
Subject: [PATCH 152/308] mongoose: rebuild for libressl-2.9.2.

---
 srcpkgs/mongoose/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mongoose/template b/srcpkgs/mongoose/template
index 8949a9ede56..3ec3b125e2b 100644
--- a/srcpkgs/mongoose/template
+++ b/srcpkgs/mongoose/template
@@ -1,7 +1,7 @@
 # Template file for 'mongoose'
 pkgname=mongoose
 version=6.14
-revision=1
+revision=2
 build_style=gnu-makefile
 make_use_env=compliant
 makedepends="libressl-devel"

From c00cf6a950327695e0b8c7c1d527d055b7741e16 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:56:04 +0200
Subject: [PATCH 153/308] monit: rebuild for libressl-2.9.2.

---
 srcpkgs/monit/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/monit/template b/srcpkgs/monit/template
index 726306b385e..571d9c8fec0 100644
--- a/srcpkgs/monit/template
+++ b/srcpkgs/monit/template
@@ -1,7 +1,7 @@
 # Template file for 'monit'
 pkgname=monit
 version=5.25.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="
  --with-ssl-dir=${XBPS_CROSS_BASE}/usr

From e035278ed19218f30bc0d238d7a034b401c37540 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:56:57 +0200
Subject: [PATCH 154/308] monitoring-plugins: rebuild for libressl-2.9.2.

---
 srcpkgs/monitoring-plugins/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/monitoring-plugins/template b/srcpkgs/monitoring-plugins/template
index 8a950457c9d..5ce2117f9bc 100644
--- a/srcpkgs/monitoring-plugins/template
+++ b/srcpkgs/monitoring-plugins/template
@@ -1,7 +1,7 @@
 # Template file for 'monitoring-plugins'
 pkgname=monitoring-plugins
 version=2.2
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="--libexecdir=/usr/lib/monitoring-plugins"
 hostmakedepends="fping openssh postfix procps-ng smbclient"

From e40e334b6152133ef8912ff180add90e17c2844e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:58:43 +0200
Subject: [PATCH 155/308] mosh: rebuild for libressl-2.9.2.

---
 srcpkgs/mosh/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mosh/template b/srcpkgs/mosh/template
index 390deb9d9a3..bb333076cba 100644
--- a/srcpkgs/mosh/template
+++ b/srcpkgs/mosh/template
@@ -1,7 +1,7 @@
 # Template file for 'mosh'
 pkgname=mosh
 version=1.3.2
-revision=12
+revision=13
 build_style=gnu-configure
 hostmakedepends="pkg-config protobuf"
 makedepends="ncurses-devel protobuf-devel libutempter-devel libressl-devel"

From 5cf3c592483118961077949a8472ea0d5c931921 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:00:55 +0200
Subject: [PATCH 156/308] mosquitto: rebuild for libressl-2.9.2.

---
 srcpkgs/mosquitto/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mosquitto/template b/srcpkgs/mosquitto/template
index 12bcafb02e4..c3a867fd157 100644
--- a/srcpkgs/mosquitto/template
+++ b/srcpkgs/mosquitto/template
@@ -1,7 +1,7 @@
 # Template file for 'mosquitto'
 pkgname=mosquitto
 version=1.6.0
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="WITH_TLS_PSK=no WITH_WEBSOCKETS=yes" # PSK not supported by libressl
 make_install_args="prefix=/usr"

From d6445c93146c8578da1a09227296a22b915949b9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:01:45 +0200
Subject: [PATCH 157/308] mtree: rebuild for libressl-2.9.2.

---
 srcpkgs/mtree/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mtree/template b/srcpkgs/mtree/template
index 71edf1e8668..5d5ee8ce8e2 100644
--- a/srcpkgs/mtree/template
+++ b/srcpkgs/mtree/template
@@ -1,7 +1,7 @@
 # Template file for 'mtree'
 pkgname=mtree
 version=1.0.4
-revision=4
+revision=5
 wrksrc="${pkgname}-port-${version}"
 build_style=gnu-configure
 hostmakedepends="automake"

From 582dc796d5194dab720f96fddc624ab7104095a3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:02:28 +0200
Subject: [PATCH 158/308] muchsync: rebuild for libressl-2.9.2.

---
 srcpkgs/muchsync/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/muchsync/template b/srcpkgs/muchsync/template
index a8c2e202b76..14136083ebe 100644
--- a/srcpkgs/muchsync/template
+++ b/srcpkgs/muchsync/template
@@ -1,7 +1,7 @@
 # Template file for 'muchsync'
 pkgname=muchsync
 version=5
-revision=4
+revision=5
 short_desc="Synchronize notmuch mail across machines"
 maintainer="Anjandev Momi <anjan@momi.ca>"
 license="GPL-3"

From c795d51e5c7a3b0feb75efde2eafa11427466b2b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:03:37 +0200
Subject: [PATCH 159/308] mumble: rebuild for libressl-2.9.2.

---
 srcpkgs/mumble/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mumble/template b/srcpkgs/mumble/template
index 07d3142c190..b6a2442988a 100644
--- a/srcpkgs/mumble/template
+++ b/srcpkgs/mumble/template
@@ -1,7 +1,7 @@
 # Template file for 'mumble'
 pkgname=mumble
 version=1.2.19
-revision=15
+revision=16
 hostmakedepends="Ice pkg-config protobuf qt-host-tools qt-qmake"
 makedepends="Ice-devel MesaLib-devel avahi-compat-libs-devel boost-devel
  libcap-devel libressl-devel libsndfile-devel opus-devel protobuf-devel

From 56616d8d80cbe6d649f1ea853b8c9e6c8a3825b2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:07:43 +0200
Subject: [PATCH 160/308] munge: rebuild for libressl-2.9.2.

---
 srcpkgs/munge/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/munge/template b/srcpkgs/munge/template
index 37a8495fcf6..11db94b61c3 100644
--- a/srcpkgs/munge/template
+++ b/srcpkgs/munge/template
@@ -1,7 +1,7 @@
 # Template file for 'munge'
 pkgname=munge
 version=0.5.13
-revision=6
+revision=7
 build_style=gnu-configure
 configure_args="--with-crypto-lib=openssl
  --with-openssl-prefix=${XBPS_CROSS_BASE}/usr

From 33639e1503092ea758e07388878443a58c84096f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:11:09 +0200
Subject: [PATCH 161/308] musikcube: rebuild for libressl-2.9.2.

---
 srcpkgs/musikcube/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/musikcube/template b/srcpkgs/musikcube/template
index 787ec98f96b..51018651448 100644
--- a/srcpkgs/musikcube/template
+++ b/srcpkgs/musikcube/template
@@ -1,7 +1,7 @@
 # Template file for 'musikcube'
 pkgname=musikcube
 version=0.64.1
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DNO_NCURSESW=1 -DENABLE_SNDIO=true"
 makedepends="boost-devel libogg-devel libmicrohttpd-devel ffmpeg-devel

From 75ac12deebb6bd7ac964e84e701df5dd177f1778 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:12:14 +0200
Subject: [PATCH 162/308] mutt: rebuild for libressl-2.9.2.

---
 srcpkgs/mutt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mutt/template b/srcpkgs/mutt/template
index 2905cae8280..eb0cc912254 100644
--- a/srcpkgs/mutt/template
+++ b/srcpkgs/mutt/template
@@ -1,7 +1,7 @@
 # Template file for 'mutt'
 pkgname=mutt
 version=1.12.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-pop --enable-imap --enable-smtp --enable-hcache
  --enable-gpgme --with-regex --with-idn2 --with-ssl --with-sasl --enable-sidebar

From bf0fb465a0bdb66d93418069b7beddf3b0733ce4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:15:02 +0200
Subject: [PATCH 163/308] mysql: rebuild for libressl-2.9.2.

---
 srcpkgs/mysql/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mysql/template b/srcpkgs/mysql/template
index 78fcbfa7681..bed6fb2024d 100644
--- a/srcpkgs/mysql/template
+++ b/srcpkgs/mysql/template
@@ -1,7 +1,7 @@
 # Template file for 'mysql'
 pkgname=mysql
 version=5.6.43
-revision=2
+revision=3
 build_style=cmake
 configure_args="-DSYSCONFDIR=/etc/mysql -DMYSQL_DATADIR=/var/lib/mysql
  -DMYSQL_UNIX_ADDR=/run/mysqld/mysqld.sock -DDEFAULT_CHARSET=utf8

From 13f72d5454d5b012e780c2d5230aff5453a9a7e8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:20:23 +0200
Subject: [PATCH 164/308] neomutt: rebuild for libressl-2.9.2.

---
 srcpkgs/neomutt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/neomutt/template b/srcpkgs/neomutt/template
index 63c63dfada6..4131605401f 100644
--- a/srcpkgs/neomutt/template
+++ b/srcpkgs/neomutt/template
@@ -1,7 +1,7 @@
 # Template file for 'neomutt'
 pkgname=neomutt
 version=20180716
-revision=3
+revision=4
 wrksrc="neomutt-neomutt-${version}"
 build_style=configure
 configure_args="--ssl --gpgme --notmuch --gdbm --lua --sasl"

From 76c1d036782c01618cc609e46d34ee05be01aca3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:21:20 +0200
Subject: [PATCH 165/308] neon: rebuild for libressl-2.9.2.

---
 srcpkgs/neon/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/neon/template b/srcpkgs/neon/template
index 3726f0d9ad4..f209274e8d9 100644
--- a/srcpkgs/neon/template
+++ b/srcpkgs/neon/template
@@ -1,7 +1,7 @@
 # Template file for 'neon'
 pkgname=neon
 version=0.30.2
-revision=9
+revision=10
 build_style=gnu-configure
 configure_args="--with-expat --with-ssl=openssl --enable-shared
  --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt --disable-static"

From 598ed409dcbdb0bbbffaf906c958843c637c9578 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:21:38 +0200
Subject: [PATCH 166/308] net-snmp: rebuild for libressl-2.9.2.

---
 srcpkgs/net-snmp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/net-snmp/template b/srcpkgs/net-snmp/template
index df1a34125e6..50f27ba0b20 100644
--- a/srcpkgs/net-snmp/template
+++ b/srcpkgs/net-snmp/template
@@ -1,7 +1,7 @@
 # Template file for 'net-snmp'
 pkgname=net-snmp
 version=5.8
-revision=3
+revision=4
 hostmakedepends="pkg-config unzip"
 makedepends="bzip2-devel libressl-devel libnl-devel pciutils-devel
  libsensors-devel pcre-devel"

From e84abfff5bbd73575e8b8e27778f9198357a356c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:22:34 +0200
Subject: [PATCH 167/308] namecoin: rebuild for libressl-2.9.2.

---
 srcpkgs/namecoin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/namecoin/template b/srcpkgs/namecoin/template
index f40e0f92231..9f3d8d6d8be 100644
--- a/srcpkgs/namecoin/template
+++ b/srcpkgs/namecoin/template
@@ -1,7 +1,7 @@
 # Template file for 'namecoin'
 pkgname=namecoin
 version=0.17.0
-revision=1
+revision=2
 wrksrc="${pkgname}-core-nc${version}"
 build_style=gnu-configure
 configure_args="--with-incompatible-bdb --disable-static

From be33f52fc767a3f4cb75e93476138e6491a5de27 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:26:56 +0200
Subject: [PATCH 168/308] netpgp: rebuild for libressl-2.9.2.

---
 srcpkgs/netpgp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/netpgp/template b/srcpkgs/netpgp/template
index df5acb6701d..abd2d94d235 100644
--- a/srcpkgs/netpgp/template
+++ b/srcpkgs/netpgp/template
@@ -1,7 +1,7 @@
 # Template file for 'netpgp'
 pkgname=netpgp
 version=20140220
-revision=16
+revision=17
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config"
 makedepends="zlib-devel bzip2-devel libressl-devel"

From 91b91ecef4abfb788d51d1278453828a726dec76 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:29:01 +0200
Subject: [PATCH 169/308] netsurf: rebuild for libressl-2.9.2.

---
 srcpkgs/netsurf/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/netsurf/template b/srcpkgs/netsurf/template
index 501e11ae27f..eca683d969e 100644
--- a/srcpkgs/netsurf/template
+++ b/srcpkgs/netsurf/template
@@ -1,7 +1,7 @@
 # Template file for 'netsurf'
 pkgname=netsurf
 version=3.8
-revision=3
+revision=4
 hostmakedepends="pkg-config gperf flex nsgenbind gdk-pixbuf-devel perl-HTML-Parser glib-devel"
 makedepends="
  libidn-devel libmng-devel libxml2-devel libcurl-devel lcms-devel libwebp-devel

From 99b7a44e6264787bf38faa943c61f04724105897 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:30:54 +0200
Subject: [PATCH 170/308] network-ups-tools: rebuild for libressl-2.9.2.

---
 srcpkgs/network-ups-tools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/network-ups-tools/template b/srcpkgs/network-ups-tools/template
index 295350022b9..416d02a59ea 100644
--- a/srcpkgs/network-ups-tools/template
+++ b/srcpkgs/network-ups-tools/template
@@ -1,7 +1,7 @@
 # Template file for 'network-ups-tools'
 pkgname=network-ups-tools
 version=2.7.4
-revision=7
+revision=8
 wrksrc="nut-${version}"
 build_style=gnu-configure
 configure_args="

From 7f6063ff274ac9e436250379edca601595158714 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:31:35 +0200
Subject: [PATCH 171/308] nghttp2: rebuild for libressl-2.9.2.

---
 srcpkgs/nghttp2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nghttp2/template b/srcpkgs/nghttp2/template
index 17854bb910c..6d0f8309389 100644
--- a/srcpkgs/nghttp2/template
+++ b/srcpkgs/nghttp2/template
@@ -1,7 +1,7 @@
 # Template file for 'nghttp2'
 pkgname=nghttp2
 version=1.38.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--without-libxml2 --without-jemalloc --without-spdylay
  --disable-examples"

From 8d2f6c20331d3ac5ac2b5f62fd4837abc1eb14c9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:32:57 +0200
Subject: [PATCH 172/308] nginx: rebuild for libressl-2.9.2.

---
 srcpkgs/nginx/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nginx/template b/srcpkgs/nginx/template
index 043ff081f32..3b89955b633 100644
--- a/srcpkgs/nginx/template
+++ b/srcpkgs/nginx/template
@@ -1,7 +1,7 @@
 # Template file for 'nginx'
 pkgname=nginx
 version=1.16.0
-revision=1
+revision=2
 build_style=gnu-makefile
 makedepends="libressl-devel pcre-devel $(vopt_if geoip 'geoip-devel')"
 short_desc="High performance web and reverse proxy server"

From a91ac7aceb5ebae4212afd0c85dca62f268f383e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:33:12 +0200
Subject: [PATCH 173/308] ngircd: rebuild for libressl-2.9.2.

---
 srcpkgs/ngircd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ngircd/template b/srcpkgs/ngircd/template
index c79e704e20f..bcde118c4b8 100644
--- a/srcpkgs/ngircd/template
+++ b/srcpkgs/ngircd/template
@@ -1,7 +1,7 @@
 # Template file for 'ngircd'
 pkgname=ngircd
 version=25
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-ipv6 --with-openssl --without-ident ac_cv_func_getaddrinfo=yes"
 hostmakedepends="pkg-config"

From 7cd1b9aee8e83e964700dd2e6126d521b0dbdc75 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:33:54 +0200
Subject: [PATCH 174/308] nix: rebuild for libressl-2.9.2.

---
 srcpkgs/nix/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nix/template b/srcpkgs/nix/template
index 207577a5a15..67cef33802e 100644
--- a/srcpkgs/nix/template
+++ b/srcpkgs/nix/template
@@ -1,7 +1,7 @@
 # Template file for 'nix'
 pkgname=nix
 version=2.2.2
-revision=1
+revision=2
 build_style=gnu-configure
 # Use /nix/var as suggested by the official Manual.
 configure_args="--localstatedir=/nix/var --with-sandbox-shell=/bin/sh"

From 34bbbb1e131d9c3aef1ccbd605be79578f32b8ed Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:37:43 +0200
Subject: [PATCH 175/308] nmap: rebuild for libressl-2.9.2.

---
 srcpkgs/nmap/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nmap/template b/srcpkgs/nmap/template
index 3a64253f071..3a607ea7eef 100644
--- a/srcpkgs/nmap/template
+++ b/srcpkgs/nmap/template
@@ -1,7 +1,7 @@
 # Template file for 'nmap'
 pkgname=nmap
 version=7.70
-revision=4
+revision=5
 build_style=gnu-configure
 build_options="lua"
 if [ -z "$CROSS_BUILD" ]; then

From cfe0608ce19e13bea5abdaf7a48be1cb762326af Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:39:41 +0200
Subject: [PATCH 176/308] nmh: rebuild for libressl-2.9.2.

---
 srcpkgs/nmh/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nmh/template b/srcpkgs/nmh/template
index db9efbd9ea4..7b1d390e3ce 100644
--- a/srcpkgs/nmh/template
+++ b/srcpkgs/nmh/template
@@ -1,7 +1,7 @@
 # Template file for 'nmh'
 pkgname=nmh
 version=1.7.1
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="--with-cyrus-sasl --with-tls"
 makedepends="db-devel libcurl-devel libressl-devel libsasl-devel ncurses-devel"

From da0a5855816c100d971d7d9dee09e761b35dff07 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:40:33 +0200
Subject: [PATCH 177/308] nrpe: rebuild for libressl-2.9.2.

---
 srcpkgs/nrpe/patches/nrpe-3.2.1-libressl.patch | 9 ---------
 srcpkgs/nrpe/template                          | 2 +-
 2 files changed, 1 insertion(+), 10 deletions(-)

diff --git a/srcpkgs/nrpe/patches/nrpe-3.2.1-libressl.patch b/srcpkgs/nrpe/patches/nrpe-3.2.1-libressl.patch
index 192de9868a2..24b29069bc6 100644
--- a/srcpkgs/nrpe/patches/nrpe-3.2.1-libressl.patch
+++ b/srcpkgs/nrpe/patches/nrpe-3.2.1-libressl.patch
@@ -9,15 +9,6 @@
  NULL, NULL, NULL, "ALL:!MD5:@STRENGTH:@SECLEVEL=0", TLSv1_plus, TRUE, 0, SSL_NoLogging};
  #else
  NULL, NULL, NULL, "ALL:!MD5:@STRENGTH", TLSv1_plus, TRUE, 0, SSL_NoLogging};
-@@ -344,7 +344,7 @@
- 		exit(STATE_CRITICAL);
- 	}
- 
--#if OPENSSL_VERSION_NUMBER >= 0x10100000
-+#if OPENSSL_VERSION_NUMBER >= 0x10100000 && !defined(LIBRESSL_VERSION_NUMBER)
- 
- 	SSL_CTX_set_max_proto_version(ctx, 0);
- 
 @@ -445,7 +445,7 @@
  	} else {
  		/* use anonymous DH ciphers */
diff --git a/srcpkgs/nrpe/template b/srcpkgs/nrpe/template
index a125f965cf3..c0372dac350 100644
--- a/srcpkgs/nrpe/template
+++ b/srcpkgs/nrpe/template
@@ -1,7 +1,7 @@
 # Template file for 'nrpe'
 pkgname=nrpe
 version=3.2.1
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--with-pkgsysconfdir=/etc/nagios
  --with-pluginsdir=/usr/lib/monitoring-plugins --with-nagios-user=_nagios

From efad006076b1f75b642e34c25266527f072c08bf Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:50:26 +0200
Subject: [PATCH 178/308] nsd: rebuild for libressl-2.9.2.

---
 srcpkgs/nsd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nsd/template b/srcpkgs/nsd/template
index 641b2454da2..5012d6e4384 100644
--- a/srcpkgs/nsd/template
+++ b/srcpkgs/nsd/template
@@ -1,7 +1,7 @@
 # Template file for 'nsd'
 pkgname=nsd
 version=4.1.27
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-ratelimit --enable-ratelimit-default-is-off
  --with-libevent=${XBPS_CROSS_BASE}/usr --with-ssl=${XBPS_CROSS_BASE}/usr"

From 006a72757addd6b2774703866b77b86f697bc75a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:51:45 +0200
Subject: [PATCH 179/308] ntp: rebuild for libressl-2.9.2.

---
 srcpkgs/ntp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ntp/template b/srcpkgs/ntp/template
index 164932b6373..9aadb355862 100644
--- a/srcpkgs/ntp/template
+++ b/srcpkgs/ntp/template
@@ -1,7 +1,7 @@
 # Template file for 'ntp'
 pkgname=ntp
 version=4.2.8p13
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--with-crypto --enable-linuxcap --enable-ipv6 --enable-ntp-signd
  --enable-all-clocks ol_cv_pthread_select_yields=yes"

From 62779654c21da6c857462ec42f9827cafb08b789 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:55:26 +0200
Subject: [PATCH 180/308] nzbget: rebuild for libressl-2.9.2.

---
 srcpkgs/nzbget/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nzbget/template b/srcpkgs/nzbget/template
index 2339d6a4713..45451af7362 100644
--- a/srcpkgs/nzbget/template
+++ b/srcpkgs/nzbget/template
@@ -1,7 +1,7 @@
 # Template file for 'nzbget'
 pkgname=nzbget
 version=21.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-tlslib=OpenSSL
  --with-libcurses-includes=${XBPS_CROSS_BASE}/usr/include

From 9b2ceee95e1dbafe4870b7e3dad72f56402e389f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:56:25 +0200
Subject: [PATCH 181/308] open-isns: rebuild for libressl-2.9.2.

---
 srcpkgs/open-isns/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/open-isns/template b/srcpkgs/open-isns/template
index 6c4329dde74..22bbe112ac5 100644
--- a/srcpkgs/open-isns/template
+++ b/srcpkgs/open-isns/template
@@ -1,7 +1,7 @@
 # Template file for 'open-isns'
 pkgname=open-isns
 version=0.99
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-shared"
 makedepends="libressl-devel"

From 6940f57e0b4c82f094b1aff74d77e3892d410124 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:56:50 +0200
Subject: [PATCH 182/308] opendkim: rebuild for libressl-2.9.2.

---
 srcpkgs/opendkim/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opendkim/template b/srcpkgs/opendkim/template
index 61bdcadb1d5..98f7cd5bcce 100644
--- a/srcpkgs/opendkim/template
+++ b/srcpkgs/opendkim/template
@@ -1,7 +1,7 @@
 # Template file for 'opendkim'
 pkgname=opendkim
 version=2.10.3
-revision=8
+revision=9
 build_style=gnu-configure
 configure_args="--with-milter=${XBPS_CROSS_BASE}/usr"
 makedepends="libbsd-devel libressl-devel libmilter-devel"

From ed97a71ec25bb266ef6389ce4e2d604b1fcc97d6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:57:29 +0200
Subject: [PATCH 183/308] openldap: rebuild for libressl-2.9.2.

---
 srcpkgs/openldap/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/openldap/template b/srcpkgs/openldap/template
index 4d96cb4fc46..2a7a87adb72 100644
--- a/srcpkgs/openldap/template
+++ b/srcpkgs/openldap/template
@@ -1,7 +1,7 @@
 # Template file for 'openldap'
 pkgname=openldap
 version=2.4.47
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--prefix=/usr
  --libexecdir=/usr/libexec

From fa0162652fb4c845648244f4aa30eb9f3be3fb54 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:57:47 +0200
Subject: [PATCH 184/308] openntpd: rebuild for libressl-2.9.2.

---
 srcpkgs/openntpd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/openntpd/template b/srcpkgs/openntpd/template
index d4518fe096c..f347ac2cc0e 100644
--- a/srcpkgs/openntpd/template
+++ b/srcpkgs/openntpd/template
@@ -1,7 +1,7 @@
 # Template file for 'openntpd'
 pkgname=openntpd
 version=6.2p3
-revision=4
+revision=5
 build_style=gnu-configure
 configure_args="--with-privsep-user=${pkgname} --with-cacert=/etc/ssl/certs.pem"
 hostmakedepends="automake libtool"

From 6457e31b8a003c58e538d6f7564a76cef03ac907 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:59:56 +0200
Subject: [PATCH 185/308] opensc: rebuild for libressl-2.9.2.

---
 srcpkgs/opensc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opensc/template b/srcpkgs/opensc/template
index cf0493ff8b1..f3d5d43ef8d 100644
--- a/srcpkgs/opensc/template
+++ b/srcpkgs/opensc/template
@@ -1,7 +1,7 @@
 # Template file for 'opensc'
 pkgname=opensc
 version=0.19.0
-revision=4
+revision=5
 wrksrc="OpenSC-${version}"
 build_style=gnu-configure
 configure_args="--enable-man  --enable-sm --enable-static=no --enable-doc

From a7059e232528b11c93770bf2767efb7cc15a1e66 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 18:03:20 +0200
Subject: [PATCH 186/308] openvswitch: rebuild for libressl-2.9.2.

---
 srcpkgs/openvswitch/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/openvswitch/template b/srcpkgs/openvswitch/template
index 6edea7aee0b..1b45ef5aa7b 100644
--- a/srcpkgs/openvswitch/template
+++ b/srcpkgs/openvswitch/template
@@ -1,7 +1,7 @@
 # Template file for 'openvswitch'
 pkgname=openvswitch
 version=2.9.2
-revision=2
+revision=3
 archs="i686* x86_64* ppc64*"
 build_style=gnu-configure
 configure_args="--with-rundir=/run/openvswitch"

From 75e39921dcf65cbbb144becd6d55488d34b2bb0b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:13:02 +0200
Subject: [PATCH 187/308] opkg: rebuild for libressl-2.9.2.

---
 srcpkgs/opkg/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opkg/template b/srcpkgs/opkg/template
index 5d2416850ab..07693122cf7 100644
--- a/srcpkgs/opkg/template
+++ b/srcpkgs/opkg/template
@@ -1,7 +1,7 @@
 # Template file for 'opkg'
 pkgname=opkg
 version=0.4.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-sha256 --without-libsolv --with-static-libopkg
  $(vopt_enable lz4) $(vopt_if openssl '--enable-openssl --enable-ssl-curl')

From 669de097b5312e93394c4be8b8237e86a66ab589 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:13:42 +0200
Subject: [PATCH 188/308] opmsg: rebuild for libressl-2.9.2.

---
 srcpkgs/opmsg/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opmsg/template b/srcpkgs/opmsg/template
index 8af0e835173..350a2f4c6bf 100644
--- a/srcpkgs/opmsg/template
+++ b/srcpkgs/opmsg/template
@@ -1,7 +1,7 @@
 # Template file for 'opmsg'
 pkgname=opmsg
 version=1.78s
-revision=1
+revision=2
 wrksrc="${pkgname}-rel-${version}"
 build_wrksrc=src
 build_style=gnu-makefile

From ea1d6e7948970a57db30280a08a4ab59e20219c2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:14:10 +0200
Subject: [PATCH 189/308] opusfile: rebuild for libressl-2.9.2.

---
 srcpkgs/opusfile/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opusfile/template b/srcpkgs/opusfile/template
index a8392197b6b..1906046b613 100644
--- a/srcpkgs/opusfile/template
+++ b/srcpkgs/opusfile/template
@@ -1,7 +1,7 @@
 # Template file for 'opusfile'
 pkgname=opusfile
 version=0.11
-revision=2
+revision=3
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="libogg-devel opus-devel libressl-devel"

From 66d1fe012f709c63e997a36253270aca0fb4f2c1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:14:50 +0200
Subject: [PATCH 190/308] pam_ssh: rebuild for libressl-2.9.2.

---
 srcpkgs/pam_ssh/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pam_ssh/template b/srcpkgs/pam_ssh/template
index bb7c0f19e32..c4100b2cab1 100644
--- a/srcpkgs/pam_ssh/template
+++ b/srcpkgs/pam_ssh/template
@@ -1,7 +1,7 @@
 # Template file for 'pam_ssh'
 pkgname=pam_ssh
 version=2.2
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-pam-dir=/usr/lib/security ac_cv_openssldir=/usr
  --includedir=${XBPS_CROSS_BASE}/usr/include

From 10750210265cfe617ad38cd30e036e53d2728093 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:15:22 +0200
Subject: [PATCH 191/308] partclone: rebuild for libressl-2.9.2.

---
 srcpkgs/partclone/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/partclone/template b/srcpkgs/partclone/template
index 2316e03e1af..3254da66eca 100644
--- a/srcpkgs/partclone/template
+++ b/srcpkgs/partclone/template
@@ -1,7 +1,7 @@
 # Template file for 'partclone'
 pkgname=partclone
 version=0.3.12
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--disable-rpath --enable-ncursesw --enable-f2fs
  --enable-extfs --enable-hfsp --enable-fat --enable-exfat

From de483b3a09ba4f65878143c060d58b061123a754 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:16:07 +0200
Subject: [PATCH 192/308] pen: rebuild for libressl-2.9.2.

---
 srcpkgs/pen/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pen/template b/srcpkgs/pen/template
index d045de3445e..c8ff7b6b05e 100644
--- a/srcpkgs/pen/template
+++ b/srcpkgs/pen/template
@@ -1,7 +1,7 @@
 # Template file for 'pen'
 pkgname=pen
 version=0.34.1
-revision=3
+revision=4
 build_style=gnu-configure
 makedepends="geoip-devel libressl-devel"
 configure_args="--with-docdir=/usr/share/doc/pen"

From ec1ea1119609ab11db253eca47295f0a08e73262 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:16:38 +0200
Subject: [PATCH 193/308] perl-Crypt-OpenSSL-Bignum: rebuild for
 libressl-2.9.2.

---
 srcpkgs/perl-Crypt-OpenSSL-Bignum/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-Crypt-OpenSSL-Bignum/template b/srcpkgs/perl-Crypt-OpenSSL-Bignum/template
index a6f9bcf8b9f..28c4c402f32 100644
--- a/srcpkgs/perl-Crypt-OpenSSL-Bignum/template
+++ b/srcpkgs/perl-Crypt-OpenSSL-Bignum/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-Crypt-OpenSSL-Bignum'
 pkgname=perl-Crypt-OpenSSL-Bignum
 version=0.09
-revision=7
+revision=8
 wrksrc="${pkgname/perl-/}-${version}"
 build_style=perl-module
 hostmakedepends="perl"

From 6777a7ca43e6b6c4ba5c378f02624944a9c5e3c5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:17:13 +0200
Subject: [PATCH 194/308] perl-Crypt-OpenSSL-Random: rebuild for
 libressl-2.9.2.

---
 srcpkgs/perl-Crypt-OpenSSL-Random/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-Crypt-OpenSSL-Random/template b/srcpkgs/perl-Crypt-OpenSSL-Random/template
index 0f4735e5920..3f1ae2af280 100644
--- a/srcpkgs/perl-Crypt-OpenSSL-Random/template
+++ b/srcpkgs/perl-Crypt-OpenSSL-Random/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-Crypt-OpenSSL-Random'
 pkgname=perl-Crypt-OpenSSL-Random
 version=0.15
-revision=5
+revision=6
 wrksrc="${pkgname/perl-/}-${version}"
 build_style=perl-module
 hostmakedepends="perl perl-Crypt-OpenSSL-Guess"

From 8c4269b6148326566d9f94b97b3fdc415cb3bf2e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:17:15 +0200
Subject: [PATCH 195/308] perl-Crypt-OpenSSL-RSA: rebuild for libressl-2.9.2.

---
 srcpkgs/perl-Crypt-OpenSSL-RSA/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-Crypt-OpenSSL-RSA/template b/srcpkgs/perl-Crypt-OpenSSL-RSA/template
index d93bade0354..e8407944ec4 100644
--- a/srcpkgs/perl-Crypt-OpenSSL-RSA/template
+++ b/srcpkgs/perl-Crypt-OpenSSL-RSA/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-Crypt-OpenSSL-RSA'
 pkgname=perl-Crypt-OpenSSL-RSA
 version=0.31
-revision=2
+revision=3
 wrksrc="${pkgname/perl-/}-${version}"
 build_style=perl-module
 hostmakedepends="perl perl-Crypt-OpenSSL-Guess"

From 4319a4b13c33cf2b78af6b79f2590d091775bd82 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:18:16 +0200
Subject: [PATCH 196/308] perl-DBD-mysql: rebuild for libressl-2.9.2.

---
 srcpkgs/perl-DBD-mysql/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-DBD-mysql/template b/srcpkgs/perl-DBD-mysql/template
index 51850d131cd..3ee5e54edfc 100644
--- a/srcpkgs/perl-DBD-mysql/template
+++ b/srcpkgs/perl-DBD-mysql/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-DBD-mysql'
 pkgname=perl-DBD-mysql
 version=4.050
-revision=1
+revision=2
 wrksrc="DBD-mysql-${version}"
 build_style=perl-module
 hostmakedepends="perl perl-DBI perl-Devel-CheckLib"

From 95464e2494adbbeacddbf3e1e0774d00d43b941a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:19:53 +0200
Subject: [PATCH 197/308] perl-Net-SSH2: rebuild for libressl-2.9.2.

---
 srcpkgs/perl-Net-SSH2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-Net-SSH2/template b/srcpkgs/perl-Net-SSH2/template
index e4891668e2e..1243736de6e 100644
--- a/srcpkgs/perl-Net-SSH2/template
+++ b/srcpkgs/perl-Net-SSH2/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-Net-SSH2'
 pkgname=perl-Net-SSH2
 version=0.70
-revision=1
+revision=2
 wrksrc="${pkgname/perl-/}-${version}"
 build_style=perl-module
 configure_args="inc=${XBPS_CROSS_BASE}/usr/include lib=${XBPS_CROSS_BASE}/usr/lib"

From c1103d5b64572a6df50cafd7545596811c4341e5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:20:18 +0200
Subject: [PATCH 198/308] perl-Net-SSLeay: rebuild for libressl-2.9.2.

---
 srcpkgs/perl-Net-SSLeay/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-Net-SSLeay/template b/srcpkgs/perl-Net-SSLeay/template
index 373dbcc247e..6222a9d4601 100644
--- a/srcpkgs/perl-Net-SSLeay/template
+++ b/srcpkgs/perl-Net-SSLeay/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-Net-SSLeay'
 pkgname=perl-Net-SSLeay
 version=1.88
-revision=1
+revision=2
 wrksrc="${pkgname/perl-/}-${version}"
 build_style=perl-module
 hostmakedepends="perl libressl"

From bd0bbd0e7437877d584e5821ef5adedd8e1faab3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:39:12 +0200
Subject: [PATCH 199/308] pev: rebuild for libressl-2.9.2.

---
 srcpkgs/pev/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pev/template b/srcpkgs/pev/template
index 5f022ad6ffd..e2bd81c6cdf 100644
--- a/srcpkgs/pev/template
+++ b/srcpkgs/pev/template
@@ -1,7 +1,7 @@
 # Template file for 'pev'
 pkgname=pev
 version=0.80
-revision=6
+revision=7
 wrksrc=${pkgname}
 build_style=gnu-makefile
 make_build_args="prefix=/usr"

From 80e66a6605cb3a8f81cb4f65ac29a3566269821f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:39:31 +0200
Subject: [PATCH 200/308] pgadmin3: rebuild for libressl-2.9.2.

---
 srcpkgs/pgadmin3/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pgadmin3/template b/srcpkgs/pgadmin3/template
index 1b9009261dd..17e71000404 100644
--- a/srcpkgs/pgadmin3/template
+++ b/srcpkgs/pgadmin3/template
@@ -1,7 +1,7 @@
 # Template file for 'pgadmin3'
 pkgname=pgadmin3
 version=1.22.2
-revision=11
+revision=12
 build_style=gnu-configure
 configure_args="ac_cv_path_WX_CONFIG=wx-config-gtk3 --with-wx-version=3.0"
 makedepends="postgresql-libs-devel wxWidgets-gtk3-devel libxslt-devel libressl-devel"

From 7b0df6064950859aa37841e277ace74e41bf5097 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:43:42 +0200
Subject: [PATCH 201/308] pgbouncer: rebuild for libressl-2.9.2.

---
 srcpkgs/pgbouncer/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pgbouncer/template b/srcpkgs/pgbouncer/template
index 61aee4df138..5ea5f049d71 100644
--- a/srcpkgs/pgbouncer/template
+++ b/srcpkgs/pgbouncer/template
@@ -1,6 +1,6 @@
 pkgname=pgbouncer
 version=1.9.0
-revision=2
+revision=3
 build_style=gnu-configure
 makedepends="libevent-devel"
 short_desc="Lightweight connection pooler for PostgreSQL"

From 56387998c1f3bb88150e2748741f33e79d9b45db Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:44:27 +0200
Subject: [PATCH 202/308] phantomjs: rebuild for libressl-2.9.2.

---
 srcpkgs/phantomjs/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/phantomjs/template b/srcpkgs/phantomjs/template
index 04c84a00aa6..2cac179693a 100644
--- a/srcpkgs/phantomjs/template
+++ b/srcpkgs/phantomjs/template
@@ -1,7 +1,7 @@
 # Template file for 'phantomjs'
 pkgname=phantomjs
 version=2.0.0
-revision=13
+revision=14
 hostmakedepends="unzip flex ruby gperf python perl pkg-config"
 makedepends="
  fontconfig-devel icu-devel libressl-devel libpng-devel

From 81082a50627022e88ed31f07415d4925482f82b5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:01:39 +0200
Subject: [PATCH 203/308] php: rebuild for libressl-2.9.2.

---
 srcpkgs/php/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/php/template b/srcpkgs/php/template
index daa542c394a..c8cd24f5b95 100644
--- a/srcpkgs/php/template
+++ b/srcpkgs/php/template
@@ -1,7 +1,7 @@
 # Template file for 'php'
 pkgname=php
 version=7.3.6
-revision=1
+revision=2
 hostmakedepends="bison pkg-config"
 makedepends="apache-devel enchant-devel freetds-devel freetype-devel gdbm-devel
  gmp-devel libcurl-devel libjpeg-turbo-devel libmysqlclient-devel

From a6a2aa6f1f8752762fd69c75a0113d0ec0ba6945 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:06:54 +0200
Subject: [PATCH 204/308] pidgin-sipe: rebuild for libressl-2.9.2.

---
 srcpkgs/pidgin-sipe/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pidgin-sipe/template b/srcpkgs/pidgin-sipe/template
index fa57be8db40..50846cdc755 100644
--- a/srcpkgs/pidgin-sipe/template
+++ b/srcpkgs/pidgin-sipe/template
@@ -1,7 +1,7 @@
 # Template file for 'pidgin-sipe'
 pkgname=pidgin-sipe
 version=1.24.0
-revision=2
+revision=3
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool"
 makedepends="pidgin-devel libressl-devel libxml2-devel dbus-glib-devel

From 0eb843bf2cee43f18bdad2dca44b7993e1f964f2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:08:02 +0200
Subject: [PATCH 205/308] pjproject: rebuild for libressl-2.9.2.

---
 srcpkgs/pjproject/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pjproject/template b/srcpkgs/pjproject/template
index f90761a2717..82fd8fee64f 100644
--- a/srcpkgs/pjproject/template
+++ b/srcpkgs/pjproject/template
@@ -3,7 +3,7 @@
 # and this template is heavily based on Alpine's APKBUILD.
 pkgname=pjproject
 version=2.8
-revision=2
+revision=3
 disable_parallel_build=yes
 build_style=gnu-configure
 configure_args="--enable-shared \

From 2919f2603067884c5693f43e6878493c76872ca6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:10:10 +0200
Subject: [PATCH 206/308] pkcs11-helper: rebuild for libressl-2.9.2.

---
 srcpkgs/pkcs11-helper/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pkcs11-helper/template b/srcpkgs/pkcs11-helper/template
index f42ee0b14d0..36daa9c936b 100644
--- a/srcpkgs/pkcs11-helper/template
+++ b/srcpkgs/pkcs11-helper/template
@@ -1,7 +1,7 @@
 # Template file for 'pkcs11-helper'
 pkgname=pkcs11-helper
 version=1.25.1
-revision=3
+revision=4
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-configure
 configure_args="--enable-doc --disable-static $(vopt_enable threading slotevent) $(vopt_enable threading)"

From 1bdf470112feadd98c6942bcb2bf1e6f3f5c803d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:10:55 +0200
Subject: [PATCH 207/308] poco: rebuild for libressl-2.9.2.

---
 srcpkgs/poco/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/poco/template b/srcpkgs/poco/template
index c554c4fe3f5..e902b2a6223 100644
--- a/srcpkgs/poco/template
+++ b/srcpkgs/poco/template
@@ -1,7 +1,7 @@
 # Template file for 'poco'
 pkgname=poco
 version=1.9.0
-revision=2
+revision=3
 wrksrc="${pkgname}-${version}-all"
 build_style=cmake
 configure_args="-DPOCO_UNBUNDLED=ON"

From 4598bc737785a89bea2079038c5fcb2fdc8f4bdb Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:12:35 +0200
Subject: [PATCH 208/308] podofo: rebuild for libressl-2.9.2.

---
 srcpkgs/podofo/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/podofo/template b/srcpkgs/podofo/template
index 3e59d457a3e..78dd317ab60 100644
--- a/srcpkgs/podofo/template
+++ b/srcpkgs/podofo/template
@@ -1,7 +1,7 @@
 # Template file for 'podofo'
 pkgname=podofo
 version=0.9.6
-revision=3
+revision=4
 build_style=cmake
 configure_args="-DPODOFO_BUILD_SHARED=TRUE"
 makedepends="fontconfig-devel libidn-devel libressl-devel lua-devel tiff-devel"

From e8a85f8ed61be295133ec5f5e0142f84bab865d7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:15:22 +0200
Subject: [PATCH 209/308] postfix: rebuild for libressl-2.9.2.

---
 srcpkgs/postfix/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/postfix/template b/srcpkgs/postfix/template
index 7a7dea29d1d..07e8c9ae0b1 100644
--- a/srcpkgs/postfix/template
+++ b/srcpkgs/postfix/template
@@ -1,7 +1,7 @@
 # Template file for 'postfix'
 pkgname=postfix
 version=3.3.2
-revision=4
+revision=5
 hostmakedepends="perl m4"
 makedepends="icu-devel libldap-devel libmysqlclient-devel pcre-devel
  postgresql-libs-devel sqlite-devel"

From 9680953c92ed01bd30cbc043ef318154731b7f45 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:20:23 +0200
Subject: [PATCH 210/308] postgresql: rebuild for libressl-2.9.2.

---
 srcpkgs/postgresql/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/postgresql/template b/srcpkgs/postgresql/template
index 859b3515a6e..167d4646010 100644
--- a/srcpkgs/postgresql/template
+++ b/srcpkgs/postgresql/template
@@ -1,7 +1,7 @@
 # Template file for 'postgresql'
 pkgname=postgresql
 version=9.6.13
-revision=1
+revision=2
 build_style=gnu-configure
 make_build_target=world
 configure_args="--with-openssl --with-python

From 5e398517e4e4cafe6b50a8f9506da3fa392250f9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 19:54:33 +0200
Subject: [PATCH 211/308] ppp: rebuild for libressl-2.9.2.

---
 srcpkgs/ppp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ppp/template b/srcpkgs/ppp/template
index 9920cd7dd20..ce7b834f722 100644
--- a/srcpkgs/ppp/template
+++ b/srcpkgs/ppp/template
@@ -1,7 +1,7 @@
 # Template file for 'ppp'
 pkgname=ppp
 version=2.4.7
-revision=9
+revision=10
 makedepends="libpcap-devel libressl-devel"
 short_desc="PPP (Point-to-Point Protocol) daemon"
 homepage="https://ppp.samba.org/"

From 7f9f3194288a7e4692e7dd0e5d2927257a1ba0e5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 19:55:01 +0200
Subject: [PATCH 212/308] prosody: rebuild for libressl-2.9.2.

---
 srcpkgs/prosody/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/prosody/template b/srcpkgs/prosody/template
index 1b9ac020441..6043e588786 100644
--- a/srcpkgs/prosody/template
+++ b/srcpkgs/prosody/template
@@ -1,7 +1,7 @@
 # Template file for 'prosody'
 pkgname=prosody
 version=0.11.2
-revision=1
+revision=2
 build_style=configure
 configure_args="
  --ostype=linux

From f1bbc6c920714e8f50fc8f63f55dfe42998a7dce Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 19:59:18 +0200
Subject: [PATCH 213/308] python: rebuild for libressl-2.9.2.

---
 srcpkgs/python/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python/template b/srcpkgs/python/template
index c2a8696950c..e4b557362d8 100644
--- a/srcpkgs/python/template
+++ b/srcpkgs/python/template
@@ -4,7 +4,7 @@
 #
 pkgname=python
 version=2.7.16
-revision=1
+revision=2
 wrksrc="Python-${version}"
 pycompile_dirs="usr/lib/python2.7"
 hostmakedepends="pkg-config"

From 10f00e26ec23edda29b57a9857e13d8098c11237 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:03:31 +0200
Subject: [PATCH 214/308] python-M2Crypto: rebuild for libressl-2.9.2.

---
 srcpkgs/python-M2Crypto/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python-M2Crypto/template b/srcpkgs/python-M2Crypto/template
index 881eaf80e2e..27e931cb708 100644
--- a/srcpkgs/python-M2Crypto/template
+++ b/srcpkgs/python-M2Crypto/template
@@ -1,7 +1,7 @@
 # Template file for 'python-M2Crypto'
 pkgname=python-M2Crypto
 version=0.32.0
-revision=1
+revision=2
 wrksrc="M2Crypto-${version}"
 build_style=python-module
 pycompile_module="M2Crypto"

From 79b4cc27613b164da3c8ece3574a4b074fc7cfc0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:12:57 +0200
Subject: [PATCH 215/308] python3: rebuild for libressl-2.9.2.

---
 srcpkgs/python3/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python3/template b/srcpkgs/python3/template
index 4b9b7a78002..400b8a519f2 100644
--- a/srcpkgs/python3/template
+++ b/srcpkgs/python3/template
@@ -4,7 +4,7 @@
 #
 pkgname=python3
 version=3.6.8
-revision=3
+revision=4
 wrksrc="Python-${version}"
 short_desc="Interpreted, interactive, object-oriented programming language (${version%.*} series)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"

From 99058e16dffa9156bf59a5fc2abb578cbee2d029 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:15:01 +0200
Subject: [PATCH 216/308] python-curl: rebuild for libressl-2.9.2.

---
 srcpkgs/python-curl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python-curl/template b/srcpkgs/python-curl/template
index 5571b5f6a14..5d2e24e38e0 100644
--- a/srcpkgs/python-curl/template
+++ b/srcpkgs/python-curl/template
@@ -1,7 +1,7 @@
 # Template file for 'python-curl'
 pkgname=python-curl
 version=7.43.0.2
-revision=3
+revision=4
 wrksrc="pycurl-${version}"
 build_style=python-module
 pycompile_module="curl"

From a0fcd4a07c1d02267f9110709648a010220763c4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:33:25 +0200
Subject: [PATCH 217/308] python-cryptography: rebuild for libressl-2.9.2.

---
 .../python-cryptography/patches/libressl.patch | 18 ++++++++++++++++++
 srcpkgs/python-cryptography/template           |  2 +-
 2 files changed, 19 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/python-cryptography/patches/libressl.patch

diff --git a/srcpkgs/python-cryptography/patches/libressl.patch b/srcpkgs/python-cryptography/patches/libressl.patch
new file mode 100644
index 00000000000..38ee9bce61d
--- /dev/null
+++ b/srcpkgs/python-cryptography/patches/libressl.patch
@@ -0,0 +1,18 @@
+$OpenBSD: patch-src__cffi_src_openssl_ssl_py,v 1.2 2019/04/19 10:18:16 sthen Exp $
+
+Index: src/_cffi_src/openssl/ssl.py
+--- src/_cffi_src/openssl/ssl.py.orig
++++ src/_cffi_src/openssl/ssl.py
+@@ -721,9 +721,11 @@ static const long TLS_ST_OK = 0;
+ 
+ #if CRYPTOGRAPHY_OPENSSL_LESS_THAN_102
+ static const long Cryptography_HAS_GENERIC_DTLS_METHOD = 0;
++#if !CRYPTOGRAPHY_IS_LIBRESSL
+ const SSL_METHOD *(*DTLS_method)(void) = NULL;
+ const SSL_METHOD *(*DTLS_server_method)(void) = NULL;
+ const SSL_METHOD *(*DTLS_client_method)(void) = NULL;
++#endif
+ static const long SSL_OP_NO_DTLSv1 = 0;
+ static const long SSL_OP_NO_DTLSv1_2 = 0;
+ long (*DTLS_set_link_mtu)(SSL *, long) = NULL;
+
diff --git a/srcpkgs/python-cryptography/template b/srcpkgs/python-cryptography/template
index 3aef3cb91ee..a7838a514d3 100644
--- a/srcpkgs/python-cryptography/template
+++ b/srcpkgs/python-cryptography/template
@@ -1,7 +1,7 @@
 # Template file for 'python-cryptography'
 pkgname=python-cryptography
 version=2.4.2
-revision=1
+revision=2
 wrksrc="cryptography-${version}"
 build_style=python-module
 hostmakedepends="python-setuptools python3-setuptools libressl-devel

From 6fd1ed9f67e273cb6973c371b55534d9aaa015f6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:34:10 +0200
Subject: [PATCH 218/308] qca: rebuild for libressl-2.9.2.

---
 srcpkgs/qca/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qca/template b/srcpkgs/qca/template
index 8f29046339b..f438ece0eba 100644
--- a/srcpkgs/qca/template
+++ b/srcpkgs/qca/template
@@ -1,7 +1,7 @@
 # Template file for 'qca'
 pkgname=qca
 version=2.1.3
-revision=4
+revision=5
 build_style=cmake
 configure_args="-DBUILD_TESTS=0 -DQC_CERTSTORE_PATH=/etc/ssl/certs/ca-certificates.crt
  -DQCA_FEATURE_INSTALL_DIR=/usr/share/qca/mkspecs -DWITH_ossl_PLUGIN=yes"

From a5b173622275d3183ff4a724665ffe9d8b43c74b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:35:58 +0200
Subject: [PATCH 219/308] qca-qt5: rebuild for libressl-2.9.2.

---
 srcpkgs/qca-qt5/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qca-qt5/template b/srcpkgs/qca-qt5/template
index 3cc3ed1888f..1dda496ce7a 100644
--- a/srcpkgs/qca-qt5/template
+++ b/srcpkgs/qca-qt5/template
@@ -1,7 +1,7 @@
 # Template file for 'qca-qt5'
 pkgname=qca-qt5
 version=2.1.3
-revision=6
+revision=7
 wrksrc="${pkgname%-*}-${version}"
 build_style=cmake
 configure_args="-DBUILD_TESTS=0 -DQCA_FEATURE_INSTALL_DIR=/usr/share/qca-qt5/mkspecs

From eb28c060cf39246f17f66c80f76c22e228457c38 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:40:47 +0200
Subject: [PATCH 220/308] qingy: rebuild for libressl-2.9.2.

---
 srcpkgs/qingy/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qingy/template b/srcpkgs/qingy/template
index 9fa486e09f7..bd640e6a38c 100644
--- a/srcpkgs/qingy/template
+++ b/srcpkgs/qingy/template
@@ -1,7 +1,7 @@
 # Template file for 'qingy'
 pkgname=qingy
 version=1.0.0
-revision=26
+revision=27
 lib32disabled=yes
 build_style=gnu-configure
 makedepends="ncurses-devel libressl-devel

From fbb9212730f1e7b42ce4aad77892b42bf7e77189 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:43:46 +0200
Subject: [PATCH 221/308] rdesktop: rebuild for libressl-2.9.2.

---
 srcpkgs/rdesktop/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rdesktop/template b/srcpkgs/rdesktop/template
index a85f5e148af..8c81f89592f 100644
--- a/srcpkgs/rdesktop/template
+++ b/srcpkgs/rdesktop/template
@@ -1,7 +1,7 @@
 # Template file for 'rdesktop'
 pkgname=rdesktop
 version=1.8.6
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-ipv6 --with-sound=alsa --with-openssl=${XBPS_CROSS_BASE}/usr"
 hostmakedepends="pkg-config automake"

From 8fa3fdfa8f593c431a04ff1545feaaf4a049b7f7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:45:12 +0200
Subject: [PATCH 222/308] rdis-git: rebuild for libressl-2.9.2.

---
 srcpkgs/rdis-git/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rdis-git/template b/srcpkgs/rdis-git/template
index 0877c380361..aa31b46a988 100644
--- a/srcpkgs/rdis-git/template
+++ b/srcpkgs/rdis-git/template
@@ -1,7 +1,7 @@
 # Template file for 'rdis-git'
 pkgname=rdis-git
 version=20150722
-revision=9
+revision=10
 hostmakedepends="pkg-config git"
 makedepends="libressl-devel gtk+3-devel jansson-devel LuaJIT-devel udis86-devel"
 short_desc="A binary analysis tool for Linux"

From f65627d4e13c9a56108df22b084291ce66432862 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:46:59 +0200
Subject: [PATCH 223/308] re: rebuild for libressl-2.9.2.

---
 srcpkgs/re/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/re/template b/srcpkgs/re/template
index 72ec2620348..b4872995a36 100644
--- a/srcpkgs/re/template
+++ b/srcpkgs/re/template
@@ -1,7 +1,7 @@
 # Template file for 're'
 pkgname=re
 version=0.6.0
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="RELEASE=1 EXTRA_CFLAGS=$CFLAGS
  EXTRA_LFLAGS=$LDFLAGS USE_OPENSSL=yes USE_DTLS=yes USE_DTLS_SRTP=yes"

From c6885eb9af9ef66797cb925bc9f1899feea9eb00 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:25:14 +0200
Subject: [PATCH 224/308] retroshare: rebuild for libressl-2.9.2.

---
 srcpkgs/retroshare/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/retroshare/template b/srcpkgs/retroshare/template
index d355c40783e..082d61dea92 100644
--- a/srcpkgs/retroshare/template
+++ b/srcpkgs/retroshare/template
@@ -1,7 +1,7 @@
 # Template file for 'retroshare'
 pkgname=retroshare
 version=0.6.5
-revision=1
+revision=2
 wrksrc="RetroShare-${version}"
 build_style=qmake
 hostmakedepends="pkg-config qt5-qmake"

From 30967a7ec96769ac776322720dc6a4e2439cd4cd Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:27:52 +0200
Subject: [PATCH 225/308] rhash: rebuild for libressl-2.9.2.

---
 srcpkgs/rhash/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rhash/template b/srcpkgs/rhash/template
index bfb81419028..5ab0b23bfa5 100644
--- a/srcpkgs/rhash/template
+++ b/srcpkgs/rhash/template
@@ -1,7 +1,7 @@
 # Template file for 'rhash'
 pkgname=rhash
 version=1.3.8
-revision=1
+revision=2
 wrksrc="RHash-${version}"
 build_style=gnu-configure
 configure_args="--enable-openssl --disable-openssl-runtime"

From 89f17f055d4b86a681ef23a3e97be2a084dd6fd6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:28:23 +0200
Subject: [PATCH 226/308] rng-tools: rebuild for libressl-2.9.2.

---
 srcpkgs/rng-tools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rng-tools/template b/srcpkgs/rng-tools/template
index 6449dd5eb1b..84fcad98aa0 100644
--- a/srcpkgs/rng-tools/template
+++ b/srcpkgs/rng-tools/template
@@ -1,7 +1,7 @@
 # Template file for 'rng-tools'
 pkgname=rng-tools
 version=6.7
-revision=1
+revision=2
 wrksrc=${pkgname}-${version}
 build_style=gnu-configure
 makedepends="libgcrypt-devel libsysfs-devel libcurl-devel libxml2-devel"

From 923202261647e1bd12fb86ea736da55073a7e62c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:31:31 +0200
Subject: [PATCH 227/308] rspamd: rebuild for libressl-2.9.2.

---
 srcpkgs/rspamd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rspamd/template b/srcpkgs/rspamd/template
index 3f0c778343c..590ceadaaa5 100644
--- a/srcpkgs/rspamd/template
+++ b/srcpkgs/rspamd/template
@@ -1,7 +1,7 @@
 # Template file for 'rspamd'
 pkgname=rspamd
 version=1.9.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DRSPAMD_USER=rspamd -DCONFDIR=/etc/rspamd
  -DDBDIR=/var/lib/rspamd"

From 6d090aad2b66ea80f7ef7d76487e16bcac74f3e9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:33:03 +0200
Subject: [PATCH 228/308] rtmpdump: rebuild for libressl-2.9.2.

---
 srcpkgs/rtmpdump/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rtmpdump/template b/srcpkgs/rtmpdump/template
index accb6bd1ec8..42a1a5029aa 100644
--- a/srcpkgs/rtmpdump/template
+++ b/srcpkgs/rtmpdump/template
@@ -1,7 +1,7 @@
 # Template file for 'rtmpdump'
 pkgname=rtmpdump
 version=2.4.20161210
-revision=6
+revision=7
 _patchlevel=${version##*.}
 create_wrksrc=yes
 makedepends="zlib-devel libressl-devel"

From a685cd512781a054809973e8485084f26315c7d4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:38:01 +0200
Subject: [PATCH 229/308] ruby: rebuild for libressl-2.9.2.

---
 srcpkgs/ruby/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ruby/template b/srcpkgs/ruby/template
index 13f3b2338e3..ffe8e187ccd 100644
--- a/srcpkgs/ruby/template
+++ b/srcpkgs/ruby/template
@@ -3,7 +3,7 @@ _ruby_abiver=2.6.0
 
 pkgname=ruby
 version=2.6.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-shared --disable-rpath
  DOXYGEN=/usr/bin/doxygen DOT=/usr/bin/dot PKG_CONFIG=/usr/bin/pkg-config"

From 15cfd960fc8ed1927065900f9629dde99b0d74d9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:48:30 +0200
Subject: [PATCH 230/308] s-nail: rebuild for libressl-2.9.2.

---
 srcpkgs/s-nail/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/s-nail/template b/srcpkgs/s-nail/template
index ce1ad1af56c..e3316da6535 100644
--- a/srcpkgs/s-nail/template
+++ b/srcpkgs/s-nail/template
@@ -1,7 +1,7 @@
 # Template file for 's-nail'
 pkgname=s-nail
 version=14.8.16
-revision=6
+revision=7
 makedepends="libressl-devel libidn2-devel"
 conf_files="/etc/s-nail.rc"
 short_desc="Mail processing system with a command syntax reminiscent of ed"

From 9a95ccd67e36de8168509a2c826ed92db8ab07ca Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:49:12 +0200
Subject: [PATCH 231/308] s3fs-fuse: rebuild for libressl-2.9.2.

---
 srcpkgs/s3fs-fuse/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/s3fs-fuse/template b/srcpkgs/s3fs-fuse/template
index 82afe267833..f1fe0b4d823 100644
--- a/srcpkgs/s3fs-fuse/template
+++ b/srcpkgs/s3fs-fuse/template
@@ -1,7 +1,7 @@
 # Template file for 's3fs-fuse'
 pkgname=s3fs-fuse
 version=1.85
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-openssl ac_cv_file__git=no"
 hostmakedepends="automake libtool pkg-config"

From 156894abeb0e7b5ddf3c691d2cdafc616309dddc Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:50:00 +0200
Subject: [PATCH 232/308] s6-networking: rebuild for libressl-2.9.2.

---
 srcpkgs/s6-networking/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/s6-networking/template b/srcpkgs/s6-networking/template
index 54f79a85f01..59c9c4a7a91 100644
--- a/srcpkgs/s6-networking/template
+++ b/srcpkgs/s6-networking/template
@@ -1,7 +1,7 @@
 # Template file for 's6-networking'
 pkgname=s6-networking
 version=2.3.0.4
-revision=1
+revision=2
 build_style=configure
 makedepends="execline-devel libressl-devel skalibs-devel s6-devel s6-dns-devel"
 configure_args="--libdir=/usr/lib --enable-ssl=libressl

From 4731f9b1d7886a42e0608dff3b7b731df0981996 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:52:41 +0200
Subject: [PATCH 233/308] sbsigntool: rebuild for libressl-2.9.2.

---
 srcpkgs/sbsigntool/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/sbsigntool/template b/srcpkgs/sbsigntool/template
index 30cf2414f0a..d25bf80a452 100644
--- a/srcpkgs/sbsigntool/template
+++ b/srcpkgs/sbsigntool/template
@@ -1,7 +1,7 @@
 # Template file for 'sbsigntool'
 pkgname=sbsigntool
 version=0.9.2
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="autoconf automake pkg-config"
 makedepends="binutils-devel libressl-devel libuuid-devel gnu-efi-libs"

From ba3d76636a0a02f68af1bbd5e8580c768472dad2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:53:36 +0200
Subject: [PATCH 234/308] scrypt: rebuild for libressl-2.9.2.

---
 srcpkgs/scrypt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/scrypt/template b/srcpkgs/scrypt/template
index 0bc1028cc1d..18784df766e 100644
--- a/srcpkgs/scrypt/template
+++ b/srcpkgs/scrypt/template
@@ -1,7 +1,7 @@
 # Template file for 'scrypt'
 pkgname=scrypt
 version=1.2.1
-revision=6
+revision=7
 build_style=gnu-configure
 makedepends="libressl-devel"
 short_desc="The scrypt key derivation function"

From 7110f7b933dc157eadbb0176f8f750e2b982e932 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:54:05 +0200
Subject: [PATCH 235/308] seafile-libclient: rebuild for libressl-2.9.2.

---
 srcpkgs/seafile-libclient/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/seafile-libclient/template b/srcpkgs/seafile-libclient/template
index 2308a66204e..fa9cd7b7d3f 100644
--- a/srcpkgs/seafile-libclient/template
+++ b/srcpkgs/seafile-libclient/template
@@ -1,7 +1,7 @@
 # Template file for 'seafile-libclient'
 pkgname=seafile-libclient
 version=6.2.11
-revision=1
+revision=2
 _distname="${pkgname/-libclient/}"
 wrksrc="${_distname}-${version}"
 build_style=gnu-configure

From ae7b7e3d122f8e8d9ed36bd6d8c4d60ea9859f3d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:02:33 +0200
Subject: [PATCH 236/308] serf: rebuild for libressl-2.9.2.

---
 srcpkgs/serf/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/serf/template b/srcpkgs/serf/template
index a38f43529e5..0ff1aa7fa39 100644
--- a/srcpkgs/serf/template
+++ b/srcpkgs/serf/template
@@ -1,7 +1,7 @@
 # Template file for 'serf'
 pkgname=serf
 version=1.3.9
-revision=9
+revision=10
 nocross=yes
 build_style=scons
 make_build_args="PREFIX=/usr"

From ef1369687f99d608e8f99f48b15b8c6afa5c9bf6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:03:03 +0200
Subject: [PATCH 237/308] sgfutils: rebuild for libressl-2.9.2.

---
 srcpkgs/sgfutils/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/sgfutils/template b/srcpkgs/sgfutils/template
index bca2b600807..0a1f3707fb9 100644
--- a/srcpkgs/sgfutils/template
+++ b/srcpkgs/sgfutils/template
@@ -1,7 +1,7 @@
 # Template file for 'sgfutils'
 pkgname=sgfutils
 version=0.25
-revision=4
+revision=5
 build_style=gnu-makefile
 short_desc="Collection of utilities to handle SGF files"
 maintainer='Brandon Wilson <x@wilsonb.com>'

From e3d342431686edc62aeaf7b828ac921de8c4bc95 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:03:39 +0200
Subject: [PATCH 238/308] sitecopy: rebuild for libressl-2.9.2.

---
 srcpkgs/sitecopy/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/sitecopy/template b/srcpkgs/sitecopy/template
index 7ab86f45594..dd8008c8545 100644
--- a/srcpkgs/sitecopy/template
+++ b/srcpkgs/sitecopy/template
@@ -1,7 +1,7 @@
 # Template file for 'sitecopy'
 pkgname=sitecopy
 version=0.16.6
-revision=7
+revision=8
 build_style=gnu-configure
 configure_args="--with-ssl=openssl"
 hostmakedepends="pkg-config"

From 4096fb8fa030c3f995dfdd99e0baddc81ccce9bf Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:04:12 +0200
Subject: [PATCH 239/308] slrn: rebuild for libressl-2.9.2.

---
 srcpkgs/slrn/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/slrn/template b/srcpkgs/slrn/template
index d177518b3e7..2eb0856a2d7 100644
--- a/srcpkgs/slrn/template
+++ b/srcpkgs/slrn/template
@@ -1,7 +1,7 @@
 # Template file for 'slrn'
 pkgname=slrn
 version=1.0.3a
-revision=5
+revision=6
 wrksrc="${pkgname}-${version%a}"
 build_style=gnu-configure
 configure_args="--with-slrnpull --with-ssl

From e48d75c98a7a5dd7ca301f56c5618d81c5a4f30d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:04:56 +0200
Subject: [PATCH 240/308] socat: rebuild for libressl-2.9.2.

---
 srcpkgs/socat/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/socat/template b/srcpkgs/socat/template
index bb7356bac56..3351a438bde 100644
--- a/srcpkgs/socat/template
+++ b/srcpkgs/socat/template
@@ -1,7 +1,7 @@
 # Template file for 'socat'
 pkgname=socat
 version=1.7.3.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--disable-libwrap --enable-fips
  ac_cv_have_z_modifier=yes sc_cv_sys_crdly_shift=9

From 823d46df2bfa7e1b46f9c396cc7bdf9dcbbf0ea2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:07:54 +0200
Subject: [PATCH 241/308] xca: rebuild for libressl-2.9.2.

---
 srcpkgs/xca/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xca/template b/srcpkgs/xca/template
index a0d90c08ce9..e00e93c744c 100644
--- a/srcpkgs/xca/template
+++ b/srcpkgs/xca/template
@@ -1,7 +1,7 @@
 # Template file for 'xca'
 pkgname=xca
 version=2.1.2
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config qt5-tools qt5-host-tools perl"
 makedepends="qt5-devel libressl-devel libltdl-devel"

From 76beb50c1b34b9e5d23b7427df4e5efa8f4de050 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:09:58 +0200
Subject: [PATCH 242/308] wrk: rebuild for libressl-2.9.2.

---
 srcpkgs/wrk/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/wrk/template b/srcpkgs/wrk/template
index 0d1b35c1ad3..9aa408850f7 100644
--- a/srcpkgs/wrk/template
+++ b/srcpkgs/wrk/template
@@ -1,7 +1,7 @@
 # Template file for 'wrk'
 pkgname=wrk
 version=4.1.0
-revision=2
+revision=3
 build_style=gnu-makefile
 make_build_args="VER=${version} WITH_OPENSSL=/usr WITH_LUAJIT=/usr"
 hostmakedepends="LuaJIT"

From 8da6f744d59fb7b311fe3ec7e8839e4c44516809 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:10:27 +0200
Subject: [PATCH 243/308] uftp: rebuild for libressl-2.9.2.

---
 srcpkgs/uftp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/uftp/template b/srcpkgs/uftp/template
index a55b62ad2ba..f076eddd475 100644
--- a/srcpkgs/uftp/template
+++ b/srcpkgs/uftp/template
@@ -1,7 +1,7 @@
 # Template file for 'uftp'
 pkgname=uftp
 version=4.9.9
-revision=1
+revision=2
 build_style=gnu-makefile
 makedepends="libressl-devel"
 short_desc="Encrypted multicast file transfer program"

From 3a661eea6b5c7d509840a878eba71c1e8978bad9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:10:59 +0200
Subject: [PATCH 244/308] uget: rebuild for libressl-2.9.2.

---
 srcpkgs/uget/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/uget/template b/srcpkgs/uget/template
index b14eb23935d..d6d9e6d832f 100644
--- a/srcpkgs/uget/template
+++ b/srcpkgs/uget/template
@@ -1,7 +1,7 @@
 # Template file for 'uget'
 pkgname=uget
 version=2.2.1
-revision=3
+revision=4
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool"
 makedepends="libnotify-devel gtk+3-devel libcurl-devel gstreamer1-devel"

From e9d59a6ed148db18ca264179129ebf9b0f715cd4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:11:49 +0200
Subject: [PATCH 245/308] unbound: rebuild for libressl-2.9.2.

---
 srcpkgs/unbound/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/unbound/template b/srcpkgs/unbound/template
index 38179419d1d..04c00e7a4ef 100644
--- a/srcpkgs/unbound/template
+++ b/srcpkgs/unbound/template
@@ -1,7 +1,7 @@
 # Template file for 'unbound'
 pkgname=unbound
 version=1.9.1
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-libevent --with-conf-file=/etc/unbound/unbound.conf
  --with-pidfile=/run/unbound.pid --with-ssl=${XBPS_CROSS_BASE}/usr

From c3ef708cc37b70c83ebf113fca37af2d6436673e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:12:45 +0200
Subject: [PATCH 246/308] tcpdump: rebuild for libressl-2.9.2.

---
 srcpkgs/tcpdump/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tcpdump/template b/srcpkgs/tcpdump/template
index 22338c75da9..ff3502d1c05 100644
--- a/srcpkgs/tcpdump/template
+++ b/srcpkgs/tcpdump/template
@@ -1,7 +1,7 @@
 # Template file for 'tcpdump'
 pkgname=tcpdump
 version=4.9.2
-revision=4
+revision=5
 build_style=gnu-configure
 configure_args="td_cv_buggygetaddrinfo=no"
 makedepends="libpcap-devel libressl-devel"

From 345263cd9bbcb6ef5db5377c7c36b4e39cf94723 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:13:20 +0200
Subject: [PATCH 247/308] swi-prolog: rebuild for libressl-2.9.2.

---
 srcpkgs/swi-prolog/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/swi-prolog/template b/srcpkgs/swi-prolog/template
index 1d096986e6a..98218151081 100644
--- a/srcpkgs/swi-prolog/template
+++ b/srcpkgs/swi-prolog/template
@@ -1,7 +1,7 @@
 # Template file for 'swi-prolog'
 pkgname=swi-prolog
 version=8.0.2
-revision=1
+revision=2
 wrksrc="swipl-${version}"
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"

From e6223907798d8c3c0018ad32a97ffe189ac50b09 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:16:04 +0200
Subject: [PATCH 248/308] tor: rebuild for libressl-2.9.2.

---
 srcpkgs/tor/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tor/template b/srcpkgs/tor/template
index 7f63a2d1e0d..ab28e580f84 100644
--- a/srcpkgs/tor/template
+++ b/srcpkgs/tor/template
@@ -1,7 +1,7 @@
 # Template file for 'tor'
 pkgname=tor
 version=0.4.0.5
-revision=1
+revision=2
 build_style=gnu-configure
 makedepends="libevent-devel libseccomp-devel zlib-devel"
 depends="ca-certificates torsocks"

From b4584902a66545c71537da1708b90ea55ca59d5b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:17:28 +0200
Subject: [PATCH 249/308] transmission: rebuild for libressl-2.9.2.

---
 srcpkgs/transmission/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/transmission/template b/srcpkgs/transmission/template
index d51a25b7b70..34327453efc 100644
--- a/srcpkgs/transmission/template
+++ b/srcpkgs/transmission/template
@@ -1,7 +1,7 @@
 # Template file for 'transmission'
 pkgname=transmission
 version=2.94
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--enable-nls --enable-cli --enable-daemon --enable-utp
  --without-systemd-daemon"

From e1e3f72bc334c2ab678f41275120210ed1561fa2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:21:35 +0200
Subject: [PATCH 250/308] supertuxkart: rebuild for libressl-2.9.2.

---
 srcpkgs/supertuxkart/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/supertuxkart/template b/srcpkgs/supertuxkart/template
index a75d4abe35a..6a64793912b 100644
--- a/srcpkgs/supertuxkart/template
+++ b/srcpkgs/supertuxkart/template
@@ -1,7 +1,7 @@
 # Template file for 'supertuxkart'
 pkgname=supertuxkart
 version=1.0
-revision=1
+revision=2
 archs="i686* x86_64* ppc64*"
 build_style=cmake
 hostmakedepends="pkg-config"

From d66344f24c1aeef315106e700949ef25e03937b8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:28:34 +0200
Subject: [PATCH 251/308] tcpflow: rebuild for libressl-2.9.2.

---
 srcpkgs/tcpflow/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tcpflow/template b/srcpkgs/tcpflow/template
index d2401f495d9..50c0a3d9f65 100644
--- a/srcpkgs/tcpflow/template
+++ b/srcpkgs/tcpflow/template
@@ -1,7 +1,7 @@
 # Template file for 'tcpflow'
 pkgname=tcpflow
 version=1.4.5
-revision=8
+revision=9
 build_style=gnu-configure
 hostmakedepends="automake"
 makedepends="libpcap-devel zlib-devel libressl-devel boost-devel"

From 4c146b114bb77fee04b61c80b9a7e8edd681434e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:30:10 +0200
Subject: [PATCH 252/308] telegram-desktop: rebuild for libressl-2.9.2.

---
 srcpkgs/telegram-desktop/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/telegram-desktop/template b/srcpkgs/telegram-desktop/template
index 78b629d169f..691547c776b 100644
--- a/srcpkgs/telegram-desktop/template
+++ b/srcpkgs/telegram-desktop/template
@@ -1,7 +1,7 @@
 # Template file for 'telegram-desktop'
 pkgname=telegram-desktop
 version=1.7.0
-revision=1
+revision=2
 _libtgvoip_commit=e7010506210fbb3a6704d7ac1276b3334f9ab6c9
 _GSL_commit=d846fe50a3f0bb7767c7e087a05f4be95f4da0ec
 _variant_commit=550ac2f159ca883d360c196149b466955c77a573

From a9c66d374f99a6e44990aa3801b8f98a66dbcac3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:02:24 +0200
Subject: [PATCH 253/308] telepathy-salut: rebuild for libressl-2.9.2.

---
 srcpkgs/telepathy-salut/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/telepathy-salut/template b/srcpkgs/telepathy-salut/template
index 7413c63caf4..5454fa5a218 100644
--- a/srcpkgs/telepathy-salut/template
+++ b/srcpkgs/telepathy-salut/template
@@ -1,7 +1,7 @@
 # Template file for 'telepathy-salut'
 pkgname=telepathy-salut
 version=0.8.1
-revision=16
+revision=17
 lib32disabled=yes
 build_style=gnu-configure
 configure_args="--disable-tests --disable-plugins --with-tls=openssl

From 0a906c95e6e50ac753cc175628883ce7ce5cc575 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:03:59 +0200
Subject: [PATCH 254/308] thc-hydra: rebuild for libressl-2.9.2.

---
 srcpkgs/thc-hydra/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/thc-hydra/template b/srcpkgs/thc-hydra/template
index 91cec753243..ffb6eec247e 100644
--- a/srcpkgs/thc-hydra/template
+++ b/srcpkgs/thc-hydra/template
@@ -1,7 +1,7 @@
 # Template file for 'thc-hydra'
 pkgname=thc-hydra
 version=8.9.1
-revision=1
+revision=2
 build_style=gnu-configure
 make_install_args="MANDIR=/share/man/man1"
 makedepends="zlib-devel libressl-devel libidn-devel ncurses-devel pcre-devel

From 43f7876b3920956872d832a1fba9915c80e70b05 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:10:59 +0200
Subject: [PATCH 255/308] sylpheed: rebuild for libressl-2.9.2.

---
 srcpkgs/sylpheed/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/sylpheed/template b/srcpkgs/sylpheed/template
index e6561f7d926..6405cb27691 100644
--- a/srcpkgs/sylpheed/template
+++ b/srcpkgs/sylpheed/template
@@ -1,7 +1,7 @@
 # Template build file for 'sylpheed'.
 pkgname=sylpheed
 version=3.7.0
-revision=3
+revision=4
 lib32disabled=yes
 build_style=gnu-configure
 configure_args="--disable-compface --disable-gtkspell --enable-ldap --with-gpgme-prefix=${XBPS_CROSS_BASE}/usr"

From 43448cb9834ea486c4444f295323a0d57cd3e951 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:12:09 +0200
Subject: [PATCH 256/308] swiften: rebuild for libressl-2.9.2.

---
 srcpkgs/swiften/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/swiften/template b/srcpkgs/swiften/template
index e22fe164b9b..350a4cc0d7f 100644
--- a/srcpkgs/swiften/template
+++ b/srcpkgs/swiften/template
@@ -1,7 +1,7 @@
 # Template file for 'swiften'
 pkgname=swiften
 version=3.0
-revision=12
+revision=13
 wrksrc="swift-${version}"
 build_style=scons
 makedepends="boost-devel libressl-devel libxml2-devel libidn-devel"

From c126323d21a03b6a4b762ebc791d8f2653404ee0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:13:36 +0200
Subject: [PATCH 257/308] vde2: rebuild for libressl-2.9.2.

---
 srcpkgs/vde2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vde2/template b/srcpkgs/vde2/template
index 55eebec2ca3..1e7803c3c79 100644
--- a/srcpkgs/vde2/template
+++ b/srcpkgs/vde2/template
@@ -1,7 +1,7 @@
 # Template file for 'vde2'
 pkgname=vde2
 version=2.3.2
-revision=20
+revision=21
 build_style=gnu-configure
 configure_args="--disable-static --enable-experimental
  --disable-python --enable-kernel-switch"

From 63dab51f1ea1c1e5d81ea3f846e6f03619c4c0b2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:15:15 +0200
Subject: [PATCH 258/308] vboot-utils: rebuild for libressl-2.9.2.

---
 srcpkgs/vboot-utils/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vboot-utils/template b/srcpkgs/vboot-utils/template
index 97695ea384c..338652a4007 100644
--- a/srcpkgs/vboot-utils/template
+++ b/srcpkgs/vboot-utils/template
@@ -1,7 +1,7 @@
 # Template file for 'vboot-utils'
 pkgname=vboot-utils
 version=45.7262
-revision=11
+revision=12
 _githash=0e8c964915fffb58032bb59bdb31949de718ca90
 hostmakedepends="pkg-config git"
 makedepends="libressl-devel libuuid-devel liblzma-devel libyaml-devel"

From 1225ffc9e498575c7be38d558189debbc9f847e3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:17:02 +0200
Subject: [PATCH 259/308] vpn-ws: rebuild for libressl-2.9.2.

---
 srcpkgs/vpn-ws/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vpn-ws/template b/srcpkgs/vpn-ws/template
index 0526f866d06..952f04bdb19 100644
--- a/srcpkgs/vpn-ws/template
+++ b/srcpkgs/vpn-ws/template
@@ -1,7 +1,7 @@
 # Template file for 'vpn-ws'
 pkgname=vpn-ws
 version=0.2
-revision=4
+revision=5
 build_style=gnu-makefile
 make_use_env=yes
 makedepends="libressl-devel"

From 84afc32517e32c31a88912719cc83108f63c883e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:17:42 +0200
Subject: [PATCH 260/308] w3m: rebuild for libressl-2.9.2.

---
 srcpkgs/w3m/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/w3m/template b/srcpkgs/w3m/template
index 00b58dba72c..4d632ba2e2d 100644
--- a/srcpkgs/w3m/template
+++ b/srcpkgs/w3m/template
@@ -1,7 +1,7 @@
 # Template file for 'w3m'
 pkgname=w3m
 version=0.5.3.git20190105
-revision=1
+revision=2
 wrksrc="${pkgname}-${version/.git/-git}"
 build_style=gnu-configure
 configure_args="--libexecdir=/usr/lib --enable-image=x11,fb

From 9139d6238e475a3e37bde7f5357e5a629b30eec2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:18:39 +0200
Subject: [PATCH 261/308] warzone2100: rebuild for libressl-2.9.2.

---
 srcpkgs/warzone2100/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/warzone2100/template b/srcpkgs/warzone2100/template
index cbed0f2df89..45935bce7c4 100644
--- a/srcpkgs/warzone2100/template
+++ b/srcpkgs/warzone2100/template
@@ -1,7 +1,7 @@
 # Template file for 'warzone2100'
 pkgname=warzone2100
 version=3.2.3
-revision=5
+revision=6
 build_style=gnu-configure
 configure_args="--with-distributor=void"
 hostmakedepends="zip unzip asciidoc pkg-config perl"

From 6bbb95e6c79fe1e2b54dde67b94e9ac0c07aabcd Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:23:26 +0200
Subject: [PATCH 262/308] watchman: rebuild for libressl-2.9.2.

---
 srcpkgs/watchman/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/watchman/template b/srcpkgs/watchman/template
index 60812a77c0d..4f6a509da2b 100644
--- a/srcpkgs/watchman/template
+++ b/srcpkgs/watchman/template
@@ -1,7 +1,7 @@
 # Template file for 'watchman'
 pkgname=watchman
 version=4.9.0
-revision=4
+revision=5
 build_style=gnu-configure
 configure_args="--disable-statedir --enable-lenient"
 hostmakedepends="pkg-config automake libtool"

From 47add650f584ee52223a00a64f6c3714483a28cc Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:24:54 +0200
Subject: [PATCH 263/308] wesnoth: rebuild for libressl-2.9.2.

---
 srcpkgs/wesnoth/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/wesnoth/template b/srcpkgs/wesnoth/template
index 93bc44caaad..d9e1af044ed 100644
--- a/srcpkgs/wesnoth/template
+++ b/srcpkgs/wesnoth/template
@@ -1,7 +1,7 @@
 # Template file for 'wesnoth'
 pkgname=wesnoth
 version=1.14.7
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DENABLE_OMP=1"
 hostmakedepends="pkg-config"

From c6b0a32e49aab63c9b5a94c0c17839faf8d44346 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:36:53 +0200
Subject: [PATCH 264/308] spiped: rebuild for libressl-2.9.2.

---
 srcpkgs/spiped/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/spiped/template b/srcpkgs/spiped/template
index 5e49a687ae1..0fdccf1c2b4 100644
--- a/srcpkgs/spiped/template
+++ b/srcpkgs/spiped/template
@@ -1,7 +1,7 @@
 # Template file for 'spiped'
 pkgname=spiped
 version=1.6.0
-revision=4
+revision=5
 build_style=gnu-makefile
 makedepends="libressl-devel"
 short_desc="The spiped secure pipe daemon"

From 0f2ebfa47009a99a4c4e1467d19beb673539ef81 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:37:27 +0200
Subject: [PATCH 265/308] sqlcipher: rebuild for libressl-2.9.2.

---
 srcpkgs/sqlcipher/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/sqlcipher/template b/srcpkgs/sqlcipher/template
index ef38375be91..c788bc45053 100644
--- a/srcpkgs/sqlcipher/template
+++ b/srcpkgs/sqlcipher/template
@@ -1,7 +1,7 @@
 # Template file for 'sqlcipher'
 pkgname=sqlcipher
 version=4.1.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-tempstore=yes"
 hostmakedepends="tcl"

From a7ec6503659fd0809cf5d861db08555cab958064 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:43:24 +0200
Subject: [PATCH 266/308] thrift: rebuild for libressl-2.9.2.

---
 srcpkgs/thrift/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/thrift/template b/srcpkgs/thrift/template
index e175b2f37bc..73b0f59d4f6 100644
--- a/srcpkgs/thrift/template
+++ b/srcpkgs/thrift/template
@@ -1,7 +1,7 @@
 # Template file for 'thrift'
 pkgname=thrift
 version=0.12.0
-revision=1
+revision=2
 build_style=gnu-configure
 makedepends="boost-devel libressl-devel"
 short_desc="Apache Thrift compiler"

From a9b51a2d5086f9f7b175f64fc4bdd3f5d2538e0d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:44:03 +0200
Subject: [PATCH 267/308] tinc: rebuild for libressl-2.9.2.

---
 srcpkgs/tinc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tinc/template b/srcpkgs/tinc/template
index 47d91bac8b8..f84825ffcdc 100644
--- a/srcpkgs/tinc/template
+++ b/srcpkgs/tinc/template
@@ -1,7 +1,7 @@
 # Template file for 'tinc'
 pkgname=tinc
 version=1.0.35
-revision=2
+revision=3
 build_style=gnu-configure
 makedepends="zlib-devel lzo-devel libressl-devel"
 short_desc="VPN (Virtual Private Network) daemon"

From d83a5b55f6632ecd8ecd11d30833c0a0339132fa Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:44:48 +0200
Subject: [PATCH 268/308] tnftp: rebuild for libressl-2.9.2.

---
 srcpkgs/tnftp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tnftp/template b/srcpkgs/tnftp/template
index d996784dc32..29a1059d23f 100644
--- a/srcpkgs/tnftp/template
+++ b/srcpkgs/tnftp/template
@@ -1,7 +1,7 @@
 # Template file for 'tnftp'
 pkgname=tnftp
 version=20151004
-revision=7
+revision=8
 build_style=gnu-configure
 makedepends="libressl-devel ncurses-devel"
 short_desc="NetBSD enhanced ftp client"

From 66cd9f81b2457bd6454663625a9e4b0623b69bda Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:45:34 +0200
Subject: [PATCH 269/308] tpm-tools: rebuild for libressl-2.9.2.

---
 srcpkgs/tpm-tools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tpm-tools/template b/srcpkgs/tpm-tools/template
index 27b1c35d294..5f13075088e 100644
--- a/srcpkgs/tpm-tools/template
+++ b/srcpkgs/tpm-tools/template
@@ -1,7 +1,7 @@
 # Template file for 'tpm-tools'
 pkgname=tpm-tools
 version=1.3.9.1
-revision=4
+revision=5
 create_wrksrc=yes
 build_style=gnu-configure
 hostmakedepends="perl" # wants pod2man

From b93d801b1550c0b236bfc863cf1777b9ce36ac17 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:47:14 +0200
Subject: [PATCH 270/308] ttyd: rebuild for libressl-2.9.2.

---
 srcpkgs/ttyd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ttyd/template b/srcpkgs/ttyd/template
index f973e83d3cb..d61dbdfa9f8 100644
--- a/srcpkgs/ttyd/template
+++ b/srcpkgs/ttyd/template
@@ -1,7 +1,7 @@
 # Template file for 'ttyd'
 pkgname=ttyd
 version=1.4.4
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="pkg-config xxd"
 makedepends="libwebsockets-devel json-c-devel libressl-devel zlib-devel"

From f4e8b6aeb061edbbf1e5146795e20c033f2c58b3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:50:41 +0200
Subject: [PATCH 271/308] tvheadend: rebuild for libressl-2.9.2.

---
 srcpkgs/tvheadend/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tvheadend/template b/srcpkgs/tvheadend/template
index b50cea0c382..d17ddce7148 100644
--- a/srcpkgs/tvheadend/template
+++ b/srcpkgs/tvheadend/template
@@ -1,7 +1,7 @@
 # Template file for 'tvheadend'
 pkgname=tvheadend
 version=4.2.8
-revision=2
+revision=3
 wrksrc=tvheadend-${version}
 build_style=gnu-configure
 configure_args="--enable-dvbscan --disable-ffmpeg_static

From 3eb8717874dbc3dc730f6eefd20cc150e6093fcb Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:51:31 +0200
Subject: [PATCH 272/308] ucspi-ssl: rebuild for libressl-2.9.2.

---
 srcpkgs/ucspi-ssl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ucspi-ssl/template b/srcpkgs/ucspi-ssl/template
index b14f0ffdc4f..6f490c0adab 100644
--- a/srcpkgs/ucspi-ssl/template
+++ b/srcpkgs/ucspi-ssl/template
@@ -1,7 +1,7 @@
 # Template file for 'ucspi-ssl'
 pkgname=ucspi-ssl
 version=0.99e
-revision=1
+revision=2
 create_wrksrc=yes
 build_wrksrc="host/superscript.com/net/${pkgname}-${version}/src"
 build_style=gnu-makefile

From 11399ba62e14d79bde1f90823f2e264a7e661613 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:52:31 +0200
Subject: [PATCH 273/308] umurmur: rebuild for libressl-2.9.2.

---
 srcpkgs/umurmur/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/umurmur/template b/srcpkgs/umurmur/template
index 6a696b882ee..24d6c2743ad 100644
--- a/srcpkgs/umurmur/template
+++ b/srcpkgs/umurmur/template
@@ -1,7 +1,7 @@
 # Template file for 'umurmur'
 pkgname=umurmur
 version=0.2.17
-revision=5
+revision=6
 build_style=gnu-configure
 configure_args="--enable-shmapi --with-ssl=openssl"
 conf_files="/etc/umurmur/umurmur.conf"

From 88813bcb45b57bb318327f7993a22eae75b1de93 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:52:48 +0200
Subject: [PATCH 274/308] vanitygen: rebuild for libressl-2.9.2.

---
 srcpkgs/vanitygen/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vanitygen/template b/srcpkgs/vanitygen/template
index 634a282ae25..2548382fada 100644
--- a/srcpkgs/vanitygen/template
+++ b/srcpkgs/vanitygen/template
@@ -1,7 +1,7 @@
 # Template file for 'vanitygen'
 pkgname=vanitygen
 version=0.22
-revision=1
+revision=2
 _commit=9e04497a127aa6413463ccf4a4aee75f0d581d92
 wrksrc="vanitygen-${_commit}"
 makedepends="pcre-devel libressl-devel"

From 3f3e72338f2d46af553c6b7357f7095943683b49 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:54:06 +0200
Subject: [PATCH 275/308] ympd: rebuild for libressl-2.9.2.

---
 srcpkgs/ympd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ympd/template b/srcpkgs/ympd/template
index c87c035957b..081200f0eb1 100644
--- a/srcpkgs/ympd/template
+++ b/srcpkgs/ympd/template
@@ -1,7 +1,7 @@
 # Template file for 'ympd'
 pkgname=ympd
 version=1.3.0
-revision=4
+revision=5
 build_style=cmake
 hostmakedepends="perl"
 makedepends="libmpdclient-devel libressl-devel"

From bec6c45412225de0e6d55f613247b914fefd1b58 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:55:05 +0200
Subject: [PATCH 276/308] zbackup: rebuild for libressl-2.9.2.

---
 srcpkgs/zbackup/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/zbackup/template b/srcpkgs/zbackup/template
index 26f11dbddbf..42a6bf53b03 100644
--- a/srcpkgs/zbackup/template
+++ b/srcpkgs/zbackup/template
@@ -1,7 +1,7 @@
 # Template file for 'zbackup'
 pkgname=zbackup
 version=1.4.4
-revision=14
+revision=15
 build_style=cmake
 hostmakedepends="protobuf"
 makedepends="zlib-devel liblzma-devel protobuf-devel libressl-devel lzo-devel"

From 6215f6a77a43cfae6dece08366e180be5867d5a8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:55:33 +0200
Subject: [PATCH 277/308] zchunk: rebuild for libressl-2.9.2.

---
 srcpkgs/zchunk/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/zchunk/template b/srcpkgs/zchunk/template
index e264e706c3b..c0a02770aca 100644
--- a/srcpkgs/zchunk/template
+++ b/srcpkgs/zchunk/template
@@ -1,7 +1,7 @@
 # Template file for 'zchunk'
 pkgname=zchunk
 version=1.1.2
-revision=1
+revision=2
 build_style=meson
 hostmakedepends="pkg-config"
 makedepends="libcurl-devel libzstd-devel"

From 0862376f3b47a1acffb12d215f1760e39e302527 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:58:21 +0200
Subject: [PATCH 278/308] znc: rebuild for libressl-2.9.2.

---
 srcpkgs/znc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/znc/template b/srcpkgs/znc/template
index 55f35c9af23..b0a49c2ae91 100644
--- a/srcpkgs/znc/template
+++ b/srcpkgs/znc/template
@@ -1,7 +1,7 @@
 # Template file for 'znc'
 pkgname=znc
 version=1.7.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="
  --enable-python

From a0e9e8413300c0aa2831c91b065caf5b0fc51b77 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:58:43 +0200
Subject: [PATCH 279/308] xar: rebuild for libressl-2.9.2.

---
 srcpkgs/xar/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xar/template b/srcpkgs/xar/template
index b2877b45a93..ea2991e4f9b 100644
--- a/srcpkgs/xar/template
+++ b/srcpkgs/xar/template
@@ -1,7 +1,7 @@
 # Template file for 'xar'
 pkgname=xar
 version=1.6.1
-revision=6
+revision=7
 build_style=gnu-configure
 configure_args="ac_cv_sizeof_uid_t=4"
 makedepends="zlib-devel bzip2-devel e2fsprogs-devel acl-devel libxml2-devel libressl-devel"

From 497300666e1c31e52553edf96d0976ab337eb821 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:59:19 +0200
Subject: [PATCH 280/308] xarcan: rebuild for libressl-2.9.2.

---
 srcpkgs/xarcan/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xarcan/template b/srcpkgs/xarcan/template
index e9569a07f5a..8ba1c53d4b5 100644
--- a/srcpkgs/xarcan/template
+++ b/srcpkgs/xarcan/template
@@ -1,7 +1,7 @@
 # Template file for 'xarcan'
 pkgname=xarcan
 version=0.5.4
-revision=5
+revision=6
 build_style=gnu-configure
 short_desc="Patched Xserver that bridges connections to Arcan"
 maintainer="Piraty <piraty1@inbox.ru>"

From 3456b78b022862c62f29011deb54e144ba39b765 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 01:01:15 +0200
Subject: [PATCH 281/308] yara: rebuild for libressl-2.9.2.

---
 srcpkgs/yara/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/yara/template b/srcpkgs/yara/template
index 87d97bb8140..fba788128ea 100644
--- a/srcpkgs/yara/template
+++ b/srcpkgs/yara/template
@@ -1,7 +1,7 @@
 # Template file for 'yara'
 pkgname=yara
 version=3.9.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-magic --enable-cuckoo"
 hostmakedepends="automake libtool"

From 49ba9d8097329150f2dff430c37bf7cd896c65fe Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 01:03:29 +0200
Subject: [PATCH 282/308] stremio-shell: rebuild for libressl-2.9.2.

---
 srcpkgs/stremio-shell/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/stremio-shell/template b/srcpkgs/stremio-shell/template
index ae80b6c98ed..cef6d48f232 100644
--- a/srcpkgs/stremio-shell/template
+++ b/srcpkgs/stremio-shell/template
@@ -1,7 +1,7 @@
 # Template file for 'stremio-shell'
 pkgname=stremio-shell
 version=4.4.25
-revision=1
+revision=2
 _singleapplication_hash=6fbf6bffc848821d41a09ccd9fc0ede83bbbcdce
 build_style=qmake
 hostmakedepends="qt5-host-tools qt5-qmake"

From 93b38456dc1711fc9f7c3b2e75051d4f26f63562 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 15:46:54 +0200
Subject: [PATCH 283/308] libgda: rebuild for libressl-2.9.2.

---
 srcpkgs/libgda/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libgda/template b/srcpkgs/libgda/template
index f715cacfbd5..cd17043b15f 100644
--- a/srcpkgs/libgda/template
+++ b/srcpkgs/libgda/template
@@ -1,7 +1,7 @@
 # Template file for 'libgda'
 pkgname=libgda
 version=5.2.4
-revision=13
+revision=14
 build_style=gnu-configure
 configure_args="--with-ui --with-gtksourceview --with-graphviz --enable-json
  --enable-system-sqlite"

From 35e055413a08d508820c906968623036db5b1cfc Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 15:53:06 +0200
Subject: [PATCH 284/308] amp: rebuild for libressl-2.9.2.

---
 srcpkgs/amp/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/amp/template b/srcpkgs/amp/template
index a36f5d5b7a0..ad20f0cb8eb 100644
--- a/srcpkgs/amp/template
+++ b/srcpkgs/amp/template
@@ -1,7 +1,7 @@
 # Template file for 'amp'
 pkgname=amp
 version=0.5.2
-revision=2
+revision=3
 build_style=cargo
 hostmakedepends="cmake git perl pkg-config python3"
 makedepends="libcurl-devel libgit2-devel libxcb-devel"
@@ -16,5 +16,5 @@ checksum=e1f22a829205cf44f8c3fcf5660dbdb9a3c5a1f64b92c67dcdb75a30ad7e5a60
 export LIBGIT2_SYS_USE_PKG_CONFIG=1
 
 pre_build() {
-	cargo update --package openssl-sys --precise 0.9.39
+	cargo update --package openssl-sys --precise 0.9.46
 }

From a89cbaccdad37b94638ef87514f3e2bd445f7c12 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 15:59:26 +0200
Subject: [PATCH 285/308] tlsdate: rebuild for libressl-2.9.2.

---
 srcpkgs/tlsdate/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tlsdate/template b/srcpkgs/tlsdate/template
index 92d3ad965e6..b8ba170e146 100644
--- a/srcpkgs/tlsdate/template
+++ b/srcpkgs/tlsdate/template
@@ -1,7 +1,7 @@
 # Template file for 'tlsdate'
 pkgname=tlsdate
 version=0.0.13
-revision=12
+revision=13
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-configure
 configure_args="--with-polarssl=no ac_cv_func_clock_gettime=yes"

From 88e4b404d78da22446bfadf403fb074f466a0c99 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 16:11:30 +0200
Subject: [PATCH 286/308] tmplgen: rebuild for libressl-2.9.2.

---
 srcpkgs/tmplgen/template | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/tmplgen/template b/srcpkgs/tmplgen/template
index e393be7a984..807e385fbf8 100644
--- a/srcpkgs/tmplgen/template
+++ b/srcpkgs/tmplgen/template
@@ -1,7 +1,7 @@
 # Template file for 'tmplgen'
 pkgname=tmplgen
 version=1.3.1
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel"
@@ -12,6 +12,10 @@ homepage="https://github.com/Cogitri/tmplgen"
 distfiles="https://static.crates.io/crates/tmplgen/tmplgen-${version}.crate"
 checksum=5e5dc4b3e50f4f2dc87f510bb3d1547a86ecd5a52c0f33305a0a7a3dca40bee9
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+}
+
 post_install() {
 	vman man/tmplgen.1
 }

From 48a1422bfab3ccbe7641f3c742fed8c00a65da33 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 13:30:52 +0200
Subject: [PATCH 287/308] rooster: rebuild for libressl-2.9.2.

---
 srcpkgs/rooster/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/rooster/template b/srcpkgs/rooster/template
index d1cef8b8b42..9e5c5851faf 100644
--- a/srcpkgs/rooster/template
+++ b/srcpkgs/rooster/template
@@ -1,7 +1,7 @@
 # Template file for 'rooster'
 pkgname=rooster
 version=2.8.0
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config python3"
 makedepends="libX11-devel libXmu-devel libressl-devel libsodium-devel"
@@ -15,3 +15,8 @@ checksum=49647992eb48ef7df4ffee897aeb8f651e403c86d08c5dac92bb96547951a68a
 case "$XBPS_TARGET_MACHINE" in
 	aarch64*|ppc64*) broken="undefined reference to rust_crypto_util_fixed_time_eq_asm https://github.com/DaGenix/rust-crypto/issues/383" ;;
 esac
+
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}

From 2d2374e0d2e35c39daf3edad27dc40d1af18c56f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 13:41:46 +0200
Subject: [PATCH 288/308] zola: rebuild for libressl-2.9.2.

---
 srcpkgs/zola/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/zola/template b/srcpkgs/zola/template
index 0f1d1c1674f..b9fd193cba8 100644
--- a/srcpkgs/zola/template
+++ b/srcpkgs/zola/template
@@ -1,7 +1,7 @@
 # Template file for 'zola'
 pkgname=zola
 version=0.7.0
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel libsass-devel"
@@ -18,6 +18,11 @@ case "$XBPS_TARGET_MACHINE" in
 	i686*) broken="https://github.com/rust-lang/rust/issues/60184" ;;
 esac
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}
+
 post_install() {
 	vlicense LICENSE
 

From 0b0ae493e42582d230a3fca22734d794068e2f64 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 14:08:42 +0200
Subject: [PATCH 289/308] ffsend: rebuild for libressl-2.9.2.

---
 srcpkgs/ffsend/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/ffsend/template b/srcpkgs/ffsend/template
index 172744317d3..d77ec35028b 100644
--- a/srcpkgs/ffsend/template
+++ b/srcpkgs/ffsend/template
@@ -1,7 +1,7 @@
 # Template file for 'ffsend'
 pkgname=ffsend
 version=0.2.46
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel"
@@ -15,3 +15,8 @@ checksum=f026d57388e1af565430a84fb52e4feeeab9b8a4804d40125915e2d4011d84d5
 case "$XBPS_TARGET_MACHINE" in
 	i686) broken="undefined reference to 'time::NSEC_PER_SEC'" ;;
 esac
+
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}

From e671963bf7043b69e99fe6d2181b0c25fcb17c82 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 14:14:37 +0200
Subject: [PATCH 290/308] tectonic: rebuild for libressl-2.9.2.

---
 srcpkgs/tectonic/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/tectonic/template b/srcpkgs/tectonic/template
index 08ce7eb34f2..a15482f2da3 100644
--- a/srcpkgs/tectonic/template
+++ b/srcpkgs/tectonic/template
@@ -1,7 +1,7 @@
 # Template file for 'tectonic'
 pkgname=tectonic
 version=0.1.11
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="harfbuzz-devel libressl-devel"
@@ -13,6 +13,11 @@ changelog="https://raw.githubusercontent.com/tectonic-typesetting/tectonic/maste
 distfiles="https://github.com/tectonic-typesetting/${pkgname}/archive/v${version}.tar.gz"
 checksum=e700dc691dfd092adfe098b716992136343ddfac5eaabb1e8cfae4e63f8454c7
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}
+
 post_install() {
 	vlicense LICENSE
 }

From 5662efc0eaf04bcef5ad056ce8682781d1202db8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 02:01:16 +0200
Subject: [PATCH 291/308] ykpivmgr: rebuild for libressl-2.9.2.

---
 srcpkgs/ykpivmgr/patches/libressl.patch | 88 ++++++++++++++++---------
 srcpkgs/ykpivmgr/template               |  2 +-
 2 files changed, 58 insertions(+), 32 deletions(-)

diff --git a/srcpkgs/ykpivmgr/patches/libressl.patch b/srcpkgs/ykpivmgr/patches/libressl.patch
index bb9d3cb4352..4c48300e932 100644
--- a/srcpkgs/ykpivmgr/patches/libressl.patch
+++ b/srcpkgs/ykpivmgr/patches/libressl.patch
@@ -1,47 +1,54 @@
-diff --git tool/openssl-compat.c tool/openssl-compat.c
-index a51af90..bb37dfc 100644
 --- tool/openssl-compat.c
 +++ tool/openssl-compat.c
-@@ -8,7 +8,7 @@
-  */
- 
- #include "openssl-compat.h"
--#if OPENSSL_VERSION_NUMBER < 0x10100000L
-+#if (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
+@@ -71,6 +71,10 @@
+         *iqmp = r->iqmp;
+ }
  
- #include <string.h>
- #include <openssl/engine.h>
-@@ -80,4 +80,4 @@ void X509_SIG_getm(X509_SIG *sig, X509_ALGOR **palg,
++#endif /* OPENSSL_VERSION_NUMBER */
++
++#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
++
+ void X509_SIG_getm(X509_SIG *sig, X509_ALGOR **palg,
+                    ASN1_OCTET_STRING **pdigest)
+ {
+@@ -80,4 +84,4 @@
          *pdigest = sig->digest;
  }
  
 -#endif /* OPENSSL_VERSION_NUMBER */
-+#endif /* OPENSSL_VERSION_NUMBER || LIBRESSL_VERSION_NUMBER */
-diff --git tool/openssl-compat.h tool/openssl-compat.h
-index 3700bea..bd1967b 100644
++#endif /* OPENSSL_VERSION_NUMBER || defined(LIBRESSL_VERSION_NUMBER) */
+
 --- tool/openssl-compat.h
 +++ tool/openssl-compat.h
-@@ -13,7 +13,7 @@
- #ifndef _WINDOWS
- 
- #include <openssl/opensslv.h>
--#if OPENSSL_VERSION_NUMBER < 0x10100000L
-+#if (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
+@@ -20,7 +20,6 @@
+ #include <openssl/ecdsa.h>
+ #include <openssl/dh.h>
+ #include <openssl/evp.h>
+-#include <openssl/x509.h>
  
- #include <openssl/rsa.h>
- #include <openssl/dsa.h>
-@@ -33,5 +33,5 @@ void X509_SIG_getm(X509_SIG *sig, X509_ALGOR **palg,
+ int RSA_set0_key(RSA *r, BIGNUM *n, BIGNUM *e, BIGNUM *d);
+ void RSA_get0_key(const RSA *r,
+@@ -29,9 +28,15 @@
+ void RSA_get0_crt_params(const RSA *r,
+                          const BIGNUM **dmp1, const BIGNUM **dmq1,
+                          const BIGNUM **iqmp);
++#endif /* OPENSSL_VERSION_NUMBER */
++
++#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
++
++#include <openssl/x509.h>
++
+ void X509_SIG_getm(X509_SIG *sig, X509_ALGOR **palg,
                     ASN1_OCTET_STRING **pdigest);
  
++#endif /* OPENSSL_VERSION_NUMBER || defined(LIBRESSL_VERSION_NUMBER) */
  #endif /* _WINDOWS */
 -#endif /* OPENSSL_VERSION_NUMBER */
-+#endif /* OPENSSL_VERSION_NUMBER || LIBRESSL_VERSION_NUMBER */
  #endif /* LIBCRYPTO_COMPAT_H */
-diff --git tool/yubico-piv-tool.c tool/yubico-piv-tool.c
-index 89daa79..c8b3b84 100644
+
 --- tool/yubico-piv-tool.c
 +++ tool/yubico-piv-tool.c
-@@ -124,7 +124,7 @@ static bool sign_data(ykpiv_state *state, const unsigned char *in, size_t len, u
+@@ -124,7 +124,7 @@
    return false;
  }
  
@@ -50,7 +57,7 @@ index 89daa79..c8b3b84 100644
  static int ec_key_ex_data_idx = -1;
  
  struct internal_key {
-@@ -688,7 +688,7 @@ static bool request_certificate(ykpiv_state *state, enum enum_key_format key_for
+@@ -688,7 +688,7 @@
      goto request_out;
    }
  
@@ -59,7 +66,16 @@ index 89daa79..c8b3b84 100644
    memcpy(digest, oid, oid_len);
    /* XXX: this should probably use X509_REQ_digest() but that's buggy */
    if(!ASN1_item_digest(ASN1_ITEM_rptr(X509_REQ_INFO), md, req->req_info,
-@@ -751,7 +751,7 @@ request_out:
+@@ -721,7 +721,7 @@
+       fprintf(stderr, "Failed signing request.\n");
+       goto request_out;
+     }
+-    M_ASN1_BIT_STRING_set(req->signature, signature, sig_len);
++    ASN1_BIT_STRING_set(req->signature, signature, sig_len);
+     /* mark that all bits should be used. */
+     req->signature->flags = ASN1_STRING_FLAG_BITS_LEFT;
+   }
+@@ -751,7 +751,7 @@
      EVP_PKEY_free(public_key);
    }
    if(req) {
@@ -68,7 +84,7 @@ index 89daa79..c8b3b84 100644
      if(req->sig_alg->parameter) {
        req->sig_alg->parameter = NULL;
      }
-@@ -884,7 +884,7 @@ static bool selfsign_certificate(ykpiv_state *state, enum enum_key_format key_fo
+@@ -884,7 +884,7 @@
    if(nid == 0) {
      goto selfsign_out;
    }
@@ -77,7 +93,16 @@ index 89daa79..c8b3b84 100644
    if(YKPIV_IS_RSA(algorithm)) {
      signinput = digest;
      len = oid_len + md_len;
-@@ -941,7 +941,7 @@ selfsign_out:
+@@ -912,7 +912,7 @@
+       fprintf(stderr, "Failed signing certificate.\n");
+       goto selfsign_out;
+     }
+-    M_ASN1_BIT_STRING_set(x509->signature, signature, sig_len);
++    ASN1_BIT_STRING_set(x509->signature, signature, sig_len);
+     /* setting flags to ASN1_STRING_FLAG_BITS_LEFT here marks that no bits
+      * should be subtracted from the bit string, thus making sure that the
+      * certificate can be validated. */
+@@ -941,7 +941,7 @@
      fclose(output_file);
    }
    if(x509) {
@@ -86,6 +111,7 @@ index 89daa79..c8b3b84 100644
      if(x509->sig_alg->parameter) {
        x509->sig_alg->parameter = NULL;
        x509->cert_info->signature->parameter = NULL;
+
 diff --git ykcs11/openssl_utils.c ykcs11/openssl_utils.c
 index 68fb29a..5a7f85d 100644
 --- ykcs11/openssl_utils.c
diff --git a/srcpkgs/ykpivmgr/template b/srcpkgs/ykpivmgr/template
index e43d3c767c3..7e72bcc15f5 100644
--- a/srcpkgs/ykpivmgr/template
+++ b/srcpkgs/ykpivmgr/template
@@ -7,7 +7,7 @@ _libykcs_desc="Yubikey PIV pkcs11 library"
 
 pkgname=ykpivmgr
 version=1.5.0
-revision=4
+revision=5
 wrksrc="${_real_name}-${version}"
 build_style=gnu-configure
 configure_args="--enable-doxygen-man --program-transform-name='s/^yubico-piv-tool$/ykpivmgr/'"

From 1fa58ccd9ef89be086de983940eca6ae2ddd4611 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 02:03:24 +0200
Subject: [PATCH 292/308] vsftpd: rebuild for libressl-2.9.2.

---
 srcpkgs/vsftpd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vsftpd/template b/srcpkgs/vsftpd/template
index 0d00d6670bc..96e32537a90 100644
--- a/srcpkgs/vsftpd/template
+++ b/srcpkgs/vsftpd/template
@@ -1,7 +1,7 @@
 # Template file for 'vsftpd'
 pkgname=vsftpd
 version=3.0.3
-revision=11
+revision=12
 build_style=gnu-makefile
 makedepends="pam-devel libcap-devel libressl-devel"
 short_desc="FTP deamon with focus on security"

From ef3789d77f20e6b5455336ce489e44207540983b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 20:21:08 +0200
Subject: [PATCH 293/308] stunnel: rebuild for libressl-2.9.2.

---
 srcpkgs/stunnel/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/stunnel/template b/srcpkgs/stunnel/template
index 9afb959c8f4..c0e3573f535 100644
--- a/srcpkgs/stunnel/template
+++ b/srcpkgs/stunnel/template
@@ -1,7 +1,7 @@
 # Template file for 'stunnel'
 pkgname=stunnel
 version=5.46
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--enable-ipv6 --with-ssl=${XBPS_CROSS_BASE}/usr"
 hostmakedepends="perl"

From cd4d2b2bf36f696c26988ef6b4d7d3f08f9aa2dc Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 20:27:20 +0200
Subject: [PATCH 294/308] wvstreams: rebuild for libressl-2.9.2.

---
 srcpkgs/wvstreams/patches/libressl.patch | 52 ++++++++++++++++++++++++
 srcpkgs/wvstreams/template               |  2 +-
 2 files changed, 53 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/wvstreams/patches/libressl.patch

diff --git a/srcpkgs/wvstreams/patches/libressl.patch b/srcpkgs/wvstreams/patches/libressl.patch
new file mode 100644
index 00000000000..e6e51b2e7a6
--- /dev/null
+++ b/srcpkgs/wvstreams/patches/libressl.patch
@@ -0,0 +1,52 @@
+--- crypto/wvx509.cc.orig	2019-05-16 20:25:58.171570222 +0200
++++ crypto/wvx509.cc	2019-05-16 20:26:15.784410788 +0200
+@@ -974,7 +974,7 @@
+     sk_ACCESS_DESCRIPTION_push(ainfo, acc);
+     acc->method = OBJ_txt2obj(type.cstr(), 0);
+     acc->location->type = GEN_URI;
+-    acc->location->d.ia5 = M_ASN1_IA5STRING_new();
++    acc->location->d.ia5 = ASN1_IA5STRING_new();
+     unsigned char *cident 
+ 	= reinterpret_cast<unsigned char *>(identifier.edit());
+     ASN1_STRING_set(acc->location->d.ia5, cident, identifier.len());
+@@ -1059,7 +1059,7 @@
+         GENERAL_NAMES *uris = GENERAL_NAMES_new();
+         GENERAL_NAME *uri = GENERAL_NAME_new();
+         uri->type = GEN_URI;
+-        uri->d.ia5 = M_ASN1_IA5STRING_new();
++        uri->d.ia5 = ASN1_IA5STRING_new();
+         unsigned char *cident
+ 	    = reinterpret_cast<unsigned char *>(i().edit());    
+         ASN1_STRING_set(uri->d.ia5, cident, i().len());
+@@ -1130,7 +1130,7 @@
+ 	pol->qualifiers = sk_POLICYQUALINFO_new_null();
+ 	qual = POLICYQUALINFO_new();
+ 	qual->pqualid = OBJ_nid2obj(NID_id_qt_cps);
+-	qual->d.cpsouri = M_ASN1_IA5STRING_new();
++	qual->d.cpsouri = ASN1_IA5STRING_new();
+ 	ASN1_STRING_set(qual->d.cpsuri, url.edit(), url.len());
+ 	sk_POLICYQUALINFO_push(pol->qualifiers, qual);
+     }
+@@ -1450,19 +1450,19 @@
+ {
+     CHECK_CERT_EXISTS_SET("ski");
+ 
+-    ASN1_OCTET_STRING *oct = M_ASN1_OCTET_STRING_new();
++    ASN1_OCTET_STRING *oct = ASN1_OCTET_STRING_new();
+     ASN1_BIT_STRING *pk = cert->cert_info->key->public_key;
+     unsigned char pkey_dig[EVP_MAX_MD_SIZE];
+     unsigned int diglen;
+ 
+     EVP_Digest(pk->data, pk->length, pkey_dig, &diglen, EVP_sha1(), NULL);
+ 
+-    M_ASN1_OCTET_STRING_set(oct, pkey_dig, diglen);
++    ASN1_OCTET_STRING_set(oct, pkey_dig, diglen);
+     X509_EXTENSION *ext = X509V3_EXT_i2d(NID_subject_key_identifier, 0, 
+ 					oct);
+     X509_add_ext(cert, ext, -1);
+     X509_EXTENSION_free(ext);
+-    M_ASN1_OCTET_STRING_free(oct);
++    ASN1_OCTET_STRING_free(oct);
+ }
+ 
+ 
diff --git a/srcpkgs/wvstreams/template b/srcpkgs/wvstreams/template
index 58d792711e9..0d577df5ff6 100644
--- a/srcpkgs/wvstreams/template
+++ b/srcpkgs/wvstreams/template
@@ -1,7 +1,7 @@
 # Template file for 'wvstreams'
 pkgname=wvstreams
 version=4.6.1
-revision=17
+revision=18
 build_style=gnu-configure
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2"

From 3fa1058087f1e7ab571c5d15acfed01f59ea794e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 20:29:25 +0200
Subject: [PATCH 295/308] x11vnc: rebuild for libressl-2.9.2.

---
 srcpkgs/x11vnc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/x11vnc/template b/srcpkgs/x11vnc/template
index 05efbc9df65..924f39faab6 100644
--- a/srcpkgs/x11vnc/template
+++ b/srcpkgs/x11vnc/template
@@ -1,7 +1,7 @@
 # Template file for 'x11vnc'
 pkgname=x11vnc
 version=0.9.16
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config"
 makedepends="libXdamage-devel libXinerama-devel libXrandr-devel libXtst-devel

From 1db6db6138e49eb7fd6ca5e75cbfa2016ec21f16 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 20:38:42 +0200
Subject: [PATCH 296/308] squid: rebuild for libressl-2.9.2.

---
 srcpkgs/squid/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/squid/template b/srcpkgs/squid/template
index 264d6604faa..b20904228f5 100644
--- a/srcpkgs/squid/template
+++ b/srcpkgs/squid/template
@@ -1,7 +1,7 @@
 # Template file for 'squid'
 pkgname=squid
 version=4.5
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="
  --sbindir=/usr/bin
@@ -64,7 +64,7 @@ maintainer="Toyam Cox <Vaelatern@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="http://www.squid-cache.org/"
 #changelog="http://www.squid-cache.org/Versions/v3/3.5/changesets/"
-distfiles="ftp://ftp.fu-berlin.de/unix/www/${pkgname}/${pkgname}/${pkgname}-${version}.tar.xz"
+distfiles="http://www.squid-cache.org/Versions/v4/squid-${version}.tar.xz"
 checksum=553edf76d6ee9a1627af9c2be7be850c14cd6836170b3d6c1393fd700d44ccc5
 system_accounts="squid"
 

From bdfb31db429045ce1de44e5116da488a810e153d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 21:16:12 +0200
Subject: [PATCH 297/308] rust-cargo-audit: rebuild for libressl-2.9.2.

---
 srcpkgs/rust-cargo-audit/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rust-cargo-audit/template b/srcpkgs/rust-cargo-audit/template
index c73ae6b2d9f..b8c41bfdba4 100644
--- a/srcpkgs/rust-cargo-audit/template
+++ b/srcpkgs/rust-cargo-audit/template
@@ -1,7 +1,7 @@
 # Template file for 'rust-cargo-audit'
 pkgname=rust-cargo-audit
 version=0.6.1
-revision=1
+revision=2
 wrksrc="${pkgname/rust-/}-${version}"
 build_style=cargo
 hostmakedepends="pkg-config"

From 6c526b4c9a97acdf870469e694a0926aba7584bc Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 21:25:06 +0200
Subject: [PATCH 298/308] tealdeer: rebuild for libressl-2.9.2.

---
 srcpkgs/tealdeer/template | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/tealdeer/template b/srcpkgs/tealdeer/template
index 039a5c2f0f6..950a9d0a214 100644
--- a/srcpkgs/tealdeer/template
+++ b/srcpkgs/tealdeer/template
@@ -1,7 +1,7 @@
 # Template file for 'tealdeer'
 pkgname=tealdeer
 version=1.1.0
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel"
@@ -14,6 +14,10 @@ changelog="https://raw.githubusercontent.com/dbrgn/tealdeer/v${version}/CHANGELO
 distfiles="https://github.com/dbrgn/tealdeer/archive/v${version}.tar.gz"
 checksum=647990936af527e9738e8befb432fdf8dd40e7b2ab0066afc652330fddd3dd0e
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+}
+
 post_install() {
 	vlicense LICENSE-MIT
 }

From 62015ec1b6273639e06f3827eddf2501f9dbf1b8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 23:23:54 +0200
Subject: [PATCH 299/308] rust-sccache: rebuild for libressl-2.9.2.

---
 srcpkgs/rust-sccache/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rust-sccache/template b/srcpkgs/rust-sccache/template
index 016a8299c79..247d89d36ed 100644
--- a/srcpkgs/rust-sccache/template
+++ b/srcpkgs/rust-sccache/template
@@ -1,7 +1,7 @@
 # Template file for 'rust-sccache'
 pkgname=rust-sccache
 version=0.2.8
-revision=1
+revision=2
 wrksrc="${pkgname/rust-/}-${version}"
 build_style=cargo
 hostmakedepends="pkg-config"

From 956cb3ab013ce6b2536cc221a181909eebdc3d68 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 15:44:40 +0200
Subject: [PATCH 300/308] spice-gtk: rebuild for libressl-2.9.2.

---
 srcpkgs/spice-gtk/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/spice-gtk/template b/srcpkgs/spice-gtk/template
index f7cd1d1e250..cb7d1f52097 100644
--- a/srcpkgs/spice-gtk/template
+++ b/srcpkgs/spice-gtk/template
@@ -1,7 +1,7 @@
 # Template file for 'spice-gtk'
 pkgname=spice-gtk
 version=0.37
-revision=1
+revision=2
 build_style=meson
 build_helper="gir"
 configure_args="-Dintrospection=$(vopt_if gir enabled disabled)

From c0325eaeb3dde854dec7d94ba67205689f292bdf Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 15:44:50 +0200
Subject: [PATCH 301/308] remmina: rebuild for libressl-2.9.2.

---
 srcpkgs/remmina/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/remmina/template b/srcpkgs/remmina/template
index 58055cbd28a..21863650608 100644
--- a/srcpkgs/remmina/template
+++ b/srcpkgs/remmina/template
@@ -1,7 +1,7 @@
 # Template file for 'remmina'
 pkgname=remmina
 version=1.3.4
-revision=1
+revision=2
 wrksrc="Remmina-${version}"
 build_style=cmake
 configure_args="-DWITH_APPINDICATOR=OFF -DCMAKE_USE_PTHREADS_INIT=ON"

From 7891c43a3b248071a7bc9ce1e6d74dab05b991cf Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 16:10:17 +0200
Subject: [PATCH 302/308] qupzilla1: rebuild for libressl-2.9.2.

---
 srcpkgs/qupzilla1/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qupzilla1/template b/srcpkgs/qupzilla1/template
index ee0b0bd059e..5a8b825fe13 100644
--- a/srcpkgs/qupzilla1/template
+++ b/srcpkgs/qupzilla1/template
@@ -1,7 +1,7 @@
 # Template file for 'qupzilla1'
 pkgname=qupzilla1
 version=1.8.9
-revision=12
+revision=13
 wrksrc="QupZilla-${version}"
 build_style=qmake
 hostmakedepends="pkg-config"

From cf9802111cff2c7fd01d92ed331093ae2df324ba Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:19:15 +0200
Subject: [PATCH 303/308] rustup: rebuild for libressl-2.9.2.

---
 srcpkgs/rustup/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/rustup/template b/srcpkgs/rustup/template
index 27d9bec34d0..d1a5d5be264 100644
--- a/srcpkgs/rustup/template
+++ b/srcpkgs/rustup/template
@@ -1,7 +1,7 @@
 # Template file for 'rustup'
 pkgname=rustup
 version=1.18.3
-revision=1
+revision=2
 wrksrc="${pkgname}.rs-${version}"
 build_style=cargo
 configure_args="--features no-self-update --bin rustup-init"
@@ -14,6 +14,11 @@ homepage="https://www.rustup.rs"
 distfiles="https://github.com/rust-lang-nursery/${pkgname}.rs/archive/${version}.tar.gz"
 checksum=9a2ae2c85bbbfc838b25d86d049bc677532950d78765725beabb8a61df1c2710
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}
+
 do_install() {
 	vbin target/${RUST_TARGET}/release/rustup-init
 

From a2488c5899a6d8deb1cd4c40769a93cf743e29da Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:28:15 +0200
Subject: [PATCH 304/308] mdcat: rebuild for libressl-2.9.2.

---
 srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch | 10 ----------
 srcpkgs/mdcat/template                         |  9 ++++++++-
 2 files changed, 8 insertions(+), 11 deletions(-)
 delete mode 100644 srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch

diff --git a/srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch b/srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch
deleted file mode 100644
index 9a53a9455dd..00000000000
--- a/srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- Cargo.toml.orig       2018-10-29 23:03:12.480264071 +0100
-+++ Cargo.toml    2018-10-29 23:03:26.020138216 +0100
-@@ -65,3 +65,7 @@
- tag-message = "mdcat {{version}}"
- tag-prefix = "mdcat-"
- pre-release-hook = "./scripts/prerelease-hook.py"
-+
-+
-+[patch.crates-io]
-+openssl-sys = {git = 'https://github.com/jnbr/rust-openssl', rev = "d5471c97ae86e5bd1032eb6fd95005933f507c49"}
diff --git a/srcpkgs/mdcat/template b/srcpkgs/mdcat/template
index 3731cd0ee7d..fff585684bd 100644
--- a/srcpkgs/mdcat/template
+++ b/srcpkgs/mdcat/template
@@ -1,7 +1,7 @@
 # Template file for 'mdcat'
 pkgname=mdcat
 version=0.13.0
-revision=1
+revision=2
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=cargo
 hostmakedepends="cmake pkg-config"
@@ -12,3 +12,10 @@ license="Apache-2.0"
 homepage="https://github.com/lunaryorn/mdcat"
 distfiles="https://github.com/lunaryorn/mdcat/archive/mdcat-${version}.tar.gz"
 checksum=9528a0dedcb9db559c9973001787f474f87559366a2c7a2ff01148c5ab31eac1
+
+
+pre_build() {
+	cargo update --package autocfg --precise 0.1.4
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}

From dfee2e7227548da6b1ad85616d561f4efaf117d5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:36:38 +0200
Subject: [PATCH 305/308] cargo-outdated: rebuild for libressl-2.9.2.

---
 srcpkgs/cargo-outdated/template | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/cargo-outdated/template b/srcpkgs/cargo-outdated/template
index 2dae90e6926..953d11b0e32 100644
--- a/srcpkgs/cargo-outdated/template
+++ b/srcpkgs/cargo-outdated/template
@@ -1,7 +1,7 @@
 # Template file for 'cargo-outdated'
 pkgname=cargo-outdated
 version=0.8.0
-revision=2
+revision=3
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libgit2-devel libressl-devel"
@@ -12,6 +12,12 @@ homepage="https://github.com/kbknapp/cargo-outdated"
 distfiles="https://github.com/kbknapp/cargo-outdated/archive/v${version}.tar.gz"
 checksum=6e07552706cdebceaf5b03bcd022082cdafca70e8e095a74ace95c767e39d509
 
+pre_build() {
+	cargo update --package autocfg --precise 0.1.4
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}
+
 post_install() {
 	vlicense LICENSE-MIT
 }

From 5df0633e56c40e913591f474de3c17662c554d22 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:44:05 +0200
Subject: [PATCH 306/308] fractal: rebuild for libressl-2.9.2.

---
 srcpkgs/fractal/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/fractal/template b/srcpkgs/fractal/template
index 67ac3c03626..6c1dd556940 100644
--- a/srcpkgs/fractal/template
+++ b/srcpkgs/fractal/template
@@ -1,7 +1,7 @@
 # Template file for 'fractal'
 pkgname=fractal
 version=4.0.0
-revision=2
+revision=3
 build_style=meson
 build_helper="rust"
 hostmakedepends="cargo pkg-config glib-devel"
@@ -20,10 +20,14 @@ case "$XBPS_TARGET_MACHINE" in
 	armv6l-musl) broken="error: Could not compile gtk." ;;
 esac
 
-if [ "$CROSS_BUILD" ]; then
-	pre_build() {
+pre_build() {
+	cargo update --package autocfg --precise 0.1.4
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+
+	if [ "$CROSS_BUILD" ]; then
 		vsed -i scripts/cargo.sh \
 			-e 's/target\//&${RUST_TARGET}\//' \
 			-e '/CARGO_HOME/d'
-	}
-fi
+	fi
+}

From aea6cf1f067ebc69fa78a2aab8eb554d3eaf754b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:51:04 +0200
Subject: [PATCH 307/308] gcsf: rebuild for libressl-2.9.2.

---
 srcpkgs/gcsf/template | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gcsf/template b/srcpkgs/gcsf/template
index 97afb1cb637..9fdc4a2320f 100644
--- a/srcpkgs/gcsf/template
+++ b/srcpkgs/gcsf/template
@@ -1,7 +1,7 @@
 # Template file for 'gcsf'
 pkgname=gcsf
 version=0.1.25
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="fuse-devel libressl-devel"
@@ -17,7 +17,8 @@ case "$XBPS_TARGET_MACHINE" in
 esac
 
 pre_build() {
-	cargo update --package openssl-sys --precise 0.9.40
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
 }
 
 post_install() {

From 312a32ad439e00ed1561e5eed7accd3b4527b238 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 9 Jun 2019 16:06:22 +0200
Subject: [PATCH 308/308] gnome-podcasts: rebuild for libressl-2.9.2.

---
 .../gnome-podcasts/patches/fix-build.patch    | 21 +++++++++++++++++++
 srcpkgs/gnome-podcasts/template               |  9 +++-----
 2 files changed, 24 insertions(+), 6 deletions(-)
 create mode 100644 srcpkgs/gnome-podcasts/patches/fix-build.patch

diff --git a/srcpkgs/gnome-podcasts/patches/fix-build.patch b/srcpkgs/gnome-podcasts/patches/fix-build.patch
new file mode 100644
index 00000000000..aeb9581bd79
--- /dev/null
+++ b/srcpkgs/gnome-podcasts/patches/fix-build.patch
@@ -0,0 +1,21 @@
+--- podcasts-gtk/src/widgets/episode.rs.orig	2019-06-09 15:54:59.793451047 +0200
++++ podcasts-gtk/src/widgets/episode.rs	2019-06-09 15:55:19.191311512 +0200
+@@ -559,7 +559,7 @@
+             .total_size
+             .get_text()
+             .as_ref()
+-            .map(|s| s.trim_right_matches(" MB"))
++            .map(|s| s.trim_end_matches(" MB"))
+             .and_then(|s| s.parse::<i32>().ok())
+             .is_none()
+         {
+--- podcasts-gtk/src/widgets/shows_view.rs.orig	2019-06-09 15:54:00.320878867 +0200
++++ podcasts-gtk/src/widgets/shows_view.rs	2019-06-09 15:54:13.151786563 +0200
+@@ -80,7 +80,6 @@
+ }
+ 
+ fn on_child_activate(child: &gtk::FlowBoxChild, sender: &Sender<Action>) -> Result<(), Error> {
+-    use gtk::WidgetExt;
+ 
+     // This is such an ugly hack...
+     let id = WidgetExt::get_name(child)
diff --git a/srcpkgs/gnome-podcasts/template b/srcpkgs/gnome-podcasts/template
index 70022d031b3..db8b65310ec 100644
--- a/srcpkgs/gnome-podcasts/template
+++ b/srcpkgs/gnome-podcasts/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-podcasts'
 pkgname=gnome-podcasts
 version=0.4.6
-revision=2
+revision=3
 wrksrc="podcasts-${version}"
 build_style=meson
 hostmakedepends="cargo gettext-devel glib-devel pkg-config"
@@ -15,10 +15,7 @@ distfiles="https://gitlab.gnome.org/World/podcasts/-/archive/${version}/podcasts
 checksum=953c63e8184ca1f748418d8a8262d40eaa41047f81e2d2c874a3035d9d9d0e4a
 nocross="rustc cant be crosscompiled as of now"
 
-export GETTEXT_BIN_DIR=/usr/bin
-export GETTEXT_LIB_DIR="${XBPS_CROSS_BASE}/usr/lib/gettext"
-export GETTEXT_INCLUDE_DIR="${XBPS_CROSS_BASE}/usr/include"
-
 pre_build() {
-	cargo update --package openssl-sys --precise 0.9.39
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
 }
